// Compiled shader for custom platforms, uncompressed size: 297.0KB

Shader "Sky/AtmosphereGhoss" {
SubShader { 
 Tags { "QUEUE"="Transparent-5" "IgnoreProjector"="True" "RenderType"="Transparent" }


 // Stats for Vertex shader:
 //       d3d11 : 15 math
 //        d3d9 : 20 math
 //        gles : 176 math, 1 texture, 10 branch
 //      opengl : 176 math, 1 texture, 10 branch
 // Stats for Fragment shader:
 //       d3d11 : 153 math, 1 texture, 2 branch
 //        d3d9 : 194 math, 1 texture, 2 branch
 Pass {
  Tags { "QUEUE"="Transparent-5" "IgnoreProjector"="True" "RenderType"="Transparent" }
  ZWrite Off
  Cull Front
  Blend DstColor Zero
  GpuProgramID 34188
Program "vp" {
SubProgram "opengl " {
// Stats: 176 math, 1 textures, 10 branches
"!!GLSL#version 120

#ifdef VERTEX
uniform vec4 _ProjectionParams;


varying vec4 xlv_TEXCOORD0;
varying vec2 xlv_TEXCOORD1;
varying vec2 xlv_TEXCOORD2;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec2 tmpvar_3;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 o_4;
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_1 * 0.5);
  vec2 tmpvar_6;
  tmpvar_6.x = tmpvar_5.x;
  tmpvar_6.y = (tmpvar_5.y * _ProjectionParams.x);
  o_4.xy = (tmpvar_6 + tmpvar_5.w);
  o_4.zw = tmpvar_1.zw;
  tmpvar_2.xyw = o_4.xyw;
  tmpvar_3 = (o_4.xy / tmpvar_1.w);
  tmpvar_2.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = tmpvar_2;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = tmpvar_3;
}


#endif
#ifdef FRAGMENT
uniform float HR;
uniform vec3 betaR;
uniform float HM;
uniform vec3 betaMEx;
uniform float Rg;
uniform float Rt;
uniform float _experimentalAtmoScale;
uniform mat4 _ViewProjInv;
uniform vec3 _camPos;
uniform float _Post_Extinction_Tint;
uniform float postExtinctionMultiplier;
uniform sampler2D _customDepthTexture;
uniform float _openglThreshold;
float xlat_mutableRt;
varying vec2 xlv_TEXCOORD2;
void main ()
{
  xlat_mutableRt = Rt;
  vec4 tmpvar_1;
  vec3 worldPos_2;
  bool infinite_3;
  vec4 tmpvar_4;
  tmpvar_4 = texture2D (_customDepthTexture, xlv_TEXCOORD2);
  infinite_3 = (tmpvar_4.x == 1.0);
  vec4 tmpvar_5;
  tmpvar_5.w = 1.0;
  tmpvar_5.xy = ((xlv_TEXCOORD2 * vec2(2.0, 2.0)) - vec2(1.0, 1.0));
  tmpvar_5.z = tmpvar_4.x;
  vec4 tmpvar_6;
  tmpvar_6 = (_ViewProjInv * tmpvar_5);
  vec3 tmpvar_7;
  tmpvar_7 = (tmpvar_6 / tmpvar_6.w).xyz;
  worldPos_2 = tmpvar_7;
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = (tmpvar_7 - _camPos);
  float tmpvar_10;
  tmpvar_10 = dot (tmpvar_9, tmpvar_9);
  float tmpvar_11;
  tmpvar_11 = (2.0 * dot (tmpvar_9, _camPos));
  float tmpvar_12;
  tmpvar_12 = ((tmpvar_11 * tmpvar_11) - ((4.0 * tmpvar_10) * (
    dot (_camPos, _camPos)
   - 
    (Rg * Rg)
  )));
  if ((tmpvar_12 < 0.0)) {
    tmpvar_8 = -1.0;
  } else {
    tmpvar_8 = ((-(tmpvar_11) - sqrt(tmpvar_12)) / (2.0 * tmpvar_10));
  };
  bool tmpvar_13;
  tmpvar_13 = (tmpvar_8 > 0.0);
  if ((!(tmpvar_13) && infinite_3)) {
    tmpvar_1 = vec4(1.0, 1.0, 1.0, 1.0);
  } else {
    vec3 tmpvar_14;
    tmpvar_14 = (_camPos + (tmpvar_8 * (tmpvar_7 - _camPos)));
    vec3 x_15;
    x_15 = (tmpvar_14 - _camPos);
    vec3 x_16;
    x_16 = (tmpvar_7 - _camPos);
    bool tmpvar_17;
    tmpvar_17 = (sqrt(dot (x_15, x_15)) < sqrt(dot (x_16, x_16)));
    if ((tmpvar_13 && tmpvar_17)) {
      worldPos_2 = tmpvar_14;
    };
    float tmpvar_18;
    tmpvar_18 = sqrt(dot (worldPos_2, worldPos_2));
    vec3 tmpvar_19;
    if ((tmpvar_18 < (Rg + _openglThreshold))) {
      tmpvar_19 = ((Rg + _openglThreshold) * normalize(worldPos_2));
    } else {
      tmpvar_19 = worldPos_2;
    };
    worldPos_2 = tmpvar_19;
    vec3 camera_20;
    camera_20 = _camPos;
    float mu_21;
    float rMu_22;
    float r_23;
    float d_24;
    vec3 viewdir_25;
    vec3 tmpvar_26;
    tmpvar_26 = (tmpvar_19 - _camPos);
    float tmpvar_27;
    tmpvar_27 = sqrt(dot (tmpvar_26, tmpvar_26));
    d_24 = tmpvar_27;
    viewdir_25 = (tmpvar_26 / tmpvar_27);
    xlat_mutableRt = (Rg + ((Rt - Rg) * _experimentalAtmoScale));
    vec3 tmpvar_28;
    tmpvar_28 = normalize(viewdir_25);
    viewdir_25 = tmpvar_28;
    float tmpvar_29;
    tmpvar_29 = sqrt(dot (_camPos, _camPos));
    r_23 = tmpvar_29;
    if ((tmpvar_29 < (0.9 * Rg))) {
      camera_20.y = (_camPos.y + Rg);
      r_23 = sqrt(dot (camera_20, camera_20));
    };
    float tmpvar_30;
    tmpvar_30 = dot (camera_20, tmpvar_28);
    rMu_22 = tmpvar_30;
    mu_21 = (tmpvar_30 / r_23);
    float f_31;
    f_31 = (((tmpvar_30 * tmpvar_30) - (r_23 * r_23)) + (xlat_mutableRt * xlat_mutableRt));
    float tmpvar_32;
    if ((f_31 >= 0.0)) {
      tmpvar_32 = sqrt(f_31);
    } else {
      tmpvar_32 = 1e-06;
    };
    float tmpvar_33;
    tmpvar_33 = max ((-(tmpvar_30) - tmpvar_32), 0.0);
    if (((tmpvar_33 > 0.0) && (tmpvar_33 < tmpvar_27))) {
      rMu_22 = (tmpvar_30 + tmpvar_33);
      mu_21 = (rMu_22 / xlat_mutableRt);
      r_23 = xlat_mutableRt;
      d_24 = (tmpvar_27 - tmpvar_33);
    };
    if ((r_23 < (Rg + 1600.0))) {
      r_23 = (r_23 * ((Rg + 1600.0) / r_23));
    };
    float tmpvar_34;
    float H_35;
    H_35 = (HR * _experimentalAtmoScale);
    vec2 tmpvar_36;
    tmpvar_36.x = mu_21;
    tmpvar_36.y = (mu_21 + (d_24 / r_23));
    vec2 tmpvar_37;
    tmpvar_37 = (sqrt((
      (0.5 / H_35)
     * r_23)) * tmpvar_36);
    vec2 tmpvar_38;
    tmpvar_38 = sign(tmpvar_37);
    vec2 tmpvar_39;
    tmpvar_39 = (tmpvar_37 * tmpvar_37);
    float tmpvar_40;
    if ((tmpvar_38.y > tmpvar_38.x)) {
      tmpvar_40 = exp(tmpvar_39.x);
    } else {
      tmpvar_40 = 0.0;
    };
    vec2 tmpvar_41;
    tmpvar_41.x = 1.0;
    tmpvar_41.y = exp(((
      -(d_24)
     / H_35) * (
      (d_24 / (2.0 * r_23))
     + mu_21)));
    tmpvar_34 = ((sqrt(
      ((6.2831 * H_35) * r_23)
    ) * exp(
      ((Rg - r_23) / H_35)
    )) * (tmpvar_40 + dot (
      ((tmpvar_38 / ((2.3193 * 
        abs(tmpvar_37)
      ) + sqrt(
        ((1.52 * tmpvar_39) + 4.0)
      ))) * tmpvar_41)
    , vec2(1.0, -1.0))));
    float H_42;
    H_42 = (HM * _experimentalAtmoScale);
    vec2 tmpvar_43;
    tmpvar_43.x = mu_21;
    tmpvar_43.y = (mu_21 + (d_24 / r_23));
    vec2 tmpvar_44;
    tmpvar_44 = (sqrt((
      (0.5 / H_42)
     * r_23)) * tmpvar_43);
    vec2 tmpvar_45;
    tmpvar_45 = sign(tmpvar_44);
    vec2 tmpvar_46;
    tmpvar_46 = (tmpvar_44 * tmpvar_44);
    float tmpvar_47;
    if ((tmpvar_45.y > tmpvar_45.x)) {
      tmpvar_47 = exp(tmpvar_46.x);
    } else {
      tmpvar_47 = 0.0;
    };
    vec2 tmpvar_48;
    tmpvar_48.x = 1.0;
    tmpvar_48.y = exp(((
      -(d_24)
     / H_42) * (
      (d_24 / (2.0 * r_23))
     + mu_21)));
    vec3 tmpvar_49;
    tmpvar_49 = min (exp((
      (-(betaR) * tmpvar_34)
     - 
      (betaMEx * ((sqrt(
        ((6.2831 * H_42) * r_23)
      ) * exp(
        ((Rg - r_23) / H_42)
      )) * (tmpvar_47 + dot (
        ((tmpvar_45 / ((2.3193 * 
          abs(tmpvar_44)
        ) + sqrt(
          ((1.52 * tmpvar_46) + 4.0)
        ))) * tmpvar_48)
      , vec2(1.0, -1.0)))))
    )), vec3(1.0, 1.0, 1.0));
    vec4 tmpvar_50;
    tmpvar_50.w = 1.0;
    tmpvar_50.xyz = mix (vec3(1.0, 1.0, 1.0), ((vec3(_Post_Extinction_Tint) * tmpvar_49) + (vec3(
      (1.0 - _Post_Extinction_Tint)
    ) * vec3(
      (((tmpvar_49.x + tmpvar_49.y) + tmpvar_49.z) / 3.0)
    ))), vec3(postExtinctionMultiplier));
    tmpvar_1 = tmpvar_50;
  };
  gl_FragData[0] = tmpvar_1;
}


#endif
"
}
SubProgram "d3d9 " {
// Stats: 20 math
Bind "vertex" Vertex
Matrix 4 [glstate_matrix_modelview0] 3
Matrix 0 [glstate_matrix_mvp]
Vector 9 [_MainTex_TexelSize]
Vector 7 [_ProjectionParams]
Vector 8 [_ScreenParams]
"vs_3_0
def c10, 0.5, 0, -2, 1
dcl_position v0
dcl_position o0
dcl_texcoord o1
dcl_texcoord1 o2.xy
dcl_texcoord2 o3.xy
dp4 o0.z, c2, v0
dp4 r0.x, c6, v0
mov o1.z, -r0.x
dp4 r0.x, c0, v0
dp4 r0.y, c1, v0
dp4 r0.w, c3, v0
mov o0.xyw, r0
mul r1.xz, r0.xyww, c10.x
mul r0.x, r0.y, c7.x
mul r1.w, r0.x, c10.x
mad r0.xy, r1.z, c8.zwzw, r1.xwzw
rcp r0.z, r0.w
mul r1.xy, r0.z, r0
mov o1.xyw, r0
mad r0.x, r1.y, c10.z, c10.w
mov r0.y, c10.y
slt r0.y, c9.y, r0.y
mad r1.z, r0.y, r0.x, r1.y
mov o2.xy, r1.xzzw
mov o3.xy, r1

"
}
SubProgram "d3d11 " {
// Stats: 15 math
Bind "vertex" Vertex
ConstBuffer "$Globals" 496
Vector 400 [_MainTex_TexelSize]
ConstBuffer "UnityPerCamera" 144
Vector 80 [_ProjectionParams]
ConstBuffer "UnityPerDraw" 352
Matrix 0 [glstate_matrix_mvp]
Matrix 64 [glstate_matrix_modelview0]
BindCB  "$Globals" 0
BindCB  "UnityPerCamera" 1
BindCB  "UnityPerDraw" 2
"vs_4_0
root12:aaadaaaa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"
}
SubProgram "gles " {
// Stats: 176 math, 1 textures, 10 branches
"!!GLES
#version 100

#ifdef VERTEX
attribute vec4 _glesVertex;
uniform highp vec4 _ProjectionParams;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
varying highp vec4 xlv_TEXCOORD0;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec2 xlv_TEXCOORD2;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec2 tmpvar_3;
  tmpvar_1 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 o_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_1 * 0.5);
  highp vec2 tmpvar_6;
  tmpvar_6.x = tmpvar_5.x;
  tmpvar_6.y = (tmpvar_5.y * _ProjectionParams.x);
  o_4.xy = (tmpvar_6 + tmpvar_5.w);
  o_4.zw = tmpvar_1.zw;
  tmpvar_2.xyw = o_4.xyw;
  tmpvar_3 = (o_4.xy / tmpvar_1.w);
  tmpvar_2.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = tmpvar_2;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = tmpvar_3;
}


#endif
#ifdef FRAGMENT
uniform highp float HR;
uniform highp vec3 betaR;
uniform highp float HM;
uniform highp vec3 betaMEx;
uniform highp float Rg;
uniform highp float Rt;
uniform highp float _experimentalAtmoScale;
uniform highp mat4 _ViewProjInv;
uniform highp vec3 _camPos;
uniform highp float _Post_Extinction_Tint;
uniform highp float postExtinctionMultiplier;
uniform sampler2D _customDepthTexture;
uniform highp float _openglThreshold;
highp float xlat_mutableRt;
varying highp vec2 xlv_TEXCOORD2;
void main ()
{
  xlat_mutableRt = Rt;
  mediump vec4 tmpvar_1;
  highp vec3 worldPos_2;
  bool infinite_3;
  highp float depth_4;
  lowp float tmpvar_5;
  tmpvar_5 = texture2D (_customDepthTexture, xlv_TEXCOORD2).x;
  depth_4 = tmpvar_5;
  infinite_3 = (depth_4 == 1.0);
  highp vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xy = ((xlv_TEXCOORD2 * vec2(2.0, 2.0)) - vec2(1.0, 1.0));
  tmpvar_6.z = depth_4;
  highp vec4 tmpvar_7;
  tmpvar_7 = (_ViewProjInv * tmpvar_6);
  highp vec3 tmpvar_8;
  tmpvar_8 = (tmpvar_7 / tmpvar_7.w).xyz;
  worldPos_2 = tmpvar_8;
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = (tmpvar_8 - _camPos);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_10, tmpvar_10);
  highp float tmpvar_12;
  tmpvar_12 = (2.0 * dot (tmpvar_10, _camPos));
  highp float tmpvar_13;
  tmpvar_13 = ((tmpvar_12 * tmpvar_12) - ((4.0 * tmpvar_11) * (
    dot (_camPos, _camPos)
   - 
    (Rg * Rg)
  )));
  if ((tmpvar_13 < 0.0)) {
    tmpvar_9 = -1.0;
  } else {
    tmpvar_9 = ((-(tmpvar_12) - sqrt(tmpvar_13)) / (2.0 * tmpvar_11));
  };
  bool tmpvar_14;
  tmpvar_14 = (tmpvar_9 > 0.0);
  if ((!(tmpvar_14) && infinite_3)) {
    tmpvar_1 = vec4(1.0, 1.0, 1.0, 1.0);
  } else {
    highp vec3 tmpvar_15;
    tmpvar_15 = (_camPos + (tmpvar_9 * (tmpvar_8 - _camPos)));
    highp vec3 x_16;
    x_16 = (tmpvar_15 - _camPos);
    highp vec3 x_17;
    x_17 = (tmpvar_8 - _camPos);
    bool tmpvar_18;
    tmpvar_18 = (sqrt(dot (x_16, x_16)) < sqrt(dot (x_17, x_17)));
    if ((tmpvar_14 && tmpvar_18)) {
      worldPos_2 = tmpvar_15;
    };
    highp float tmpvar_19;
    tmpvar_19 = sqrt(dot (worldPos_2, worldPos_2));
    highp vec3 tmpvar_20;
    if ((tmpvar_19 < (Rg + _openglThreshold))) {
      tmpvar_20 = ((Rg + _openglThreshold) * normalize(worldPos_2));
    } else {
      tmpvar_20 = worldPos_2;
    };
    worldPos_2 = tmpvar_20;
    highp vec3 camera_21;
    camera_21 = _camPos;
    highp float mu_22;
    highp float rMu_23;
    highp float r_24;
    highp float d_25;
    highp vec3 viewdir_26;
    highp vec3 tmpvar_27;
    tmpvar_27 = (tmpvar_20 - _camPos);
    highp float tmpvar_28;
    tmpvar_28 = sqrt(dot (tmpvar_27, tmpvar_27));
    d_25 = tmpvar_28;
    viewdir_26 = (tmpvar_27 / tmpvar_28);
    xlat_mutableRt = (Rg + ((Rt - Rg) * _experimentalAtmoScale));
    highp vec3 tmpvar_29;
    tmpvar_29 = normalize(viewdir_26);
    viewdir_26 = tmpvar_29;
    highp float tmpvar_30;
    tmpvar_30 = sqrt(dot (_camPos, _camPos));
    r_24 = tmpvar_30;
    if ((tmpvar_30 < (0.9 * Rg))) {
      camera_21.y = (_camPos.y + Rg);
      r_24 = sqrt(dot (camera_21, camera_21));
    };
    highp float tmpvar_31;
    tmpvar_31 = dot (camera_21, tmpvar_29);
    rMu_23 = tmpvar_31;
    mu_22 = (tmpvar_31 / r_24);
    highp float f_32;
    f_32 = (((tmpvar_31 * tmpvar_31) - (r_24 * r_24)) + (xlat_mutableRt * xlat_mutableRt));
    highp float tmpvar_33;
    if ((f_32 >= 0.0)) {
      tmpvar_33 = sqrt(f_32);
    } else {
      tmpvar_33 = 1e-06;
    };
    highp float tmpvar_34;
    tmpvar_34 = max ((-(tmpvar_31) - tmpvar_33), 0.0);
    if (((tmpvar_34 > 0.0) && (tmpvar_34 < tmpvar_28))) {
      rMu_23 = (tmpvar_31 + tmpvar_34);
      mu_22 = (rMu_23 / xlat_mutableRt);
      r_24 = xlat_mutableRt;
      d_25 = (tmpvar_28 - tmpvar_34);
    };
    if ((r_24 < (Rg + 1600.0))) {
      r_24 = (r_24 * ((Rg + 1600.0) / r_24));
    };
    highp float tmpvar_35;
    highp float H_36;
    H_36 = (HR * _experimentalAtmoScale);
    highp vec2 tmpvar_37;
    tmpvar_37.x = mu_22;
    tmpvar_37.y = (mu_22 + (d_25 / r_24));
    highp vec2 tmpvar_38;
    tmpvar_38 = (sqrt((
      (0.5 / H_36)
     * r_24)) * tmpvar_37);
    highp vec2 tmpvar_39;
    tmpvar_39 = sign(tmpvar_38);
    highp vec2 tmpvar_40;
    tmpvar_40 = (tmpvar_38 * tmpvar_38);
    highp float tmpvar_41;
    if ((tmpvar_39.y > tmpvar_39.x)) {
      tmpvar_41 = exp(tmpvar_40.x);
    } else {
      tmpvar_41 = 0.0;
    };
    highp vec2 tmpvar_42;
    tmpvar_42.x = 1.0;
    tmpvar_42.y = exp(((
      -(d_25)
     / H_36) * (
      (d_25 / (2.0 * r_24))
     + mu_22)));
    tmpvar_35 = ((sqrt(
      ((6.2831 * H_36) * r_24)
    ) * exp(
      ((Rg - r_24) / H_36)
    )) * (tmpvar_41 + dot (
      ((tmpvar_39 / ((2.3193 * 
        abs(tmpvar_38)
      ) + sqrt(
        ((1.52 * tmpvar_40) + 4.0)
      ))) * tmpvar_42)
    , vec2(1.0, -1.0))));
    highp float H_43;
    H_43 = (HM * _experimentalAtmoScale);
    highp vec2 tmpvar_44;
    tmpvar_44.x = mu_22;
    tmpvar_44.y = (mu_22 + (d_25 / r_24));
    highp vec2 tmpvar_45;
    tmpvar_45 = (sqrt((
      (0.5 / H_43)
     * r_24)) * tmpvar_44);
    highp vec2 tmpvar_46;
    tmpvar_46 = sign(tmpvar_45);
    highp vec2 tmpvar_47;
    tmpvar_47 = (tmpvar_45 * tmpvar_45);
    highp float tmpvar_48;
    if ((tmpvar_46.y > tmpvar_46.x)) {
      tmpvar_48 = exp(tmpvar_47.x);
    } else {
      tmpvar_48 = 0.0;
    };
    highp vec2 tmpvar_49;
    tmpvar_49.x = 1.0;
    tmpvar_49.y = exp(((
      -(d_25)
     / H_43) * (
      (d_25 / (2.0 * r_24))
     + mu_22)));
    highp vec3 tmpvar_50;
    tmpvar_50 = min (exp((
      (-(betaR) * tmpvar_35)
     - 
      (betaMEx * ((sqrt(
        ((6.2831 * H_43) * r_24)
      ) * exp(
        ((Rg - r_24) / H_43)
      )) * (tmpvar_48 + dot (
        ((tmpvar_46 / ((2.3193 * 
          abs(tmpvar_45)
        ) + sqrt(
          ((1.52 * tmpvar_47) + 4.0)
        ))) * tmpvar_49)
      , vec2(1.0, -1.0)))))
    )), vec3(1.0, 1.0, 1.0));
    highp vec4 tmpvar_51;
    tmpvar_51.w = 1.0;
    tmpvar_51.xyz = mix (vec3(1.0, 1.0, 1.0), ((vec3(_Post_Extinction_Tint) * tmpvar_50) + (vec3(
      (1.0 - _Post_Extinction_Tint)
    ) * vec3(
      (((tmpvar_50.x + tmpvar_50.y) + tmpvar_50.z) / 3.0)
    ))), vec3(postExtinctionMultiplier));
    tmpvar_1 = tmpvar_51;
  };
  gl_FragData[0] = tmpvar_1;
}


#endif
"
}
SubProgram "gles3 " {
"!!GLES3
#ifdef VERTEX
#version 300 es
precision highp float;
precision highp int;
uniform 	vec4 _Time;
uniform 	vec4 _SinTime;
uniform 	vec4 _CosTime;
uniform 	vec4 unity_DeltaTime;
uniform 	vec3 _WorldSpaceCameraPos;
uniform 	vec4 _ProjectionParams;
uniform 	vec4 _ScreenParams;
uniform 	vec4 _ZBufferParams;
uniform 	vec4 unity_OrthoParams;
uniform 	vec4 unity_CameraWorldClipPlanes[6];
uniform 	mat4 unity_CameraProjection;
uniform 	mat4 unity_CameraInvProjection;
uniform 	vec4 _WorldSpaceLightPos0;
uniform 	vec4 _LightPositionRange;
uniform 	vec4 unity_4LightPosX0;
uniform 	vec4 unity_4LightPosY0;
uniform 	vec4 unity_4LightPosZ0;
uniform 	mediump vec4 unity_4LightAtten0;
uniform 	mediump vec4 unity_LightColor[8];
uniform 	vec4 unity_LightPosition[8];
uniform 	mediump vec4 unity_LightAtten[8];
uniform 	vec4 unity_SpotDirection[8];
uniform 	mediump vec4 unity_SHAr;
uniform 	mediump vec4 unity_SHAg;
uniform 	mediump vec4 unity_SHAb;
uniform 	mediump vec4 unity_SHBr;
uniform 	mediump vec4 unity_SHBg;
uniform 	mediump vec4 unity_SHBb;
uniform 	mediump vec4 unity_SHC;
uniform 	mediump vec3 unity_LightColor0;
uniform 	mediump vec3 unity_LightColor1;
uniform 	mediump vec3 unity_LightColor2;
uniform 	mediump vec3 unity_LightColor3;
uniform 	vec4 unity_ShadowSplitSpheres[4];
uniform 	vec4 unity_ShadowSplitSqRadii;
uniform 	vec4 unity_LightShadowBias;
uniform 	vec4 _LightSplitsNear;
uniform 	vec4 _LightSplitsFar;
uniform 	mat4 unity_World2Shadow[4];
uniform 	mediump vec4 _LightShadowData;
uniform 	vec4 unity_ShadowFadeCenterAndType;
uniform 	mat4 glstate_matrix_mvp;
uniform 	mat4 glstate_matrix_modelview0;
uniform 	mat4 glstate_matrix_invtrans_modelview0;
uniform 	mat4 _Object2World;
uniform 	mat4 _World2Object;
uniform 	vec4 unity_LODFade;
uniform 	vec4 unity_WorldTransformParams;
uniform 	mat4 glstate_matrix_transpose_modelview0;
uniform 	mat4 glstate_matrix_projection;
uniform 	lowp vec4 glstate_lightmodel_ambient;
uniform 	mat4 unity_MatrixV;
uniform 	mat4 unity_MatrixVP;
uniform 	lowp vec4 unity_AmbientSky;
uniform 	lowp vec4 unity_AmbientEquator;
uniform 	lowp vec4 unity_AmbientGround;
uniform 	lowp vec4 unity_FogColor;
uniform 	vec4 unity_FogParams;
uniform 	vec4 unity_LightmapST;
uniform 	vec4 unity_DynamicLightmapST;
uniform 	vec4 unity_SpecCube0_BoxMax;
uniform 	vec4 unity_SpecCube0_BoxMin;
uniform 	vec4 unity_SpecCube0_ProbePosition;
uniform 	mediump vec4 unity_SpecCube0_HDR;
uniform 	vec4 unity_SpecCube1_BoxMax;
uniform 	vec4 unity_SpecCube1_BoxMin;
uniform 	vec4 unity_SpecCube1_ProbePosition;
uniform 	mediump vec4 unity_SpecCube1_HDR;
uniform 	lowp vec4 unity_ColorSpaceGrey;
uniform 	lowp vec4 unity_ColorSpaceDouble;
uniform 	mediump vec4 unity_ColorSpaceDielectricSpec;
uniform 	mediump vec4 unity_ColorSpaceLuminance;
uniform 	mediump vec4 unity_Lightmap_HDR;
uniform 	mediump vec4 unity_DynamicLightmap_HDR;
uniform 	float TRANSMITTANCE_W;
uniform 	float TRANSMITTANCE_H;
uniform 	float SKY_W;
uniform 	float SKY_H;
uniform 	float M_PI;
uniform 	vec3 EARTH_POS;
uniform 	float SCALE;
uniform 	float HR;
uniform 	vec3 betaR;
uniform 	float HM;
uniform 	vec3 betaMSca;
uniform 	vec3 betaMEx;
uniform 	float mieG;
uniform 	float _Exposure;
uniform 	float Rg;
uniform 	float Rt;
uniform 	float RL;
uniform 	float RES_R;
uniform 	float RES_MU;
uniform 	float RES_MU_S;
uniform 	float RES_NU;
uniform 	vec3 SUN_DIR;
uniform 	float SUN_INTENSITY;
uniform 	float _experimentalAtmoScale;
uniform 	mat4 _ViewProjInv;
uniform 	float _viewdirOffset;
uniform 	float _Scale;
uniform 	float _global_alpha;
uniform 	float _global_depth;
uniform 	float _Ocean_Sigma;
uniform 	float fakeOcean;
uniform 	float _fade;
uniform 	vec3 _Ocean_Color;
uniform 	vec3 _camPos;
uniform 	float _Post_Extinction_Tint;
uniform 	float postExtinctionMultiplier;
uniform 	vec4 _MainTex_TexelSize;
uniform 	float _openglThreshold;
uniform 	float _horizonDepth;
uniform 	mat4 _Globals_CameraToWorld;
in highp vec4 in_POSITION0;
out highp vec4 vs_TEXCOORD0;
out highp vec2 vs_TEXCOORD1;
highp  vec4 phase0_Output0_2;
out highp vec2 vs_TEXCOORD2;
highp vec4 t0;
highp vec4 t1;
highp float t4;
void main()
{
    t0 = in_POSITION0.yyyy * glstate_matrix_mvp[1];
    t0 = glstate_matrix_mvp[0] * in_POSITION0.xxxx + t0;
    t0 = glstate_matrix_mvp[2] * in_POSITION0.zzzz + t0;
    t0 = glstate_matrix_mvp[3] * in_POSITION0.wwww + t0;
    gl_Position = t0;
    t4 = in_POSITION0.y * glstate_matrix_modelview0[1].z;
    t4 = glstate_matrix_modelview0[0].z * in_POSITION0.x + t4;
    t4 = glstate_matrix_modelview0[2].z * in_POSITION0.z + t4;
    t4 = glstate_matrix_modelview0[3].z * in_POSITION0.w + t4;
    vs_TEXCOORD0.z = (-t4);
    t0.y = t0.y * _ProjectionParams.x;
    t1.xzw = t0.xwy * vec3(0.5, 0.5, 0.5);
    t0.xy = t1.zz + t1.xw;
    phase0_Output0_2 = t0.xyxy / t0.wwww;
    vs_TEXCOORD0.xyw = t0.xyw;
vs_TEXCOORD1 = phase0_Output0_2.xy;
vs_TEXCOORD2 = phase0_Output0_2.zw;
    return;
}

#endif
#ifdef FRAGMENT
#version 300 es
precision highp float;
precision highp int;
uniform 	vec4 _Time;
uniform 	vec4 _SinTime;
uniform 	vec4 _CosTime;
uniform 	vec4 unity_DeltaTime;
uniform 	vec3 _WorldSpaceCameraPos;
uniform 	vec4 _ProjectionParams;
uniform 	vec4 _ScreenParams;
uniform 	vec4 _ZBufferParams;
uniform 	vec4 unity_OrthoParams;
uniform 	vec4 unity_CameraWorldClipPlanes[6];
uniform 	mat4 unity_CameraProjection;
uniform 	mat4 unity_CameraInvProjection;
uniform 	vec4 _WorldSpaceLightPos0;
uniform 	vec4 _LightPositionRange;
uniform 	vec4 unity_4LightPosX0;
uniform 	vec4 unity_4LightPosY0;
uniform 	vec4 unity_4LightPosZ0;
uniform 	mediump vec4 unity_4LightAtten0;
uniform 	mediump vec4 unity_LightColor[8];
uniform 	vec4 unity_LightPosition[8];
uniform 	mediump vec4 unity_LightAtten[8];
uniform 	vec4 unity_SpotDirection[8];
uniform 	mediump vec4 unity_SHAr;
uniform 	mediump vec4 unity_SHAg;
uniform 	mediump vec4 unity_SHAb;
uniform 	mediump vec4 unity_SHBr;
uniform 	mediump vec4 unity_SHBg;
uniform 	mediump vec4 unity_SHBb;
uniform 	mediump vec4 unity_SHC;
uniform 	mediump vec3 unity_LightColor0;
uniform 	mediump vec3 unity_LightColor1;
uniform 	mediump vec3 unity_LightColor2;
uniform 	mediump vec3 unity_LightColor3;
uniform 	vec4 unity_ShadowSplitSpheres[4];
uniform 	vec4 unity_ShadowSplitSqRadii;
uniform 	vec4 unity_LightShadowBias;
uniform 	vec4 _LightSplitsNear;
uniform 	vec4 _LightSplitsFar;
uniform 	mat4 unity_World2Shadow[4];
uniform 	mediump vec4 _LightShadowData;
uniform 	vec4 unity_ShadowFadeCenterAndType;
uniform 	mat4 glstate_matrix_mvp;
uniform 	mat4 glstate_matrix_modelview0;
uniform 	mat4 glstate_matrix_invtrans_modelview0;
uniform 	mat4 _Object2World;
uniform 	mat4 _World2Object;
uniform 	vec4 unity_LODFade;
uniform 	vec4 unity_WorldTransformParams;
uniform 	mat4 glstate_matrix_transpose_modelview0;
uniform 	mat4 glstate_matrix_projection;
uniform 	lowp vec4 glstate_lightmodel_ambient;
uniform 	mat4 unity_MatrixV;
uniform 	mat4 unity_MatrixVP;
uniform 	lowp vec4 unity_AmbientSky;
uniform 	lowp vec4 unity_AmbientEquator;
uniform 	lowp vec4 unity_AmbientGround;
uniform 	lowp vec4 unity_FogColor;
uniform 	vec4 unity_FogParams;
uniform 	vec4 unity_LightmapST;
uniform 	vec4 unity_DynamicLightmapST;
uniform 	vec4 unity_SpecCube0_BoxMax;
uniform 	vec4 unity_SpecCube0_BoxMin;
uniform 	vec4 unity_SpecCube0_ProbePosition;
uniform 	mediump vec4 unity_SpecCube0_HDR;
uniform 	vec4 unity_SpecCube1_BoxMax;
uniform 	vec4 unity_SpecCube1_BoxMin;
uniform 	vec4 unity_SpecCube1_ProbePosition;
uniform 	mediump vec4 unity_SpecCube1_HDR;
uniform 	lowp vec4 unity_ColorSpaceGrey;
uniform 	lowp vec4 unity_ColorSpaceDouble;
uniform 	mediump vec4 unity_ColorSpaceDielectricSpec;
uniform 	mediump vec4 unity_ColorSpaceLuminance;
uniform 	mediump vec4 unity_Lightmap_HDR;
uniform 	mediump vec4 unity_DynamicLightmap_HDR;
uniform 	float TRANSMITTANCE_W;
uniform 	float TRANSMITTANCE_H;
uniform 	float SKY_W;
uniform 	float SKY_H;
uniform 	float M_PI;
uniform 	vec3 EARTH_POS;
uniform 	float SCALE;
uniform 	float HR;
uniform 	vec3 betaR;
uniform 	float HM;
uniform 	vec3 betaMSca;
uniform 	vec3 betaMEx;
uniform 	float mieG;
uniform 	float _Exposure;
uniform 	float Rg;
uniform 	float Rt;
uniform 	float RL;
uniform 	float RES_R;
uniform 	float RES_MU;
uniform 	float RES_MU_S;
uniform 	float RES_NU;
uniform 	vec3 SUN_DIR;
uniform 	float SUN_INTENSITY;
uniform 	float _experimentalAtmoScale;
uniform 	mat4 _ViewProjInv;
uniform 	float _viewdirOffset;
uniform 	float _Scale;
uniform 	float _global_alpha;
uniform 	float _global_depth;
uniform 	float _Ocean_Sigma;
uniform 	float fakeOcean;
uniform 	float _fade;
uniform 	vec3 _Ocean_Color;
uniform 	vec3 _camPos;
uniform 	float _Post_Extinction_Tint;
uniform 	float postExtinctionMultiplier;
uniform 	vec4 _MainTex_TexelSize;
uniform 	float _openglThreshold;
uniform 	float _horizonDepth;
uniform 	mat4 _Globals_CameraToWorld;
uniform lowp sampler2D _customDepthTexture;
in highp vec2 vs_TEXCOORD2;
layout(location = 0) out mediump vec4 SV_Target0;
highp vec4 t0;
lowp float t10_0;
highp vec4 t1;
bool tb1;
highp vec4 t2;
highp ivec4 ti2;
bool tb2;
highp vec4 t3;
highp vec4 t4;
highp float t5;
highp int ti5;
bool tb5;
highp vec3 t6;
bool tb6;
highp float t7;
highp int ti7;
highp vec2 t10;
highp int ti10;
bool tb10;
highp vec2 t11;
highp ivec2 ti11;
highp vec2 t12;
highp ivec2 ti12;
highp float t15;
bool tb15;
highp float t16;
bool tb16;
highp float t17;
highp int ti17;
bool tb17;
void main()
{
    t10_0 = texture(_customDepthTexture, vs_TEXCOORD2.xy).x;
    tb5 = t10_0==1.0;
    t10.xy = vs_TEXCOORD2.xy * vec2(2.0, 2.0) + vec2(-1.0, -1.0);
    t1 = t10.yyyy * _ViewProjInv[1];
    t1 = _ViewProjInv[0] * t10.xxxx + t1;
    t1 = _ViewProjInv[2] * vec4(t10_0) + t1;
    t1 = t1 + _ViewProjInv[3];
    t0.xzw = t1.xyz / t1.www;
    t1.xyz = t0.xzw + (-_camPos.xyzx.xyz);
    t16 = dot(t1.xyz, t1.xyz);
    t2.x = dot(t1.xyz, _camPos.xyzx.xyz);
    t7 = t2.x + t2.x;
    t12.x = dot(_camPos.xyzx.xyz, _camPos.xyzx.xyz);
    t17 = (-Rg) * Rg + t12.x;
    t17 = t16 * t17;
    t17 = t17 * 4.0;
    t7 = t7 * t7 + (-t17);
    tb17 = t7>=0.0;
    t7 = sqrt(t7);
    t2.x = (-t2.x) * 2.0 + (-t7);
    t7 = t16 + t16;
    t2.x = t2.x / t7;
    t2.x = (tb17) ? t2.x : -1.0;
    ti7 = int((0.0<t2.x) ? 0xFFFFFFFFu : uint(0u));
    ti17 = ~ti7;
    ti5 = tb5 ? ti17 : int(0);
    if((uint(ti5))!=uint(0u)){
        SV_Target0 = vec4(1.0, 1.0, 1.0, 1.0);
        return;
    //ENDIF
    }
    t3.xyz = t1.xyz * t2.xxx;
    t1.xyz = t2.xxx * t1.xyz + _camPos.xyzx.xyz;
    t5 = dot(t3.xyz, t3.xyz);
    t5 = sqrt(t5);
    t16 = sqrt(t16);
    tb5 = t5<t16;
    ti5 = tb5 ? ti7 : int(0);
    t0.xyz = (int(ti5) != 0) ? t1.xyz : t0.xzw;
    t15 = dot(t0.xyz, t0.xyz);
    t1.x = sqrt(t15);
    t6.x = Rg + _openglThreshold;
    tb1 = t1.x<t6.x;
    t15 = inversesqrt(t15);
    t2.xyw = vec3(t15) * t0.xyz;
    t6.xyz = t6.xxx * t2.xyw;
    t0.xyz = (bool(tb1)) ? t6.xyz : t0.xyz;
    t0.xyz = t0.xyz + (-_camPos.xyzx.xyz);
    t15 = dot(t0.xyz, t0.xyz);
    t1.x = sqrt(t15);
    t0.xyz = t0.xyz / t1.xxx;
    t15 = (-Rg) + Rt;
    t3.y = t15 * _experimentalAtmoScale + Rg;
    t15 = dot(t0.xyz, t0.xyz);
    t15 = inversesqrt(t15);
    t0.xyz = vec3(t15) * t0.xyz;
    t2.y = sqrt(t12.x);
    t15 = Rg * 0.899999976;
    tb15 = t2.y<t15;
    t4.x = Rg + _camPos.xyzx.y;
    t4.yz = _camPos.xyzx.xz;
    t16 = dot(t4.xyz, t4.xyz);
    t4.w = sqrt(t16);
    t2.xzw = _camPos.xyzx.yxz;
    t2.xy = (bool(tb15)) ? t4.xw : t2.xy;
    t0.x = dot(t2.zxw, t0.xyz);
    t1.z = t0.x / t2.y;
    t5 = t2.y * t2.y;
    t5 = t0.x * t0.x + (-t5);
    t5 = t3.y * t3.y + t5;
    tb10 = t5>=0.0;
    t5 = sqrt(t5);
    t5 = (tb10) ? (-t5) : -9.99999997e-007;
    t5 = t5 + (-t0.x);
    t5 = max(t5, 0.0);
    tb10 = 0.0<t5;
    tb15 = t5<t1.x;
    ti10 = int(uint(tb15) * 0xffffffffu & uint(tb10) * 0xffffffffu);
    t0.x = t5 + t0.x;
    t3.z = t0.x / t3.y;
    t3.x = (-t5) + t1.x;
    t1.y = t2.y;
    t0.xyz = (int(ti10) != 0) ? t3.xyz : t1.xyz;
    t1.x = Rg + 1600.0;
    tb6 = t0.y<t1.x;
    t5 = (tb6) ? t1.x : t0.y;
    t1.x = HR * _experimentalAtmoScale;
    t6.x = 0.5 / t1.x;
    t6.x = t5 * t6.x;
    t6.x = sqrt(t6.x);
    t11.x = t0.x / t5;
    t0.w = t0.z + t11.x;
    t6.xy = vec2(t0.z * t6.x, t0.w * t6.x);
    ti2.xy = ivec2(uvec2(lessThan(vec4(0.0, 0.0, 0.0, 0.0), t6.xyxx).xy) * 0xFFFFFFFFu);
    ti12.xy = ivec2(uvec2(lessThan(t6.xyxy, vec4(0.0, 0.0, 0.0, 0.0)).xy) * 0xFFFFFFFFu);
    ti2.xy = (-ti2.xy) + ti12.xy;
    t2.xy = vec2(ti2.xy);
    t3.xyz = t6.xxy * t6.xxy;
    tb16 = t2.x<t2.y;
    t12.x = t3.x * 1.44269502;
    t12.x = exp2(t12.x);
    t16 = tb16 ? t12.x : float(0.0);
    t12.xy = t3.yz * vec2(1.51999998, 1.51999998) + vec2(4.0, 4.0);
    t12.xy = sqrt(t12.xy);
    t6.xy = abs(t6.xy) * vec2(2.31929994, 2.31929994) + t12.xy;
    t6.xy = t2.xy / t6.xy;
    t2.x = (-t0.x) / t1.x;
    t7 = t5 + t5;
    t7 = t0.x / t7;
    t7 = t0.z + t7;
    t2.x = t7 * t2.x;
    t2.x = t2.x * 1.44269502;
    t3.y = exp2(t2.x);
    t3.xz = vec2(1.0, 1.0);
    t6.xy = t6.xy * t3.xy;
    t2.x = t5 * t1.x;
    t2.x = t2.x * 6.28310013;
    t2.x = sqrt(t2.x);
    t12.x = (-t5) + Rg;
    t1.x = t12.x / t1.x;
    t1.x = t1.x * 1.44269502;
    t1.x = exp2(t1.x);
    t1.x = t1.x * t2.x;
    t6.x = dot(t6.xy, vec2(1.0, -1.0));
    t6.x = t6.x + t16;
    t1.x = t6.x * t1.x;
    t6.x = HM * _experimentalAtmoScale;
    t11.x = 0.5 / t6.x;
    t11.x = t5 * t11.x;
    t11.x = sqrt(t11.x);
    t10.xy = vec2(t0.z * t11.x, t0.w * t11.x);
    ti11.xy = ivec2(uvec2(lessThan(vec4(0.0, 0.0, 0.0, 0.0), t10.xyxy).xy) * 0xFFFFFFFFu);
    ti2.xw = ivec2(uvec2(lessThan(t10.xxxy, vec4(0.0, 0.0, 0.0, 0.0)).xw) * 0xFFFFFFFFu);
    ti11.xy = (-ti11.xy) + ti2.xw;
    t11.xy = vec2(ti11.xy);
    t4.xyz = t10.xxy * t10.xxy;
    tb2 = t11.x<t11.y;
    t17 = t4.x * 1.44269502;
    t17 = exp2(t17);
    t2.x = tb2 ? t17 : float(0.0);
    t3.xy = t4.yz * vec2(1.51999998, 1.51999998) + vec2(4.0, 4.0);
    t3.xy = sqrt(t3.xy);
    t10.xy = abs(t10.xy) * vec2(2.31929994, 2.31929994) + t3.xy;
    t10.xy = t11.xy / t10.xy;
    t0.x = (-t0.x) / t6.x;
    t0.x = t7 * t0.x;
    t0.x = t0.x * 1.44269502;
    t3.w = exp2(t0.x);
    t0.xz = vec2(t10.x * t3.z, t10.y * t3.w);
    t5 = t5 * t6.x;
    t5 = t5 * 6.28310013;
    t5 = sqrt(t5);
    t15 = t12.x / t6.x;
    t15 = t15 * 1.44269502;
    t15 = exp2(t15);
    t5 = t15 * t5;
    t0.x = dot(t0.xz, vec2(1.0, -1.0));
    t0.x = t0.x + t2.x;
    t0.x = t0.x * t5;
    t0.xyz = t0.xxx * betaMEx.xyzx.xyz;
    t0.xyz = (-betaR.xyzx.xyz) * t1.xxx + (-t0.xyz);
    t0.xyz = t0.xyz * vec3(1.44269502, 1.44269502, 1.44269502);
    t0.xyz = exp2(t0.xyz);
    t0.xyz = min(t0.xyz, vec3(1.0, 1.0, 1.0));
    t15 = t0.y + t0.x;
    t15 = t0.z + t15;
    t15 = t15 * 0.333333343;
    t1.x = (-_Post_Extinction_Tint) + 1.0;
    t15 = t15 * t1.x;
    t0.xyz = vec3(vec3(_Post_Extinction_Tint, _Post_Extinction_Tint, _Post_Extinction_Tint)) * t0.xyz + vec3(t15);
    t0.xyz = t0.xyz + vec3(-1.0, -1.0, -1.0);
    t0.xyz = vec3(postExtinctionMultiplier) * t0.xyz + vec3(1.0, 1.0, 1.0);
    SV_Target0.xyz = t0.xyz;
    SV_Target0.w = 1.0;
    return;
}

#endif
"
}
SubProgram "glcore " {
"!!GL3x
#ifdef VERTEX
#version 150
#extension GL_ARB_shader_bit_encoding : enable
uniform 	vec4 _Time;
uniform 	vec4 _SinTime;
uniform 	vec4 _CosTime;
uniform 	vec4 unity_DeltaTime;
uniform 	vec3 _WorldSpaceCameraPos;
uniform 	vec4 _ProjectionParams;
uniform 	vec4 _ScreenParams;
uniform 	vec4 _ZBufferParams;
uniform 	vec4 unity_OrthoParams;
uniform 	vec4 unity_CameraWorldClipPlanes[6];
uniform 	mat4 unity_CameraProjection;
uniform 	mat4 unity_CameraInvProjection;
uniform 	vec4 _WorldSpaceLightPos0;
uniform 	vec4 _LightPositionRange;
uniform 	vec4 unity_4LightPosX0;
uniform 	vec4 unity_4LightPosY0;
uniform 	vec4 unity_4LightPosZ0;
uniform 	vec4 unity_4LightAtten0;
uniform 	vec4 unity_LightColor[8];
uniform 	vec4 unity_LightPosition[8];
uniform 	vec4 unity_LightAtten[8];
uniform 	vec4 unity_SpotDirection[8];
uniform 	vec4 unity_SHAr;
uniform 	vec4 unity_SHAg;
uniform 	vec4 unity_SHAb;
uniform 	vec4 unity_SHBr;
uniform 	vec4 unity_SHBg;
uniform 	vec4 unity_SHBb;
uniform 	vec4 unity_SHC;
uniform 	vec3 unity_LightColor0;
uniform 	vec3 unity_LightColor1;
uniform 	vec3 unity_LightColor2;
uniform 	vec3 unity_LightColor3;
uniform 	vec4 unity_ShadowSplitSpheres[4];
uniform 	vec4 unity_ShadowSplitSqRadii;
uniform 	vec4 unity_LightShadowBias;
uniform 	vec4 _LightSplitsNear;
uniform 	vec4 _LightSplitsFar;
uniform 	mat4 unity_World2Shadow[4];
uniform 	vec4 _LightShadowData;
uniform 	vec4 unity_ShadowFadeCenterAndType;
uniform 	mat4 glstate_matrix_mvp;
uniform 	mat4 glstate_matrix_modelview0;
uniform 	mat4 glstate_matrix_invtrans_modelview0;
uniform 	mat4 _Object2World;
uniform 	mat4 _World2Object;
uniform 	vec4 unity_LODFade;
uniform 	vec4 unity_WorldTransformParams;
uniform 	mat4 glstate_matrix_transpose_modelview0;
uniform 	mat4 glstate_matrix_projection;
uniform 	vec4 glstate_lightmodel_ambient;
uniform 	mat4 unity_MatrixV;
uniform 	mat4 unity_MatrixVP;
uniform 	vec4 unity_AmbientSky;
uniform 	vec4 unity_AmbientEquator;
uniform 	vec4 unity_AmbientGround;
uniform 	vec4 unity_FogColor;
uniform 	vec4 unity_FogParams;
uniform 	vec4 unity_LightmapST;
uniform 	vec4 unity_DynamicLightmapST;
uniform 	vec4 unity_SpecCube0_BoxMax;
uniform 	vec4 unity_SpecCube0_BoxMin;
uniform 	vec4 unity_SpecCube0_ProbePosition;
uniform 	vec4 unity_SpecCube0_HDR;
uniform 	vec4 unity_SpecCube1_BoxMax;
uniform 	vec4 unity_SpecCube1_BoxMin;
uniform 	vec4 unity_SpecCube1_ProbePosition;
uniform 	vec4 unity_SpecCube1_HDR;
uniform 	vec4 unity_ColorSpaceGrey;
uniform 	vec4 unity_ColorSpaceDouble;
uniform 	vec4 unity_ColorSpaceDielectricSpec;
uniform 	vec4 unity_ColorSpaceLuminance;
uniform 	vec4 unity_Lightmap_HDR;
uniform 	vec4 unity_DynamicLightmap_HDR;
uniform 	float TRANSMITTANCE_W;
uniform 	float TRANSMITTANCE_H;
uniform 	float SKY_W;
uniform 	float SKY_H;
uniform 	float M_PI;
uniform 	vec3 EARTH_POS;
uniform 	float SCALE;
uniform 	float HR;
uniform 	vec3 betaR;
uniform 	float HM;
uniform 	vec3 betaMSca;
uniform 	vec3 betaMEx;
uniform 	float mieG;
uniform 	float _Exposure;
uniform 	float Rg;
uniform 	float Rt;
uniform 	float RL;
uniform 	float RES_R;
uniform 	float RES_MU;
uniform 	float RES_MU_S;
uniform 	float RES_NU;
uniform 	vec3 SUN_DIR;
uniform 	float SUN_INTENSITY;
uniform 	float _experimentalAtmoScale;
uniform 	mat4 _ViewProjInv;
uniform 	float _viewdirOffset;
uniform 	float _Scale;
uniform 	float _global_alpha;
uniform 	float _global_depth;
uniform 	float _Ocean_Sigma;
uniform 	float fakeOcean;
uniform 	float _fade;
uniform 	vec3 _Ocean_Color;
uniform 	vec3 _camPos;
uniform 	float _Post_Extinction_Tint;
uniform 	float postExtinctionMultiplier;
uniform 	vec4 _MainTex_TexelSize;
uniform 	float _openglThreshold;
uniform 	float _horizonDepth;
uniform 	mat4 _Globals_CameraToWorld;
in  vec4 in_POSITION0;
out vec4 vs_TEXCOORD0;
out vec2 vs_TEXCOORD1;
 vec4 phase0_Output0_2;
out vec2 vs_TEXCOORD2;
vec4 t0;
vec4 t1;
float t4;
void main()
{
    t0 = in_POSITION0.yyyy * glstate_matrix_mvp[1];
    t0 = glstate_matrix_mvp[0] * in_POSITION0.xxxx + t0;
    t0 = glstate_matrix_mvp[2] * in_POSITION0.zzzz + t0;
    t0 = glstate_matrix_mvp[3] * in_POSITION0.wwww + t0;
    gl_Position = t0;
    t4 = in_POSITION0.y * glstate_matrix_modelview0[1].z;
    t4 = glstate_matrix_modelview0[0].z * in_POSITION0.x + t4;
    t4 = glstate_matrix_modelview0[2].z * in_POSITION0.z + t4;
    t4 = glstate_matrix_modelview0[3].z * in_POSITION0.w + t4;
    vs_TEXCOORD0.z = (-t4);
    t0.y = t0.y * _ProjectionParams.x;
    t1.xzw = t0.xwy * vec3(0.5, 0.5, 0.5);
    t0.xy = t1.zz + t1.xw;
    phase0_Output0_2 = t0.xyxy / t0.wwww;
    vs_TEXCOORD0.xyw = t0.xyw;
vs_TEXCOORD1 = phase0_Output0_2.xy;
vs_TEXCOORD2 = phase0_Output0_2.zw;
    return;
}

#endif
#ifdef FRAGMENT
#version 150
#extension GL_ARB_shader_bit_encoding : enable
uniform 	vec4 _Time;
uniform 	vec4 _SinTime;
uniform 	vec4 _CosTime;
uniform 	vec4 unity_DeltaTime;
uniform 	vec3 _WorldSpaceCameraPos;
uniform 	vec4 _ProjectionParams;
uniform 	vec4 _ScreenParams;
uniform 	vec4 _ZBufferParams;
uniform 	vec4 unity_OrthoParams;
uniform 	vec4 unity_CameraWorldClipPlanes[6];
uniform 	mat4 unity_CameraProjection;
uniform 	mat4 unity_CameraInvProjection;
uniform 	vec4 _WorldSpaceLightPos0;
uniform 	vec4 _LightPositionRange;
uniform 	vec4 unity_4LightPosX0;
uniform 	vec4 unity_4LightPosY0;
uniform 	vec4 unity_4LightPosZ0;
uniform 	vec4 unity_4LightAtten0;
uniform 	vec4 unity_LightColor[8];
uniform 	vec4 unity_LightPosition[8];
uniform 	vec4 unity_LightAtten[8];
uniform 	vec4 unity_SpotDirection[8];
uniform 	vec4 unity_SHAr;
uniform 	vec4 unity_SHAg;
uniform 	vec4 unity_SHAb;
uniform 	vec4 unity_SHBr;
uniform 	vec4 unity_SHBg;
uniform 	vec4 unity_SHBb;
uniform 	vec4 unity_SHC;
uniform 	vec3 unity_LightColor0;
uniform 	vec3 unity_LightColor1;
uniform 	vec3 unity_LightColor2;
uniform 	vec3 unity_LightColor3;
uniform 	vec4 unity_ShadowSplitSpheres[4];
uniform 	vec4 unity_ShadowSplitSqRadii;
uniform 	vec4 unity_LightShadowBias;
uniform 	vec4 _LightSplitsNear;
uniform 	vec4 _LightSplitsFar;
uniform 	mat4 unity_World2Shadow[4];
uniform 	vec4 _LightShadowData;
uniform 	vec4 unity_ShadowFadeCenterAndType;
uniform 	mat4 glstate_matrix_mvp;
uniform 	mat4 glstate_matrix_modelview0;
uniform 	mat4 glstate_matrix_invtrans_modelview0;
uniform 	mat4 _Object2World;
uniform 	mat4 _World2Object;
uniform 	vec4 unity_LODFade;
uniform 	vec4 unity_WorldTransformParams;
uniform 	mat4 glstate_matrix_transpose_modelview0;
uniform 	mat4 glstate_matrix_projection;
uniform 	vec4 glstate_lightmodel_ambient;
uniform 	mat4 unity_MatrixV;
uniform 	mat4 unity_MatrixVP;
uniform 	vec4 unity_AmbientSky;
uniform 	vec4 unity_AmbientEquator;
uniform 	vec4 unity_AmbientGround;
uniform 	vec4 unity_FogColor;
uniform 	vec4 unity_FogParams;
uniform 	vec4 unity_LightmapST;
uniform 	vec4 unity_DynamicLightmapST;
uniform 	vec4 unity_SpecCube0_BoxMax;
uniform 	vec4 unity_SpecCube0_BoxMin;
uniform 	vec4 unity_SpecCube0_ProbePosition;
uniform 	vec4 unity_SpecCube0_HDR;
uniform 	vec4 unity_SpecCube1_BoxMax;
uniform 	vec4 unity_SpecCube1_BoxMin;
uniform 	vec4 unity_SpecCube1_ProbePosition;
uniform 	vec4 unity_SpecCube1_HDR;
uniform 	vec4 unity_ColorSpaceGrey;
uniform 	vec4 unity_ColorSpaceDouble;
uniform 	vec4 unity_ColorSpaceDielectricSpec;
uniform 	vec4 unity_ColorSpaceLuminance;
uniform 	vec4 unity_Lightmap_HDR;
uniform 	vec4 unity_DynamicLightmap_HDR;
uniform 	float TRANSMITTANCE_W;
uniform 	float TRANSMITTANCE_H;
uniform 	float SKY_W;
uniform 	float SKY_H;
uniform 	float M_PI;
uniform 	vec3 EARTH_POS;
uniform 	float SCALE;
uniform 	float HR;
uniform 	vec3 betaR;
uniform 	float HM;
uniform 	vec3 betaMSca;
uniform 	vec3 betaMEx;
uniform 	float mieG;
uniform 	float _Exposure;
uniform 	float Rg;
uniform 	float Rt;
uniform 	float RL;
uniform 	float RES_R;
uniform 	float RES_MU;
uniform 	float RES_MU_S;
uniform 	float RES_NU;
uniform 	vec3 SUN_DIR;
uniform 	float SUN_INTENSITY;
uniform 	float _experimentalAtmoScale;
uniform 	mat4 _ViewProjInv;
uniform 	float _viewdirOffset;
uniform 	float _Scale;
uniform 	float _global_alpha;
uniform 	float _global_depth;
uniform 	float _Ocean_Sigma;
uniform 	float fakeOcean;
uniform 	float _fade;
uniform 	vec3 _Ocean_Color;
uniform 	vec3 _camPos;
uniform 	float _Post_Extinction_Tint;
uniform 	float postExtinctionMultiplier;
uniform 	vec4 _MainTex_TexelSize;
uniform 	float _openglThreshold;
uniform 	float _horizonDepth;
uniform 	mat4 _Globals_CameraToWorld;
uniform  sampler2D _customDepthTexture;
in  vec2 vs_TEXCOORD2;
out vec4 SV_Target0;
vec4 t0;
lowp vec4 t10_0;
vec4 t1;
bool tb1;
vec4 t2;
ivec4 ti2;
bool tb2;
vec4 t3;
vec4 t4;
float t5;
int ti5;
bool tb5;
vec3 t6;
bool tb6;
float t7;
int ti7;
vec2 t10;
int ti10;
bool tb10;
vec2 t11;
ivec2 ti11;
vec2 t12;
ivec2 ti12;
float t15;
bool tb15;
float t16;
bool tb16;
float t17;
int ti17;
bool tb17;
void main()
{
    t10_0 = texture(_customDepthTexture, vs_TEXCOORD2.xy);
    tb5 = t10_0.x==1.0;
    t10.xy = vs_TEXCOORD2.xy * vec2(2.0, 2.0) + vec2(-1.0, -1.0);
    t1 = t10.yyyy * _ViewProjInv[1];
    t1 = _ViewProjInv[0] * t10.xxxx + t1;
    t1 = _ViewProjInv[2] * t10_0.xxxx + t1;
    t1 = t1 + _ViewProjInv[3];
    t0.xzw = t1.xyz / t1.www;
    t1.xyz = t0.xzw + (-_camPos.xyzx.xyz);
    t16 = dot(t1.xyz, t1.xyz);
    t2.x = dot(t1.xyz, _camPos.xyzx.xyz);
    t7 = t2.x + t2.x;
    t12.x = dot(_camPos.xyzx.xyz, _camPos.xyzx.xyz);
    t17 = (-Rg) * Rg + t12.x;
    t17 = t16 * t17;
    t17 = t17 * 4.0;
    t7 = t7 * t7 + (-t17);
    tb17 = t7>=0.0;
    t7 = sqrt(t7);
    t2.x = (-t2.x) * 2.0 + (-t7);
    t7 = t16 + t16;
    t2.x = t2.x / t7;
    t2.x = (tb17) ? t2.x : -1.0;
    ti7 = int((0.0<t2.x) ? 0xFFFFFFFFu : uint(0u));
    ti17 = ~ti7;
    ti5 = tb5 ? ti17 : int(0);
    if((uint(ti5))!=uint(0u)){
        SV_Target0 = vec4(1.0, 1.0, 1.0, 1.0);
        return;
    //ENDIF
    }
    t3.xyz = t1.xyz * t2.xxx;
    t1.xyz = t2.xxx * t1.xyz + _camPos.xyzx.xyz;
    t5 = dot(t3.xyz, t3.xyz);
    t5 = sqrt(t5);
    t16 = sqrt(t16);
    tb5 = t5<t16;
    ti5 = tb5 ? ti7 : int(0);
    t0.xyz = (int(ti5) != 0) ? t1.xyz : t0.xzw;
    t15 = dot(t0.xyz, t0.xyz);
    t1.x = sqrt(t15);
    t6.x = Rg + _openglThreshold;
    tb1 = t1.x<t6.x;
    t15 = inversesqrt(t15);
    t2.xyw = vec3(t15) * t0.xyz;
    t6.xyz = t6.xxx * t2.xyw;
    t0.xyz = (bool(tb1)) ? t6.xyz : t0.xyz;
    t0.xyz = t0.xyz + (-_camPos.xyzx.xyz);
    t15 = dot(t0.xyz, t0.xyz);
    t1.x = sqrt(t15);
    t0.xyz = t0.xyz / t1.xxx;
    t15 = (-Rg) + Rt;
    t3.y = t15 * _experimentalAtmoScale + Rg;
    t15 = dot(t0.xyz, t0.xyz);
    t15 = inversesqrt(t15);
    t0.xyz = vec3(t15) * t0.xyz;
    t2.y = sqrt(t12.x);
    t15 = Rg * 0.899999976;
    tb15 = t2.y<t15;
    t4.x = Rg + _camPos.xyzx.y;
    t4.yz = _camPos.xyzx.xz;
    t16 = dot(t4.xyz, t4.xyz);
    t4.w = sqrt(t16);
    t2.xzw = _camPos.xyzx.yxz;
    t2.xy = (bool(tb15)) ? t4.xw : t2.xy;
    t0.x = dot(t2.zxw, t0.xyz);
    t1.z = t0.x / t2.y;
    t5 = t2.y * t2.y;
    t5 = t0.x * t0.x + (-t5);
    t5 = t3.y * t3.y + t5;
    tb10 = t5>=0.0;
    t5 = sqrt(t5);
    t5 = (tb10) ? (-t5) : -9.99999997e-007;
    t5 = t5 + (-t0.x);
    t5 = max(t5, 0.0);
    tb10 = 0.0<t5;
    tb15 = t5<t1.x;
    ti10 = int(uint(tb15) * 0xffffffffu & uint(tb10) * 0xffffffffu);
    t0.x = t5 + t0.x;
    t3.z = t0.x / t3.y;
    t3.x = (-t5) + t1.x;
    t1.y = t2.y;
    t0.xyz = (int(ti10) != 0) ? t3.xyz : t1.xyz;
    t1.x = Rg + 1600.0;
    tb6 = t0.y<t1.x;
    t5 = (tb6) ? t1.x : t0.y;
    t1.x = HR * _experimentalAtmoScale;
    t6.x = 0.5 / t1.x;
    t6.x = t5 * t6.x;
    t6.x = sqrt(t6.x);
    t11.x = t0.x / t5;
    t0.w = t0.z + t11.x;
    t6.xy = t0.zw * t6.xx;
    ti2.xy = ivec2(uvec2(lessThan(vec4(0.0, 0.0, 0.0, 0.0), t6.xyxx).xy) * 0xFFFFFFFFu);
    ti12.xy = ivec2(uvec2(lessThan(t6.xyxy, vec4(0.0, 0.0, 0.0, 0.0)).xy) * 0xFFFFFFFFu);
    ti2.xy = (-ti2.xy) + ti12.xy;
    t2.xy = vec2(ti2.xy);
    t3.xyz = t6.xxy * t6.xxy;
    tb16 = t2.x<t2.y;
    t12.x = t3.x * 1.44269502;
    t12.x = exp2(t12.x);
    t16 = tb16 ? t12.x : float(0.0);
    t12.xy = t3.yz * vec2(1.51999998, 1.51999998) + vec2(4.0, 4.0);
    t12.xy = sqrt(t12.xy);
    t6.xy = abs(t6.xy) * vec2(2.31929994, 2.31929994) + t12.xy;
    t6.xy = t2.xy / t6.xy;
    t2.x = (-t0.x) / t1.x;
    t7 = t5 + t5;
    t7 = t0.x / t7;
    t7 = t0.z + t7;
    t2.x = t7 * t2.x;
    t2.x = t2.x * 1.44269502;
    t3.y = exp2(t2.x);
    t3.xz = vec2(1.0, 1.0);
    t6.xy = t6.xy * t3.xy;
    t2.x = t5 * t1.x;
    t2.x = t2.x * 6.28310013;
    t2.x = sqrt(t2.x);
    t12.x = (-t5) + Rg;
    t1.x = t12.x / t1.x;
    t1.x = t1.x * 1.44269502;
    t1.x = exp2(t1.x);
    t1.x = t1.x * t2.x;
    t6.x = dot(t6.xy, vec2(1.0, -1.0));
    t6.x = t6.x + t16;
    t1.x = t6.x * t1.x;
    t6.x = HM * _experimentalAtmoScale;
    t11.x = 0.5 / t6.x;
    t11.x = t5 * t11.x;
    t11.x = sqrt(t11.x);
    t10.xy = t0.zw * t11.xx;
    ti11.xy = ivec2(uvec2(lessThan(vec4(0.0, 0.0, 0.0, 0.0), t10.xyxy).xy) * 0xFFFFFFFFu);
    ti2.xw = ivec2(uvec2(lessThan(t10.xxxy, vec4(0.0, 0.0, 0.0, 0.0)).xw) * 0xFFFFFFFFu);
    ti11.xy = (-ti11.xy) + ti2.xw;
    t11.xy = vec2(ti11.xy);
    t4.xyz = t10.xxy * t10.xxy;
    tb2 = t11.x<t11.y;
    t17 = t4.x * 1.44269502;
    t17 = exp2(t17);
    t2.x = tb2 ? t17 : float(0.0);
    t3.xy = t4.yz * vec2(1.51999998, 1.51999998) + vec2(4.0, 4.0);
    t3.xy = sqrt(t3.xy);
    t10.xy = abs(t10.xy) * vec2(2.31929994, 2.31929994) + t3.xy;
    t10.xy = t11.xy / t10.xy;
    t0.x = (-t0.x) / t6.x;
    t0.x = t7 * t0.x;
    t0.x = t0.x * 1.44269502;
    t3.w = exp2(t0.x);
    t0.xz = t10.xy * t3.zw;
    t5 = t5 * t6.x;
    t5 = t5 * 6.28310013;
    t5 = sqrt(t5);
    t15 = t12.x / t6.x;
    t15 = t15 * 1.44269502;
    t15 = exp2(t15);
    t5 = t15 * t5;
    t0.x = dot(t0.xz, vec2(1.0, -1.0));
    t0.x = t0.x + t2.x;
    t0.x = t0.x * t5;
    t0.xyz = t0.xxx * betaMEx.xyzx.xyz;
    t0.xyz = (-betaR.xyzx.xyz) * t1.xxx + (-t0.xyz);
    t0.xyz = t0.xyz * vec3(1.44269502, 1.44269502, 1.44269502);
    t0.xyz = exp2(t0.xyz);
    t0.xyz = min(t0.xyz, vec3(1.0, 1.0, 1.0));
    t15 = t0.y + t0.x;
    t15 = t0.z + t15;
    t15 = t15 * 0.333333343;
    t1.x = (-_Post_Extinction_Tint) + 1.0;
    t15 = t15 * t1.x;
    t0.xyz = vec3(vec3(_Post_Extinction_Tint, _Post_Extinction_Tint, _Post_Extinction_Tint)) * t0.xyz + vec3(t15);
    t0.xyz = t0.xyz + vec3(-1.0, -1.0, -1.0);
    SV_Target0.xyz = vec3(postExtinctionMultiplier) * t0.xyz + vec3(1.0, 1.0, 1.0);
    SV_Target0.w = 1.0;
    return;
}

#endif
"
}
}
Program "fp" {
SubProgram "opengl " {
"!!GLSL"
}
SubProgram "d3d9 " {
// Stats: 194 math, 1 textures, 2 branches
Matrix 0 [_ViewProjInv]
Float 6 [HM]
Float 4 [HR]
Float 8 [Rg]
Float 9 [Rt]
Float 12 [_Post_Extinction_Tint]
Vector 11 [_camPos]
Float 10 [_experimentalAtmoScale]
Float 14 [_openglThreshold]
Vector 7 [betaMEx]
Vector 5 [betaR]
Float 13 [postExtinctionMultiplier]
SetTexture 0 [_customDepthTexture] 2D 0
"ps_3_0
def c15, 4, 0.899999976, -9.99999997e-007, 1600
def c16, 0.5, 1.44269502, 1.51999998, 4
def c17, 2.31929994, 6.28310013, 0.333333343, 0
def c18, -1, 2, 0, 1
dcl_texcoord2 v0.xy
dcl_2d s0
texld r0, v0, s0
add r0.y, r0.x, c18.x
mad r1.xyw, v0.xyzx, c18.yyzz, c18.xxzw
mov r1.z, r0.x
dp4 r2.x, c0, r1
dp4 r2.y, c1, r1
dp4 r2.z, c2, r1
dp4 r0.x, c3, r1
rcp r0.x, r0.x
mul r1.xyz, r0.x, r2
mad r0.xzw, r2.xyyz, r0.x, -c11.xyyz
dp3 r1.w, r0.xzww, r0.xzww
dp3 r2.x, r0.xzww, c11
add r2.y, r2.x, r2.x
dp3 r2.z, c11, c11
mad r2.w, c8.x, -c8.x, r2.z
mul r2.w, r1.w, r2.w
mul r2.w, r2.w, c15.x
mad r2.y, r2.y, r2.y, -r2.w
rsq r2.w, r2.y
rcp r2.w, r2.w
mad r2.x, r2.x, -c18.y, -r2.w
add r2.w, r1.w, r1.w
rcp r2.w, r2.w
mul r2.x, r2.w, r2.x
cmp r2.x, r2.y, r2.x, c18.x
cmp r0.y, -r0_abs.y, c18.w, c18.z
cmp r0.y, -r2.x, r0.y, c18.z
if_ne r0.y, -r0.y
mov_pp r3.xyz, c18.w
else
mul r4.xyz, r0.xzww, r2.x
mad r0.xyz, r2.x, r0.xzww, c11
dp3 r0.w, r4, r4
rsq r0.w, r0.w
rcp r0.w, r0.w
rsq r1.w, r1.w
rcp r1.w, r1.w
add r0.w, r0.w, -r1.w
cmp r0.w, r0.w, -c18.z, -c18.w
cmp r0.w, -r2.x, c18.z, r0.w
cmp r0.xyz, r0.w, r1, r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
rcp r1.x, r0.w
mov r2.x, c8.x
add r1.y, r2.x, c14.x
add r1.x, -r1.y, r1.x
mul r4.xyz, r0.w, r0
mul r1.yzw, r1.y, r4.xxyz
cmp r0.xyz, r1.x, r0, r1.yzww
add r0.xyz, r0, -c11
dp3 r0.w, r0, r0
rsq r0.w, r0.w
rcp r1.x, r0.w
mul r0.xyz, r0.w, r0
add r0.w, -r2.x, c9.x
mad r4.y, r0.w, c10.x, r2.x
rsq r0.w, r2.z
rcp r5.y, r0.w
mad r0.w, r2.x, -c15.y, r5.y
add r6.x, r2.x, c11.y
mov r6.yz, c11.xxzw
dp3 r1.w, r6, r6
rsq r1.w, r1.w
rcp r6.w, r1.w
mov r5.xzw, c11.yyxz
cmp r5.xy, r0.w, r5, r6.xwzw
dp3 r0.x, r5.zxww, r0
rcp r0.y, r5.y
mul r1.z, r0.y, r0.x
mul r0.y, r5.y, r5.y
mad r0.y, r0.x, r0.x, -r0.y
mad r0.y, r4.y, r4.y, r0.y
rsq r0.z, r0.y
rcp r0.z, r0.z
cmp r0.y, r0.y, -r0.z, c15.z
add r0.y, r0.y, -r0.x
max r1.w, r0.y, c18.z
add r0.y, -r1.x, r1.w
add r0.x, r0.x, r1.w
rcp r0.z, r4.y
mul r4.z, r0.z, r0.x
add r4.x, -r1.w, r1.x
cmp r0.x, r0.y, -c18.z, -c18.w
cmp r0.x, -r1.w, c18.z, r0.x
mov r1.y, r5.y
cmp r0.xyz, r0.x, r1, r4
add r1.x, r2.x, c15.w
add r1.y, r0.y, -r1.x
rcp r1.z, r0.y
mul r1.x, r1.z, r1.x
mul r1.x, r0.y, r1.x
cmp r0.y, r1.y, r0.y, r1.x
mov r1.x, c10.x
mul r1.y, r1.x, c4.x
rcp r1.z, r1.y
mul r1.yw, r0.y, r1.xyzz
mul r1.w, r1.w, c16.x
rsq r1.w, r1.w
rcp r1.w, r1.w
rcp r2.x, r0.y
mad r0.w, r0.x, r2.x, r0.z
mul r2.xy, r0.zwzw, r1.w
cmp r2.zw, -r2.xyxy, c18.z, c18.w
cmp r4.xy, r2, -c18.z, -c18.w
add r2.zw, r2, r4.xyxy
mul r4.xyz, r2.xxyw, r2.xxyw
add r1.w, -r2.w, r2.z
mul r3.w, r4.x, c16.y
exp r3.w, r3.w
cmp r1.w, r1.w, c18.z, r3.w
mad r4.xy, r4.yzzw, c16.z, c16.w
rsq r3.w, r4.x
rsq r4.x, r4.y
rcp r5.x, r3.w
rcp r5.y, r4.x
mad r2.xy, r2_abs, c17.x, r5
rcp r4.x, r2.x
rcp r4.y, r2.y
mul r2.xy, r2.zwzw, r4
mul r2.z, -r0.x, r1.z
add r2.w, r0.y, r0.y
rcp r2.w, r2.w
mad r2.w, r0.x, r2.w, r0.z
mul r2.z, r2.w, r2.z
mul r2.z, r2.z, c16.y
exp r4.y, r2.z
mov r4.xz, c18.w
mul r2.xy, r2, r4
mul r1.y, r1.y, c17.y
rsq r1.y, r1.y
rcp r1.y, r1.y
add r2.z, -r0.y, c8.x
mul r1.z, r1.z, r2.z
mul r1.z, r1.z, c16.y
exp r1.z, r1.z
mul r1.y, r1.z, r1.y
dp2add r1.z, r2, c18.wxzw, r1.w
mul r1.y, r1.z, r1.y
mul r1.x, r1.x, c6.x
rcp r1.z, r1.x
mul r1.w, r0.y, r1.z
mul r1.w, r1.w, c16.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mul r0.zw, r0, r1.w
cmp r2.xy, -r0.zwzw, c18.z, c18.w
cmp r4.xy, r0.zwzw, -c18.z, -c18.w
add r2.xy, r2, r4
mul r5.xyz, r0.zzww, r0.zzww
add r1.w, -r2.y, r2.x
mul r3.w, r5.x, c16.y
exp r3.w, r3.w
cmp r1.w, r1.w, c18.z, r3.w
mad r4.xy, r5.yzzw, c16.z, c16.w
rsq r3.w, r4.x
rsq r4.x, r4.y
rcp r5.x, r3.w
rcp r5.y, r4.x
mad r0.zw, r0_abs, c17.x, r5.xyxy
rcp r4.x, r0.z
rcp r4.y, r0.w
mul r0.zw, r2.xyxy, r4.xyxy
mul r0.x, -r0.x, r1.z
mul r0.x, r2.w, r0.x
mul r0.x, r0.x, c16.y
exp r4.w, r0.x
mul r0.xz, r0.zyww, r4.zyww
mul r0.y, r0.y, r1.x
mul r0.y, r0.y, c17.y
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r0.w, r1.z, r2.z
mul r0.w, r0.w, c16.y
exp r0.w, r0.w
mul r0.y, r0.w, r0.y
dp2add r0.x, r0.xzzw, c18.wxzw, r1.w
mul r0.x, r0.x, r0.y
mul r0.xyz, r0.x, c7
mad r0.xyz, -c5, r1.y, -r0
mul r0.xyz, r0, c16.y
exp_sat r1.x, r0.x
exp_sat r1.y, r0.y
exp_sat r1.z, r0.z
add r0.x, r1.y, r1.x
add r0.x, r1.z, r0.x
mul r0.x, r0.x, c17.z
lrp r2.xyz, c12.x, r1, r0.x
add r0.xyz, r2, c18.x
mov r0.w, c18.w
mad_pp r3.xyz, c13.x, r0, r0.w
endif
mov_pp oC0.xyz, r3
mov_pp oC0.w, c18.w

"
}
SubProgram "d3d11 " {
// Stats: 153 math, 1 textures, 2 branches
SetTexture 0 [_customDepthTexture] 2D 0
ConstBuffer "$Globals" 496
Matrix 256 [_ViewProjInv]
Float 132 [HR]
Vector 144 [betaR] 3
Float 156 [HM]
Vector 176 [betaMEx] 3
Float 196 [Rg]
Float 200 [Rt]
Float 240 [_experimentalAtmoScale]
Vector 368 [_camPos] 3
Float 380 [_Post_Extinction_Tint]
Float 384 [postExtinctionMultiplier]
Float 416 [_openglThreshold]
BindCB  "$Globals" 0
"ps_4_0
root12:abababaa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"
}
SubProgram "gles " {
"!!GLES"
}
SubProgram "gles3 " {
"!!GLES3"
}
SubProgram "glcore " {
"!!GL3x"
}
}
 }


 // Stats for Vertex shader:
 //       d3d11 : 15 math
 //        d3d9 : 20 math
 //        gles : 513 avg math (503..523), 9 avg texture (9..10), 16 avg branch (16..17)
 //      opengl : 513 avg math (503..523), 9 avg texture (9..10), 16 avg branch (16..17)
 // Stats for Fragment shader:
 //       d3d11 : 348 avg math (338..359), 1 avg texture (1..2), 2 branch
 //        d3d9 : 448 avg math (437..460), 17 avg texture (17..18), 2 branch
 Pass {
  Tags { "QUEUE"="Transparent-5" "IgnoreProjector"="True" "RenderType"="Transparent" }
  ZWrite Off
  Cull Front
  Blend OneMinusDstColor One
  GpuProgramID 82513
Program "vp" {
SubProgram "opengl " {
// Stats: 503 math, 9 textures, 16 branches
Keywords { "GODRAYS_OFF" }
"!!GLSL#version 120

#ifdef VERTEX
uniform vec4 _ProjectionParams;


varying vec4 xlv_TEXCOORD0;
varying vec2 xlv_TEXCOORD1;
varying vec2 xlv_TEXCOORD2;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec2 tmpvar_3;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 o_4;
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_1 * 0.5);
  vec2 tmpvar_6;
  tmpvar_6.x = tmpvar_5.x;
  tmpvar_6.y = (tmpvar_5.y * _ProjectionParams.x);
  o_4.xy = (tmpvar_6 + tmpvar_5.w);
  o_4.zw = tmpvar_1.zw;
  tmpvar_2.xyw = o_4.xyw;
  tmpvar_3 = (o_4.xy / tmpvar_1.w);
  tmpvar_2.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = tmpvar_2;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = tmpvar_3;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
uniform sampler2D _Inscatter;
uniform float M_PI;
uniform float HR;
uniform vec3 betaR;
uniform float HM;
uniform vec3 betaMEx;
uniform float mieG;
uniform float _Exposure;
uniform float Rg;
uniform float Rt;
uniform float RES_R;
uniform float RES_MU;
uniform float RES_MU_S;
uniform float RES_NU;
uniform vec3 SUN_DIR;
uniform float SUN_INTENSITY;
uniform float _experimentalAtmoScale;
uniform mat4 _ViewProjInv;
uniform float _global_alpha;
uniform float _global_depth;
uniform vec3 _camPos;
uniform sampler2D _customDepthTexture;
uniform float _openglThreshold;
float xlat_mutableRt;
varying vec2 xlv_TEXCOORD2;
void main ()
{
  xlat_mutableRt = Rt;
  vec4 tmpvar_1;
  bool infinite_2;
  vec4 tmpvar_3;
  tmpvar_3 = texture2D (_customDepthTexture, xlv_TEXCOORD2);
  infinite_2 = (tmpvar_3.x == 1.0);
  vec4 tmpvar_4;
  tmpvar_4.w = 1.0;
  tmpvar_4.xy = ((xlv_TEXCOORD2 * vec2(2.0, 2.0)) - vec2(1.0, 1.0));
  tmpvar_4.z = tmpvar_3.x;
  vec4 tmpvar_5;
  tmpvar_5 = (_ViewProjInv * tmpvar_4);
  vec3 tmpvar_6;
  tmpvar_6 = (tmpvar_5 / tmpvar_5.w).xyz;
  float tmpvar_7;
  vec3 tmpvar_8;
  tmpvar_8 = (tmpvar_6 - _camPos);
  float tmpvar_9;
  tmpvar_9 = dot (tmpvar_8, tmpvar_8);
  float tmpvar_10;
  tmpvar_10 = (2.0 * dot (tmpvar_8, _camPos));
  float tmpvar_11;
  tmpvar_11 = ((tmpvar_10 * tmpvar_10) - ((4.0 * tmpvar_9) * (
    dot (_camPos, _camPos)
   - 
    (Rg * Rg)
  )));
  if ((tmpvar_11 < 0.0)) {
    tmpvar_7 = -1.0;
  } else {
    tmpvar_7 = ((-(tmpvar_10) - sqrt(tmpvar_11)) / (2.0 * tmpvar_9));
  };
  bool tmpvar_12;
  tmpvar_12 = (tmpvar_7 > 0.0);
  if ((!(tmpvar_12) && infinite_2)) {
    tmpvar_1 = vec4(0.0, 0.0, 0.0, 0.0);
  } else {
    vec3 tmpvar_13;
    tmpvar_13 = (_camPos + (tmpvar_7 * (tmpvar_6 - _camPos)));
    vec3 x_14;
    x_14 = (tmpvar_13 - _camPos);
    vec3 x_15;
    x_15 = (tmpvar_6 - _camPos);
    bool tmpvar_16;
    tmpvar_16 = (sqrt(dot (x_14, x_14)) < sqrt(dot (x_15, x_15)));
    vec3 tmpvar_17;
    if ((tmpvar_12 && tmpvar_16)) {
      tmpvar_17 = tmpvar_13;
    } else {
      tmpvar_17 = tmpvar_6;
    };
    float tmpvar_18;
    tmpvar_18 = sqrt(dot (tmpvar_17, tmpvar_17));
    vec3 tmpvar_19;
    if ((tmpvar_18 < (Rg + _openglThreshold))) {
      tmpvar_19 = ((Rg + _openglThreshold) * normalize(tmpvar_17));
    } else {
      tmpvar_19 = tmpvar_17;
    };
    vec3 tmpvar_20;
    vec3 camera_21;
    camera_21 = _camPos;
    vec3 _point_22;
    _point_22 = tmpvar_19;
    vec4 inScatter_23;
    float mu_24;
    float rMu_25;
    float r_26;
    float d_27;
    vec3 viewdir_28;
    vec3 result_29;
    result_29 = vec3(0.0, 0.0, 0.0);
    vec3 tmpvar_30;
    tmpvar_30 = (tmpvar_19 - _camPos);
    float tmpvar_31;
    tmpvar_31 = sqrt(dot (tmpvar_30, tmpvar_30));
    d_27 = tmpvar_31;
    viewdir_28 = (tmpvar_30 / tmpvar_31);
    xlat_mutableRt = (Rg + ((Rt - Rg) * _experimentalAtmoScale));
    vec3 tmpvar_32;
    tmpvar_32 = normalize(viewdir_28);
    viewdir_28 = tmpvar_32;
    float tmpvar_33;
    tmpvar_33 = sqrt(dot (_camPos, _camPos));
    r_26 = tmpvar_33;
    if ((tmpvar_33 < (0.9 * Rg))) {
      camera_21.y = (_camPos.y + Rg);
      _point_22.y = (tmpvar_19.y + Rg);
      r_26 = sqrt(dot (camera_21, camera_21));
    };
    float tmpvar_34;
    tmpvar_34 = dot (camera_21, tmpvar_32);
    rMu_25 = tmpvar_34;
    mu_24 = (tmpvar_34 / r_26);
    _point_22 = (_point_22 - (tmpvar_32 * clamp (1.0, 0.0, tmpvar_31)));
    float f_35;
    f_35 = (((tmpvar_34 * tmpvar_34) - (r_26 * r_26)) + (xlat_mutableRt * xlat_mutableRt));
    float tmpvar_36;
    if ((f_35 >= 0.0)) {
      tmpvar_36 = sqrt(f_35);
    } else {
      tmpvar_36 = 1e-06;
    };
    float tmpvar_37;
    tmpvar_37 = max ((-(tmpvar_34) - tmpvar_36), 0.0);
    if (((tmpvar_37 > 0.0) && (tmpvar_37 < tmpvar_31))) {
      camera_21 = (camera_21 + (tmpvar_37 * tmpvar_32));
      rMu_25 = (tmpvar_34 + tmpvar_37);
      mu_24 = (rMu_25 / xlat_mutableRt);
      r_26 = xlat_mutableRt;
      d_27 = (tmpvar_31 - tmpvar_37);
    };
    float tmpvar_38;
    tmpvar_38 = dot (tmpvar_32, SUN_DIR);
    float tmpvar_39;
    tmpvar_39 = (dot (camera_21, SUN_DIR) / r_26);
    if ((r_26 < (Rg + 1600.0))) {
      float tmpvar_40;
      tmpvar_40 = ((Rg + 1600.0) / r_26);
      r_26 = (r_26 * tmpvar_40);
      rMu_25 = (rMu_25 * tmpvar_40);
      _point_22 = (_point_22 * tmpvar_40);
    };
    float tmpvar_41;
    tmpvar_41 = sqrt(dot (_point_22, _point_22));
    float tmpvar_42;
    tmpvar_42 = (dot (_point_22, tmpvar_32) / tmpvar_41);
    float tmpvar_43;
    tmpvar_43 = (dot (_point_22, SUN_DIR) / tmpvar_41);
    float tmpvar_44;
    float H_45;
    H_45 = (HR * _experimentalAtmoScale);
    vec2 tmpvar_46;
    tmpvar_46.x = mu_24;
    tmpvar_46.y = (mu_24 + (d_27 / r_26));
    vec2 tmpvar_47;
    tmpvar_47 = (sqrt((
      (0.5 / H_45)
     * r_26)) * tmpvar_46);
    vec2 tmpvar_48;
    tmpvar_48 = sign(tmpvar_47);
    vec2 tmpvar_49;
    tmpvar_49 = (tmpvar_47 * tmpvar_47);
    float tmpvar_50;
    if ((tmpvar_48.y > tmpvar_48.x)) {
      tmpvar_50 = exp(tmpvar_49.x);
    } else {
      tmpvar_50 = 0.0;
    };
    vec2 tmpvar_51;
    tmpvar_51.x = 1.0;
    tmpvar_51.y = exp(((
      -(d_27)
     / H_45) * (
      (d_27 / (2.0 * r_26))
     + mu_24)));
    tmpvar_44 = ((sqrt(
      ((6.2831 * H_45) * r_26)
    ) * exp(
      ((Rg - r_26) / H_45)
    )) * (tmpvar_50 + dot (
      ((tmpvar_48 / ((2.3193 * 
        abs(tmpvar_47)
      ) + sqrt(
        ((1.52 * tmpvar_49) + 4.0)
      ))) * tmpvar_51)
    , vec2(1.0, -1.0))));
    float H_52;
    H_52 = (HM * _experimentalAtmoScale);
    vec2 tmpvar_53;
    tmpvar_53.x = mu_24;
    tmpvar_53.y = (mu_24 + (d_27 / r_26));
    vec2 tmpvar_54;
    tmpvar_54 = (sqrt((
      (0.5 / H_52)
     * r_26)) * tmpvar_53);
    vec2 tmpvar_55;
    tmpvar_55 = sign(tmpvar_54);
    vec2 tmpvar_56;
    tmpvar_56 = (tmpvar_54 * tmpvar_54);
    float tmpvar_57;
    if ((tmpvar_55.y > tmpvar_55.x)) {
      tmpvar_57 = exp(tmpvar_56.x);
    } else {
      tmpvar_57 = 0.0;
    };
    vec2 tmpvar_58;
    tmpvar_58.x = 1.0;
    tmpvar_58.y = exp(((
      -(d_27)
     / H_52) * (
      (d_27 / (2.0 * r_26))
     + mu_24)));
    vec3 tmpvar_59;
    tmpvar_59 = min (exp((
      (-(betaR) * tmpvar_44)
     - 
      (betaMEx * ((sqrt(
        ((6.2831 * H_52) * r_26)
      ) * exp(
        ((Rg - r_26) / H_52)
      )) * (tmpvar_57 + dot (
        ((tmpvar_55 / ((2.3193 * 
          abs(tmpvar_54)
        ) + sqrt(
          ((1.52 * tmpvar_56) + 4.0)
        ))) * tmpvar_58)
      , vec2(1.0, -1.0)))))
    )), vec3(1.0, 1.0, 1.0));
    vec4 tmpvar_60;
    float _lerp_61;
    float tmpvar_62;
    float tmpvar_63;
    tmpvar_63 = (Rg * Rg);
    tmpvar_62 = sqrt(((xlat_mutableRt * xlat_mutableRt) - tmpvar_63));
    float tmpvar_64;
    tmpvar_64 = sqrt(((r_26 * r_26) - tmpvar_63));
    float tmpvar_65;
    tmpvar_65 = (r_26 * mu_24);
    float tmpvar_66;
    tmpvar_66 = (((tmpvar_65 * tmpvar_65) - (r_26 * r_26)) + tmpvar_63);
    vec4 tmpvar_67;
    if (((tmpvar_65 < 0.0) && (tmpvar_66 > 0.0))) {
      vec4 tmpvar_68;
      tmpvar_68.xyz = vec3(1.0, 0.0, 0.0);
      tmpvar_68.w = (0.5 - (0.5 / RES_MU));
      tmpvar_67 = tmpvar_68;
    } else {
      vec4 tmpvar_69;
      tmpvar_69.x = -1.0;
      tmpvar_69.y = (tmpvar_62 * tmpvar_62);
      tmpvar_69.z = tmpvar_62;
      tmpvar_69.w = (0.5 + (0.5 / RES_MU));
      tmpvar_67 = tmpvar_69;
    };
    float tmpvar_70;
    tmpvar_70 = ((0.5 / RES_R) + ((tmpvar_64 / tmpvar_62) * (1.0 - 
      (1.0/(RES_R))
    )));
    float tmpvar_71;
    tmpvar_71 = (tmpvar_67.w + ((
      ((tmpvar_65 * tmpvar_67.x) + sqrt((tmpvar_66 + tmpvar_67.y)))
     / 
      (tmpvar_64 + tmpvar_67.z)
    ) * (0.5 - 
      (1.0/(RES_MU))
    )));
    float y_over_x_72;
    y_over_x_72 = (max (tmpvar_39, -0.1975) * 5.349625);
    float tmpvar_73;
    tmpvar_73 = (min (abs(y_over_x_72), 1.0) / max (abs(y_over_x_72), 1.0));
    float tmpvar_74;
    tmpvar_74 = (tmpvar_73 * tmpvar_73);
    tmpvar_74 = (((
      ((((
        ((((-0.01213232 * tmpvar_74) + 0.05368138) * tmpvar_74) - 0.1173503)
       * tmpvar_74) + 0.1938925) * tmpvar_74) - 0.3326756)
     * tmpvar_74) + 0.9999793) * tmpvar_73);
    tmpvar_74 = (tmpvar_74 + (float(
      (abs(y_over_x_72) > 1.0)
    ) * (
      (tmpvar_74 * -2.0)
     + 1.570796)));
    float tmpvar_75;
    tmpvar_75 = ((0.5 / RES_MU_S) + ((
      (((tmpvar_74 * sign(y_over_x_72)) / 1.1) + 0.74)
     * 0.5) * (1.0 - 
      (1.0/(RES_MU_S))
    )));
    float tmpvar_76;
    tmpvar_76 = (((tmpvar_38 + 1.0) / 2.0) * (RES_NU - 1.0));
    float tmpvar_77;
    tmpvar_77 = floor(tmpvar_76);
    _lerp_61 = (tmpvar_76 - tmpvar_77);
    float tmpvar_78;
    tmpvar_78 = (floor((
      (tmpvar_70 * RES_R)
     - 1.0)) / RES_R);
    float tmpvar_79;
    tmpvar_79 = (floor((tmpvar_70 * RES_R)) / RES_R);
    float tmpvar_80;
    tmpvar_80 = fract((tmpvar_70 * RES_R));
    vec4 tmpvar_81;
    tmpvar_81.zw = vec2(0.0, 0.0);
    tmpvar_81.x = ((tmpvar_77 + tmpvar_75) / RES_NU);
    tmpvar_81.y = ((tmpvar_71 / RES_R) + tmpvar_78);
    vec4 tmpvar_82;
    tmpvar_82.zw = vec2(0.0, 0.0);
    tmpvar_82.x = (((tmpvar_77 + tmpvar_75) + 1.0) / RES_NU);
    tmpvar_82.y = ((tmpvar_71 / RES_R) + tmpvar_78);
    vec4 tmpvar_83;
    tmpvar_83.zw = vec2(0.0, 0.0);
    tmpvar_83.x = ((tmpvar_77 + tmpvar_75) / RES_NU);
    tmpvar_83.y = ((tmpvar_71 / RES_R) + tmpvar_79);
    vec4 tmpvar_84;
    tmpvar_84.zw = vec2(0.0, 0.0);
    tmpvar_84.x = (((tmpvar_77 + tmpvar_75) + 1.0) / RES_NU);
    tmpvar_84.y = ((tmpvar_71 / RES_R) + tmpvar_79);
    tmpvar_60 = (((
      (texture2DLod (_Inscatter, tmpvar_81.xy, 0.0) * (1.0 - _lerp_61))
     + 
      (texture2DLod (_Inscatter, tmpvar_82.xy, 0.0) * _lerp_61)
    ) * (1.0 - tmpvar_80)) + ((
      (texture2DLod (_Inscatter, tmpvar_83.xy, 0.0) * (1.0 - _lerp_61))
     + 
      (texture2DLod (_Inscatter, tmpvar_84.xy, 0.0) * _lerp_61)
    ) * tmpvar_80));
    float _lerp_85;
    float tmpvar_86;
    float tmpvar_87;
    tmpvar_87 = (Rg * Rg);
    tmpvar_86 = sqrt(((xlat_mutableRt * xlat_mutableRt) - tmpvar_87));
    float tmpvar_88;
    tmpvar_88 = sqrt(((tmpvar_41 * tmpvar_41) - tmpvar_87));
    float tmpvar_89;
    tmpvar_89 = (tmpvar_41 * tmpvar_42);
    float tmpvar_90;
    tmpvar_90 = (((tmpvar_89 * tmpvar_89) - (tmpvar_41 * tmpvar_41)) + tmpvar_87);
    vec4 tmpvar_91;
    if (((tmpvar_89 < 0.0) && (tmpvar_90 > 0.0))) {
      vec4 tmpvar_92;
      tmpvar_92.xyz = vec3(1.0, 0.0, 0.0);
      tmpvar_92.w = (0.5 - (0.5 / RES_MU));
      tmpvar_91 = tmpvar_92;
    } else {
      vec4 tmpvar_93;
      tmpvar_93.x = -1.0;
      tmpvar_93.y = (tmpvar_86 * tmpvar_86);
      tmpvar_93.z = tmpvar_86;
      tmpvar_93.w = (0.5 + (0.5 / RES_MU));
      tmpvar_91 = tmpvar_93;
    };
    float tmpvar_94;
    tmpvar_94 = ((0.5 / RES_R) + ((tmpvar_88 / tmpvar_86) * (1.0 - 
      (1.0/(RES_R))
    )));
    float tmpvar_95;
    tmpvar_95 = (tmpvar_91.w + ((
      ((tmpvar_89 * tmpvar_91.x) + sqrt((tmpvar_90 + tmpvar_91.y)))
     / 
      (tmpvar_88 + tmpvar_91.z)
    ) * (0.5 - 
      (1.0/(RES_MU))
    )));
    float y_over_x_96;
    y_over_x_96 = (max (tmpvar_43, -0.1975) * 5.349625);
    float tmpvar_97;
    tmpvar_97 = (min (abs(y_over_x_96), 1.0) / max (abs(y_over_x_96), 1.0));
    float tmpvar_98;
    tmpvar_98 = (tmpvar_97 * tmpvar_97);
    tmpvar_98 = (((
      ((((
        ((((-0.01213232 * tmpvar_98) + 0.05368138) * tmpvar_98) - 0.1173503)
       * tmpvar_98) + 0.1938925) * tmpvar_98) - 0.3326756)
     * tmpvar_98) + 0.9999793) * tmpvar_97);
    tmpvar_98 = (tmpvar_98 + (float(
      (abs(y_over_x_96) > 1.0)
    ) * (
      (tmpvar_98 * -2.0)
     + 1.570796)));
    float tmpvar_99;
    tmpvar_99 = ((0.5 / RES_MU_S) + ((
      (((tmpvar_98 * sign(y_over_x_96)) / 1.1) + 0.74)
     * 0.5) * (1.0 - 
      (1.0/(RES_MU_S))
    )));
    float tmpvar_100;
    tmpvar_100 = (((tmpvar_38 + 1.0) / 2.0) * (RES_NU - 1.0));
    float tmpvar_101;
    tmpvar_101 = floor(tmpvar_100);
    _lerp_85 = (tmpvar_100 - tmpvar_101);
    float tmpvar_102;
    tmpvar_102 = (floor((
      (tmpvar_94 * RES_R)
     - 1.0)) / RES_R);
    float tmpvar_103;
    tmpvar_103 = (floor((tmpvar_94 * RES_R)) / RES_R);
    float tmpvar_104;
    tmpvar_104 = fract((tmpvar_94 * RES_R));
    vec4 tmpvar_105;
    tmpvar_105.zw = vec2(0.0, 0.0);
    tmpvar_105.x = ((tmpvar_101 + tmpvar_99) / RES_NU);
    tmpvar_105.y = ((tmpvar_95 / RES_R) + tmpvar_102);
    vec4 tmpvar_106;
    tmpvar_106.zw = vec2(0.0, 0.0);
    tmpvar_106.x = (((tmpvar_101 + tmpvar_99) + 1.0) / RES_NU);
    tmpvar_106.y = ((tmpvar_95 / RES_R) + tmpvar_102);
    vec4 tmpvar_107;
    tmpvar_107.zw = vec2(0.0, 0.0);
    tmpvar_107.x = ((tmpvar_101 + tmpvar_99) / RES_NU);
    tmpvar_107.y = ((tmpvar_95 / RES_R) + tmpvar_103);
    vec4 tmpvar_108;
    tmpvar_108.zw = vec2(0.0, 0.0);
    tmpvar_108.x = (((tmpvar_101 + tmpvar_99) + 1.0) / RES_NU);
    tmpvar_108.y = ((tmpvar_95 / RES_R) + tmpvar_103);
    vec4 tmpvar_109;
    tmpvar_109 = max ((tmpvar_60 - (
      ((((texture2DLod (_Inscatter, tmpvar_105.xy, 0.0) * 
        (1.0 - _lerp_85)
      ) + (texture2DLod (_Inscatter, tmpvar_106.xy, 0.0) * _lerp_85)) * (1.0 - tmpvar_104)) + (((texture2DLod (_Inscatter, tmpvar_107.xy, 0.0) * 
        (1.0 - _lerp_85)
      ) + (texture2DLod (_Inscatter, tmpvar_108.xy, 0.0) * _lerp_85)) * tmpvar_104))
     * tmpvar_59.xyzx)), vec4(0.0, 0.0, 0.0, 0.0));
    inScatter_23.xyz = tmpvar_109.xyz;
    float tmpvar_110;
    tmpvar_110 = clamp ((tmpvar_39 / 0.02), 0.0, 1.0);
    inScatter_23.w = (tmpvar_109.w * (tmpvar_110 * (tmpvar_110 * 
      (3.0 - (2.0 * tmpvar_110))
    )));
    float tmpvar_111;
    tmpvar_111 = (mieG * mieG);
    result_29 = ((tmpvar_109.xyz * (
      (3.0 / (16.0 * M_PI))
     * 
      (1.0 + (tmpvar_38 * tmpvar_38))
    )) + ((
      ((tmpvar_109.xyz * inScatter_23.w) / max (tmpvar_109.x, 0.0001))
     * 
      (betaR.x / betaR)
    ) * (
      ((((1.5 / 
        (4.0 * M_PI)
      ) * (1.0 - tmpvar_111)) * pow ((
        (1.0 + tmpvar_111)
       - 
        ((2.0 * mieG) * tmpvar_38)
      ), -1.5)) * (1.0 + (tmpvar_38 * tmpvar_38)))
     / 
      (2.0 + tmpvar_111)
    )));
    tmpvar_20 = (result_29 * SUN_INTENSITY);
    float tmpvar_112;
    vec3 x_113;
    x_113 = (tmpvar_19 - _camPos);
    tmpvar_112 = sqrt(dot (x_113, x_113));
    float tmpvar_114;
    if ((tmpvar_112 <= _global_depth)) {
      tmpvar_114 = (1.0 - exp(-(
        ((4.0 * tmpvar_112) / _global_depth)
      )));
    } else {
      tmpvar_114 = 1.0;
    };
    vec3 L_115;
    L_115 = (tmpvar_20 * _Exposure);
    float tmpvar_116;
    if ((L_115.x < 1.413)) {
      tmpvar_116 = pow ((L_115.x * 0.38317), 0.4545454);
    } else {
      tmpvar_116 = (1.0 - exp(-(L_115.x)));
    };
    L_115.x = tmpvar_116;
    float tmpvar_117;
    if ((L_115.y < 1.413)) {
      tmpvar_117 = pow ((L_115.y * 0.38317), 0.4545454);
    } else {
      tmpvar_117 = (1.0 - exp(-(L_115.y)));
    };
    L_115.y = tmpvar_117;
    float tmpvar_118;
    if ((L_115.z < 1.413)) {
      tmpvar_118 = pow ((L_115.z * 0.38317), 0.4545454);
    } else {
      tmpvar_118 = (1.0 - exp(-(L_115.z)));
    };
    L_115.z = tmpvar_118;
    vec4 tmpvar_119;
    tmpvar_119.w = 1.0;
    tmpvar_119.xyz = ((L_115 * _global_alpha) * tmpvar_114);
    tmpvar_1 = tmpvar_119;
  };
  gl_FragData[0] = tmpvar_1;
}


#endif
"
}
SubProgram "d3d9 " {
// Stats: 20 math
Keywords { "GODRAYS_OFF" }
Bind "vertex" Vertex
Matrix 4 [glstate_matrix_modelview0] 3
Matrix 0 [glstate_matrix_mvp]
Vector 9 [_MainTex_TexelSize]
Vector 7 [_ProjectionParams]
Vector 8 [_ScreenParams]
"vs_3_0
def c10, 0.5, 0, -2, 1
dcl_position v0
dcl_position o0
dcl_texcoord o1
dcl_texcoord1 o2.xy
dcl_texcoord2 o3.xy
dp4 o0.z, c2, v0
dp4 r0.x, c6, v0
mov o1.z, -r0.x
dp4 r0.x, c0, v0
dp4 r0.y, c1, v0
dp4 r0.w, c3, v0
mov o0.xyw, r0
mul r1.xz, r0.xyww, c10.x
mul r0.x, r0.y, c7.x
mul r1.w, r0.x, c10.x
mad r0.xy, r1.z, c8.zwzw, r1.xwzw
rcp r0.z, r0.w
mul r1.xy, r0.z, r0
mov o1.xyw, r0
mad r0.x, r1.y, c10.z, c10.w
mov r0.y, c10.y
slt r0.y, c9.y, r0.y
mad r1.z, r0.y, r0.x, r1.y
mov o2.xy, r1.xzzw
mov o3.xy, r1

"
}
SubProgram "d3d11 " {
// Stats: 15 math
Keywords { "GODRAYS_OFF" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 480
Vector 384 [_MainTex_TexelSize]
ConstBuffer "UnityPerCamera" 144
Vector 80 [_ProjectionParams]
ConstBuffer "UnityPerDraw" 352
Matrix 0 [glstate_matrix_mvp]
Matrix 64 [glstate_matrix_modelview0]
BindCB  "$Globals" 0
BindCB  "UnityPerCamera" 1
BindCB  "UnityPerDraw" 2
"vs_4_0
root12:aaadaaaa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"
}
SubProgram "gles " {
// Stats: 503 math, 9 textures, 16 branches
Keywords { "GODRAYS_OFF" }
"!!GLES
#version 100

#ifdef VERTEX
attribute vec4 _glesVertex;
uniform highp vec4 _ProjectionParams;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
varying highp vec4 xlv_TEXCOORD0;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec2 xlv_TEXCOORD2;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec2 tmpvar_3;
  tmpvar_1 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 o_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_1 * 0.5);
  highp vec2 tmpvar_6;
  tmpvar_6.x = tmpvar_5.x;
  tmpvar_6.y = (tmpvar_5.y * _ProjectionParams.x);
  o_4.xy = (tmpvar_6 + tmpvar_5.w);
  o_4.zw = tmpvar_1.zw;
  tmpvar_2.xyw = o_4.xyw;
  tmpvar_3 = (o_4.xy / tmpvar_1.w);
  tmpvar_2.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = tmpvar_2;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = tmpvar_3;
}


#endif
#ifdef FRAGMENT
#extension GL_EXT_shader_texture_lod : enable
lowp vec4 impl_low_texture2DLodEXT(lowp sampler2D sampler, highp vec2 coord, mediump float lod)
{
#if defined(GL_EXT_shader_texture_lod)
	return texture2DLodEXT(sampler, coord, lod);
#else
	return texture2D(sampler, coord, lod);
#endif
}

uniform sampler2D _Inscatter;
uniform highp float M_PI;
uniform highp float HR;
uniform highp vec3 betaR;
uniform highp float HM;
uniform highp vec3 betaMEx;
uniform highp float mieG;
uniform highp float _Exposure;
uniform highp float Rg;
uniform highp float Rt;
uniform highp float RES_R;
uniform highp float RES_MU;
uniform highp float RES_MU_S;
uniform highp float RES_NU;
uniform highp vec3 SUN_DIR;
uniform highp float SUN_INTENSITY;
uniform highp float _experimentalAtmoScale;
uniform highp mat4 _ViewProjInv;
uniform highp float _global_alpha;
uniform highp float _global_depth;
uniform highp vec3 _camPos;
uniform sampler2D _customDepthTexture;
uniform highp float _openglThreshold;
highp float xlat_mutableRt;
varying highp vec2 xlv_TEXCOORD2;
void main ()
{
  xlat_mutableRt = Rt;
  mediump vec4 tmpvar_1;
  bool infinite_2;
  highp float depth_3;
  lowp float tmpvar_4;
  tmpvar_4 = texture2D (_customDepthTexture, xlv_TEXCOORD2).x;
  depth_3 = tmpvar_4;
  infinite_2 = (depth_3 == 1.0);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 1.0;
  tmpvar_5.xy = ((xlv_TEXCOORD2 * vec2(2.0, 2.0)) - vec2(1.0, 1.0));
  tmpvar_5.z = depth_3;
  highp vec4 tmpvar_6;
  tmpvar_6 = (_ViewProjInv * tmpvar_5);
  highp vec3 tmpvar_7;
  tmpvar_7 = (tmpvar_6 / tmpvar_6.w).xyz;
  highp float tmpvar_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = (tmpvar_7 - _camPos);
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_9, tmpvar_9);
  highp float tmpvar_11;
  tmpvar_11 = (2.0 * dot (tmpvar_9, _camPos));
  highp float tmpvar_12;
  tmpvar_12 = ((tmpvar_11 * tmpvar_11) - ((4.0 * tmpvar_10) * (
    dot (_camPos, _camPos)
   - 
    (Rg * Rg)
  )));
  if ((tmpvar_12 < 0.0)) {
    tmpvar_8 = -1.0;
  } else {
    tmpvar_8 = ((-(tmpvar_11) - sqrt(tmpvar_12)) / (2.0 * tmpvar_10));
  };
  bool tmpvar_13;
  tmpvar_13 = (tmpvar_8 > 0.0);
  if ((!(tmpvar_13) && infinite_2)) {
    tmpvar_1 = vec4(0.0, 0.0, 0.0, 0.0);
  } else {
    highp vec3 tmpvar_14;
    tmpvar_14 = (_camPos + (tmpvar_8 * (tmpvar_7 - _camPos)));
    highp vec3 x_15;
    x_15 = (tmpvar_14 - _camPos);
    highp vec3 x_16;
    x_16 = (tmpvar_7 - _camPos);
    bool tmpvar_17;
    tmpvar_17 = (sqrt(dot (x_15, x_15)) < sqrt(dot (x_16, x_16)));
    highp vec3 tmpvar_18;
    if ((tmpvar_13 && tmpvar_17)) {
      tmpvar_18 = tmpvar_14;
    } else {
      tmpvar_18 = tmpvar_7;
    };
    highp float tmpvar_19;
    tmpvar_19 = sqrt(dot (tmpvar_18, tmpvar_18));
    highp vec3 tmpvar_20;
    if ((tmpvar_19 < (Rg + _openglThreshold))) {
      tmpvar_20 = ((Rg + _openglThreshold) * normalize(tmpvar_18));
    } else {
      tmpvar_20 = tmpvar_18;
    };
    highp vec3 tmpvar_21;
    highp vec3 camera_22;
    camera_22 = _camPos;
    highp vec3 _point_23;
    _point_23 = tmpvar_20;
    highp vec4 inScatter_24;
    highp float mu_25;
    highp float rMu_26;
    highp float r_27;
    highp float d_28;
    highp vec3 viewdir_29;
    highp vec3 result_30;
    result_30 = vec3(0.0, 0.0, 0.0);
    highp vec3 tmpvar_31;
    tmpvar_31 = (tmpvar_20 - _camPos);
    highp float tmpvar_32;
    tmpvar_32 = sqrt(dot (tmpvar_31, tmpvar_31));
    d_28 = tmpvar_32;
    viewdir_29 = (tmpvar_31 / tmpvar_32);
    xlat_mutableRt = (Rg + ((Rt - Rg) * _experimentalAtmoScale));
    highp vec3 tmpvar_33;
    tmpvar_33 = normalize(viewdir_29);
    viewdir_29 = tmpvar_33;
    highp float tmpvar_34;
    tmpvar_34 = sqrt(dot (_camPos, _camPos));
    r_27 = tmpvar_34;
    if ((tmpvar_34 < (0.9 * Rg))) {
      camera_22.y = (_camPos.y + Rg);
      _point_23.y = (tmpvar_20.y + Rg);
      r_27 = sqrt(dot (camera_22, camera_22));
    };
    highp float tmpvar_35;
    tmpvar_35 = dot (camera_22, tmpvar_33);
    rMu_26 = tmpvar_35;
    mu_25 = (tmpvar_35 / r_27);
    _point_23 = (_point_23 - (tmpvar_33 * clamp (1.0, 0.0, tmpvar_32)));
    highp float f_36;
    f_36 = (((tmpvar_35 * tmpvar_35) - (r_27 * r_27)) + (xlat_mutableRt * xlat_mutableRt));
    highp float tmpvar_37;
    if ((f_36 >= 0.0)) {
      tmpvar_37 = sqrt(f_36);
    } else {
      tmpvar_37 = 1e-06;
    };
    highp float tmpvar_38;
    tmpvar_38 = max ((-(tmpvar_35) - tmpvar_37), 0.0);
    if (((tmpvar_38 > 0.0) && (tmpvar_38 < tmpvar_32))) {
      camera_22 = (camera_22 + (tmpvar_38 * tmpvar_33));
      rMu_26 = (tmpvar_35 + tmpvar_38);
      mu_25 = (rMu_26 / xlat_mutableRt);
      r_27 = xlat_mutableRt;
      d_28 = (tmpvar_32 - tmpvar_38);
    };
    highp float tmpvar_39;
    tmpvar_39 = dot (tmpvar_33, SUN_DIR);
    highp float tmpvar_40;
    tmpvar_40 = (dot (camera_22, SUN_DIR) / r_27);
    if ((r_27 < (Rg + 1600.0))) {
      highp float tmpvar_41;
      tmpvar_41 = ((Rg + 1600.0) / r_27);
      r_27 = (r_27 * tmpvar_41);
      rMu_26 = (rMu_26 * tmpvar_41);
      _point_23 = (_point_23 * tmpvar_41);
    };
    highp float tmpvar_42;
    tmpvar_42 = sqrt(dot (_point_23, _point_23));
    highp float tmpvar_43;
    tmpvar_43 = (dot (_point_23, tmpvar_33) / tmpvar_42);
    highp float tmpvar_44;
    tmpvar_44 = (dot (_point_23, SUN_DIR) / tmpvar_42);
    highp float tmpvar_45;
    highp float H_46;
    H_46 = (HR * _experimentalAtmoScale);
    highp vec2 tmpvar_47;
    tmpvar_47.x = mu_25;
    tmpvar_47.y = (mu_25 + (d_28 / r_27));
    highp vec2 tmpvar_48;
    tmpvar_48 = (sqrt((
      (0.5 / H_46)
     * r_27)) * tmpvar_47);
    highp vec2 tmpvar_49;
    tmpvar_49 = sign(tmpvar_48);
    highp vec2 tmpvar_50;
    tmpvar_50 = (tmpvar_48 * tmpvar_48);
    highp float tmpvar_51;
    if ((tmpvar_49.y > tmpvar_49.x)) {
      tmpvar_51 = exp(tmpvar_50.x);
    } else {
      tmpvar_51 = 0.0;
    };
    highp vec2 tmpvar_52;
    tmpvar_52.x = 1.0;
    tmpvar_52.y = exp(((
      -(d_28)
     / H_46) * (
      (d_28 / (2.0 * r_27))
     + mu_25)));
    tmpvar_45 = ((sqrt(
      ((6.2831 * H_46) * r_27)
    ) * exp(
      ((Rg - r_27) / H_46)
    )) * (tmpvar_51 + dot (
      ((tmpvar_49 / ((2.3193 * 
        abs(tmpvar_48)
      ) + sqrt(
        ((1.52 * tmpvar_50) + 4.0)
      ))) * tmpvar_52)
    , vec2(1.0, -1.0))));
    highp float H_53;
    H_53 = (HM * _experimentalAtmoScale);
    highp vec2 tmpvar_54;
    tmpvar_54.x = mu_25;
    tmpvar_54.y = (mu_25 + (d_28 / r_27));
    highp vec2 tmpvar_55;
    tmpvar_55 = (sqrt((
      (0.5 / H_53)
     * r_27)) * tmpvar_54);
    highp vec2 tmpvar_56;
    tmpvar_56 = sign(tmpvar_55);
    highp vec2 tmpvar_57;
    tmpvar_57 = (tmpvar_55 * tmpvar_55);
    highp float tmpvar_58;
    if ((tmpvar_56.y > tmpvar_56.x)) {
      tmpvar_58 = exp(tmpvar_57.x);
    } else {
      tmpvar_58 = 0.0;
    };
    highp vec2 tmpvar_59;
    tmpvar_59.x = 1.0;
    tmpvar_59.y = exp(((
      -(d_28)
     / H_53) * (
      (d_28 / (2.0 * r_27))
     + mu_25)));
    highp vec3 tmpvar_60;
    tmpvar_60 = min (exp((
      (-(betaR) * tmpvar_45)
     - 
      (betaMEx * ((sqrt(
        ((6.2831 * H_53) * r_27)
      ) * exp(
        ((Rg - r_27) / H_53)
      )) * (tmpvar_58 + dot (
        ((tmpvar_56 / ((2.3193 * 
          abs(tmpvar_55)
        ) + sqrt(
          ((1.52 * tmpvar_57) + 4.0)
        ))) * tmpvar_59)
      , vec2(1.0, -1.0)))))
    )), vec3(1.0, 1.0, 1.0));
    highp vec4 tmpvar_61;
    highp float _lerp_62;
    highp float tmpvar_63;
    highp float tmpvar_64;
    tmpvar_64 = (Rg * Rg);
    tmpvar_63 = sqrt(((xlat_mutableRt * xlat_mutableRt) - tmpvar_64));
    highp float tmpvar_65;
    tmpvar_65 = sqrt(((r_27 * r_27) - tmpvar_64));
    highp float tmpvar_66;
    tmpvar_66 = (r_27 * mu_25);
    highp float tmpvar_67;
    tmpvar_67 = (((tmpvar_66 * tmpvar_66) - (r_27 * r_27)) + tmpvar_64);
    highp vec4 tmpvar_68;
    if (((tmpvar_66 < 0.0) && (tmpvar_67 > 0.0))) {
      highp vec4 tmpvar_69;
      tmpvar_69.xyz = vec3(1.0, 0.0, 0.0);
      tmpvar_69.w = (0.5 - (0.5 / RES_MU));
      tmpvar_68 = tmpvar_69;
    } else {
      highp vec4 tmpvar_70;
      tmpvar_70.x = -1.0;
      tmpvar_70.y = (tmpvar_63 * tmpvar_63);
      tmpvar_70.z = tmpvar_63;
      tmpvar_70.w = (0.5 + (0.5 / RES_MU));
      tmpvar_68 = tmpvar_70;
    };
    highp float tmpvar_71;
    tmpvar_71 = ((0.5 / RES_R) + ((tmpvar_65 / tmpvar_63) * (1.0 - 
      (1.0/(RES_R))
    )));
    highp float tmpvar_72;
    tmpvar_72 = (tmpvar_68.w + ((
      ((tmpvar_66 * tmpvar_68.x) + sqrt((tmpvar_67 + tmpvar_68.y)))
     / 
      (tmpvar_65 + tmpvar_68.z)
    ) * (0.5 - 
      (1.0/(RES_MU))
    )));
    highp float y_over_x_73;
    y_over_x_73 = (max (tmpvar_40, -0.1975) * 5.349625);
    highp float tmpvar_74;
    tmpvar_74 = (min (abs(y_over_x_73), 1.0) / max (abs(y_over_x_73), 1.0));
    highp float tmpvar_75;
    tmpvar_75 = (tmpvar_74 * tmpvar_74);
    tmpvar_75 = (((
      ((((
        ((((-0.01213232 * tmpvar_75) + 0.05368138) * tmpvar_75) - 0.1173503)
       * tmpvar_75) + 0.1938925) * tmpvar_75) - 0.3326756)
     * tmpvar_75) + 0.9999793) * tmpvar_74);
    tmpvar_75 = (tmpvar_75 + (float(
      (abs(y_over_x_73) > 1.0)
    ) * (
      (tmpvar_75 * -2.0)
     + 1.570796)));
    highp float tmpvar_76;
    tmpvar_76 = ((0.5 / RES_MU_S) + ((
      (((tmpvar_75 * sign(y_over_x_73)) / 1.1) + 0.74)
     * 0.5) * (1.0 - 
      (1.0/(RES_MU_S))
    )));
    highp float tmpvar_77;
    tmpvar_77 = (((tmpvar_39 + 1.0) / 2.0) * (RES_NU - 1.0));
    highp float tmpvar_78;
    tmpvar_78 = floor(tmpvar_77);
    _lerp_62 = (tmpvar_77 - tmpvar_78);
    highp float tmpvar_79;
    tmpvar_79 = (floor((
      (tmpvar_71 * RES_R)
     - 1.0)) / RES_R);
    highp float tmpvar_80;
    tmpvar_80 = (floor((tmpvar_71 * RES_R)) / RES_R);
    highp float tmpvar_81;
    tmpvar_81 = fract((tmpvar_71 * RES_R));
    highp vec4 tmpvar_82;
    tmpvar_82.zw = vec2(0.0, 0.0);
    tmpvar_82.x = ((tmpvar_78 + tmpvar_76) / RES_NU);
    tmpvar_82.y = ((tmpvar_72 / RES_R) + tmpvar_79);
    lowp vec4 tmpvar_83;
    tmpvar_83 = impl_low_texture2DLodEXT (_Inscatter, tmpvar_82.xy, 0.0);
    highp vec4 tmpvar_84;
    tmpvar_84.zw = vec2(0.0, 0.0);
    tmpvar_84.x = (((tmpvar_78 + tmpvar_76) + 1.0) / RES_NU);
    tmpvar_84.y = ((tmpvar_72 / RES_R) + tmpvar_79);
    lowp vec4 tmpvar_85;
    tmpvar_85 = impl_low_texture2DLodEXT (_Inscatter, tmpvar_84.xy, 0.0);
    highp vec4 tmpvar_86;
    tmpvar_86.zw = vec2(0.0, 0.0);
    tmpvar_86.x = ((tmpvar_78 + tmpvar_76) / RES_NU);
    tmpvar_86.y = ((tmpvar_72 / RES_R) + tmpvar_80);
    lowp vec4 tmpvar_87;
    tmpvar_87 = impl_low_texture2DLodEXT (_Inscatter, tmpvar_86.xy, 0.0);
    highp vec4 tmpvar_88;
    tmpvar_88.zw = vec2(0.0, 0.0);
    tmpvar_88.x = (((tmpvar_78 + tmpvar_76) + 1.0) / RES_NU);
    tmpvar_88.y = ((tmpvar_72 / RES_R) + tmpvar_80);
    lowp vec4 tmpvar_89;
    tmpvar_89 = impl_low_texture2DLodEXT (_Inscatter, tmpvar_88.xy, 0.0);
    tmpvar_61 = (((
      (tmpvar_83 * (1.0 - _lerp_62))
     + 
      (tmpvar_85 * _lerp_62)
    ) * (1.0 - tmpvar_81)) + ((
      (tmpvar_87 * (1.0 - _lerp_62))
     + 
      (tmpvar_89 * _lerp_62)
    ) * tmpvar_81));
    highp float _lerp_90;
    highp float tmpvar_91;
    highp float tmpvar_92;
    tmpvar_92 = (Rg * Rg);
    tmpvar_91 = sqrt(((xlat_mutableRt * xlat_mutableRt) - tmpvar_92));
    highp float tmpvar_93;
    tmpvar_93 = sqrt(((tmpvar_42 * tmpvar_42) - tmpvar_92));
    highp float tmpvar_94;
    tmpvar_94 = (tmpvar_42 * tmpvar_43);
    highp float tmpvar_95;
    tmpvar_95 = (((tmpvar_94 * tmpvar_94) - (tmpvar_42 * tmpvar_42)) + tmpvar_92);
    highp vec4 tmpvar_96;
    if (((tmpvar_94 < 0.0) && (tmpvar_95 > 0.0))) {
      highp vec4 tmpvar_97;
      tmpvar_97.xyz = vec3(1.0, 0.0, 0.0);
      tmpvar_97.w = (0.5 - (0.5 / RES_MU));
      tmpvar_96 = tmpvar_97;
    } else {
      highp vec4 tmpvar_98;
      tmpvar_98.x = -1.0;
      tmpvar_98.y = (tmpvar_91 * tmpvar_91);
      tmpvar_98.z = tmpvar_91;
      tmpvar_98.w = (0.5 + (0.5 / RES_MU));
      tmpvar_96 = tmpvar_98;
    };
    highp float tmpvar_99;
    tmpvar_99 = ((0.5 / RES_R) + ((tmpvar_93 / tmpvar_91) * (1.0 - 
      (1.0/(RES_R))
    )));
    highp float tmpvar_100;
    tmpvar_100 = (tmpvar_96.w + ((
      ((tmpvar_94 * tmpvar_96.x) + sqrt((tmpvar_95 + tmpvar_96.y)))
     / 
      (tmpvar_93 + tmpvar_96.z)
    ) * (0.5 - 
      (1.0/(RES_MU))
    )));
    highp float y_over_x_101;
    y_over_x_101 = (max (tmpvar_44, -0.1975) * 5.349625);
    highp float tmpvar_102;
    tmpvar_102 = (min (abs(y_over_x_101), 1.0) / max (abs(y_over_x_101), 1.0));
    highp float tmpvar_103;
    tmpvar_103 = (tmpvar_102 * tmpvar_102);
    tmpvar_103 = (((
      ((((
        ((((-0.01213232 * tmpvar_103) + 0.05368138) * tmpvar_103) - 0.1173503)
       * tmpvar_103) + 0.1938925) * tmpvar_103) - 0.3326756)
     * tmpvar_103) + 0.9999793) * tmpvar_102);
    tmpvar_103 = (tmpvar_103 + (float(
      (abs(y_over_x_101) > 1.0)
    ) * (
      (tmpvar_103 * -2.0)
     + 1.570796)));
    highp float tmpvar_104;
    tmpvar_104 = ((0.5 / RES_MU_S) + ((
      (((tmpvar_103 * sign(y_over_x_101)) / 1.1) + 0.74)
     * 0.5) * (1.0 - 
      (1.0/(RES_MU_S))
    )));
    highp float tmpvar_105;
    tmpvar_105 = (((tmpvar_39 + 1.0) / 2.0) * (RES_NU - 1.0));
    highp float tmpvar_106;
    tmpvar_106 = floor(tmpvar_105);
    _lerp_90 = (tmpvar_105 - tmpvar_106);
    highp float tmpvar_107;
    tmpvar_107 = (floor((
      (tmpvar_99 * RES_R)
     - 1.0)) / RES_R);
    highp float tmpvar_108;
    tmpvar_108 = (floor((tmpvar_99 * RES_R)) / RES_R);
    highp float tmpvar_109;
    tmpvar_109 = fract((tmpvar_99 * RES_R));
    highp vec4 tmpvar_110;
    tmpvar_110.zw = vec2(0.0, 0.0);
    tmpvar_110.x = ((tmpvar_106 + tmpvar_104) / RES_NU);
    tmpvar_110.y = ((tmpvar_100 / RES_R) + tmpvar_107);
    lowp vec4 tmpvar_111;
    tmpvar_111 = impl_low_texture2DLodEXT (_Inscatter, tmpvar_110.xy, 0.0);
    highp vec4 tmpvar_112;
    tmpvar_112.zw = vec2(0.0, 0.0);
    tmpvar_112.x = (((tmpvar_106 + tmpvar_104) + 1.0) / RES_NU);
    tmpvar_112.y = ((tmpvar_100 / RES_R) + tmpvar_107);
    lowp vec4 tmpvar_113;
    tmpvar_113 = impl_low_texture2DLodEXT (_Inscatter, tmpvar_112.xy, 0.0);
    highp vec4 tmpvar_114;
    tmpvar_114.zw = vec2(0.0, 0.0);
    tmpvar_114.x = ((tmpvar_106 + tmpvar_104) / RES_NU);
    tmpvar_114.y = ((tmpvar_100 / RES_R) + tmpvar_108);
    lowp vec4 tmpvar_115;
    tmpvar_115 = impl_low_texture2DLodEXT (_Inscatter, tmpvar_114.xy, 0.0);
    highp vec4 tmpvar_116;
    tmpvar_116.zw = vec2(0.0, 0.0);
    tmpvar_116.x = (((tmpvar_106 + tmpvar_104) + 1.0) / RES_NU);
    tmpvar_116.y = ((tmpvar_100 / RES_R) + tmpvar_108);
    lowp vec4 tmpvar_117;
    tmpvar_117 = impl_low_texture2DLodEXT (_Inscatter, tmpvar_116.xy, 0.0);
    highp vec4 tmpvar_118;
    tmpvar_118 = max ((tmpvar_61 - (
      ((((tmpvar_111 * 
        (1.0 - _lerp_90)
      ) + (tmpvar_113 * _lerp_90)) * (1.0 - tmpvar_109)) + (((tmpvar_115 * 
        (1.0 - _lerp_90)
      ) + (tmpvar_117 * _lerp_90)) * tmpvar_109))
     * tmpvar_60.xyzx)), vec4(0.0, 0.0, 0.0, 0.0));
    inScatter_24.xyz = tmpvar_118.xyz;
    highp float tmpvar_119;
    tmpvar_119 = clamp ((tmpvar_40 / 0.02), 0.0, 1.0);
    inScatter_24.w = (tmpvar_118.w * (tmpvar_119 * (tmpvar_119 * 
      (3.0 - (2.0 * tmpvar_119))
    )));
    highp float tmpvar_120;
    tmpvar_120 = (mieG * mieG);
    result_30 = ((tmpvar_118.xyz * (
      (3.0 / (16.0 * M_PI))
     * 
      (1.0 + (tmpvar_39 * tmpvar_39))
    )) + ((
      ((tmpvar_118.xyz * inScatter_24.w) / max (tmpvar_118.x, 0.0001))
     * 
      (betaR.x / betaR)
    ) * (
      ((((1.5 / 
        (4.0 * M_PI)
      ) * (1.0 - tmpvar_120)) * pow ((
        (1.0 + tmpvar_120)
       - 
        ((2.0 * mieG) * tmpvar_39)
      ), -1.5)) * (1.0 + (tmpvar_39 * tmpvar_39)))
     / 
      (2.0 + tmpvar_120)
    )));
    tmpvar_21 = (result_30 * SUN_INTENSITY);
    highp float tmpvar_121;
    highp vec3 x_122;
    x_122 = (tmpvar_20 - _camPos);
    tmpvar_121 = sqrt(dot (x_122, x_122));
    highp float tmpvar_123;
    if ((tmpvar_121 <= _global_depth)) {
      tmpvar_123 = (1.0 - exp(-(
        ((4.0 * tmpvar_121) / _global_depth)
      )));
    } else {
      tmpvar_123 = 1.0;
    };
    highp vec3 L_124;
    L_124 = (tmpvar_21 * _Exposure);
    highp float tmpvar_125;
    if ((L_124.x < 1.413)) {
      tmpvar_125 = pow ((L_124.x * 0.38317), 0.4545454);
    } else {
      tmpvar_125 = (1.0 - exp(-(L_124.x)));
    };
    L_124.x = tmpvar_125;
    highp float tmpvar_126;
    if ((L_124.y < 1.413)) {
      tmpvar_126 = pow ((L_124.y * 0.38317), 0.4545454);
    } else {
      tmpvar_126 = (1.0 - exp(-(L_124.y)));
    };
    L_124.y = tmpvar_126;
    highp float tmpvar_127;
    if ((L_124.z < 1.413)) {
      tmpvar_127 = pow ((L_124.z * 0.38317), 0.4545454);
    } else {
      tmpvar_127 = (1.0 - exp(-(L_124.z)));
    };
    L_124.z = tmpvar_127;
    highp vec4 tmpvar_128;
    tmpvar_128.w = 1.0;
    tmpvar_128.xyz = ((L_124 * _global_alpha) * tmpvar_123);
    tmpvar_1 = tmpvar_128;
  };
  gl_FragData[0] = tmpvar_1;
}


#endif
"
}
SubProgram "gles3 " {
Keywords { "GODRAYS_OFF" }
"!!GLES3
#ifdef VERTEX
#version 300 es
precision highp float;
precision highp int;
uniform 	vec4 _Time;
uniform 	vec4 _SinTime;
uniform 	vec4 _CosTime;
uniform 	vec4 unity_DeltaTime;
uniform 	vec3 _WorldSpaceCameraPos;
uniform 	vec4 _ProjectionParams;
uniform 	vec4 _ScreenParams;
uniform 	vec4 _ZBufferParams;
uniform 	vec4 unity_OrthoParams;
uniform 	vec4 unity_CameraWorldClipPlanes[6];
uniform 	mat4 unity_CameraProjection;
uniform 	mat4 unity_CameraInvProjection;
uniform 	vec4 _WorldSpaceLightPos0;
uniform 	vec4 _LightPositionRange;
uniform 	vec4 unity_4LightPosX0;
uniform 	vec4 unity_4LightPosY0;
uniform 	vec4 unity_4LightPosZ0;
uniform 	mediump vec4 unity_4LightAtten0;
uniform 	mediump vec4 unity_LightColor[8];
uniform 	vec4 unity_LightPosition[8];
uniform 	mediump vec4 unity_LightAtten[8];
uniform 	vec4 unity_SpotDirection[8];
uniform 	mediump vec4 unity_SHAr;
uniform 	mediump vec4 unity_SHAg;
uniform 	mediump vec4 unity_SHAb;
uniform 	mediump vec4 unity_SHBr;
uniform 	mediump vec4 unity_SHBg;
uniform 	mediump vec4 unity_SHBb;
uniform 	mediump vec4 unity_SHC;
uniform 	mediump vec3 unity_LightColor0;
uniform 	mediump vec3 unity_LightColor1;
uniform 	mediump vec3 unity_LightColor2;
uniform 	mediump vec3 unity_LightColor3;
uniform 	vec4 unity_ShadowSplitSpheres[4];
uniform 	vec4 unity_ShadowSplitSqRadii;
uniform 	vec4 unity_LightShadowBias;
uniform 	vec4 _LightSplitsNear;
uniform 	vec4 _LightSplitsFar;
uniform 	mat4 unity_World2Shadow[4];
uniform 	mediump vec4 _LightShadowData;
uniform 	vec4 unity_ShadowFadeCenterAndType;
uniform 	mat4 glstate_matrix_mvp;
uniform 	mat4 glstate_matrix_modelview0;
uniform 	mat4 glstate_matrix_invtrans_modelview0;
uniform 	mat4 _Object2World;
uniform 	mat4 _World2Object;
uniform 	vec4 unity_LODFade;
uniform 	vec4 unity_WorldTransformParams;
uniform 	mat4 glstate_matrix_transpose_modelview0;
uniform 	mat4 glstate_matrix_projection;
uniform 	lowp vec4 glstate_lightmodel_ambient;
uniform 	mat4 unity_MatrixV;
uniform 	mat4 unity_MatrixVP;
uniform 	lowp vec4 unity_AmbientSky;
uniform 	lowp vec4 unity_AmbientEquator;
uniform 	lowp vec4 unity_AmbientGround;
uniform 	lowp vec4 unity_FogColor;
uniform 	vec4 unity_FogParams;
uniform 	vec4 unity_LightmapST;
uniform 	vec4 unity_DynamicLightmapST;
uniform 	vec4 unity_SpecCube0_BoxMax;
uniform 	vec4 unity_SpecCube0_BoxMin;
uniform 	vec4 unity_SpecCube0_ProbePosition;
uniform 	mediump vec4 unity_SpecCube0_HDR;
uniform 	vec4 unity_SpecCube1_BoxMax;
uniform 	vec4 unity_SpecCube1_BoxMin;
uniform 	vec4 unity_SpecCube1_ProbePosition;
uniform 	mediump vec4 unity_SpecCube1_HDR;
uniform 	lowp vec4 unity_ColorSpaceGrey;
uniform 	lowp vec4 unity_ColorSpaceDouble;
uniform 	mediump vec4 unity_ColorSpaceDielectricSpec;
uniform 	mediump vec4 unity_ColorSpaceLuminance;
uniform 	mediump vec4 unity_Lightmap_HDR;
uniform 	mediump vec4 unity_DynamicLightmap_HDR;
uniform 	float TRANSMITTANCE_W;
uniform 	float TRANSMITTANCE_H;
uniform 	float SKY_W;
uniform 	float SKY_H;
uniform 	float M_PI;
uniform 	vec3 EARTH_POS;
uniform 	float SCALE;
uniform 	float HR;
uniform 	vec3 betaR;
uniform 	float HM;
uniform 	vec3 betaMSca;
uniform 	vec3 betaMEx;
uniform 	float mieG;
uniform 	float _Exposure;
uniform 	float Rg;
uniform 	float Rt;
uniform 	float RL;
uniform 	float RES_R;
uniform 	float RES_MU;
uniform 	float RES_MU_S;
uniform 	float RES_NU;
uniform 	vec3 SUN_DIR;
uniform 	float SUN_INTENSITY;
uniform 	float _experimentalAtmoScale;
uniform 	mat4 _ViewProjInv;
uniform 	float _viewdirOffset;
uniform 	float _Scale;
uniform 	float _global_alpha;
uniform 	float _global_depth;
uniform 	float _Ocean_Sigma;
uniform 	float fakeOcean;
uniform 	float _fade;
uniform 	vec3 _Ocean_Color;
uniform 	vec3 _camPos;
uniform 	vec4 _MainTex_TexelSize;
uniform 	float _openglThreshold;
uniform 	float _horizonDepth;
uniform 	mat4 _Globals_CameraToWorld;
in highp vec4 in_POSITION0;
out highp vec4 vs_TEXCOORD0;
out highp vec2 vs_TEXCOORD1;
highp  vec4 phase0_Output0_2;
out highp vec2 vs_TEXCOORD2;
highp vec4 t0;
highp vec4 t1;
highp float t4;
void main()
{
    t0 = in_POSITION0.yyyy * glstate_matrix_mvp[1];
    t0 = glstate_matrix_mvp[0] * in_POSITION0.xxxx + t0;
    t0 = glstate_matrix_mvp[2] * in_POSITION0.zzzz + t0;
    t0 = glstate_matrix_mvp[3] * in_POSITION0.wwww + t0;
    gl_Position = t0;
    t4 = in_POSITION0.y * glstate_matrix_modelview0[1].z;
    t4 = glstate_matrix_modelview0[0].z * in_POSITION0.x + t4;
    t4 = glstate_matrix_modelview0[2].z * in_POSITION0.z + t4;
    t4 = glstate_matrix_modelview0[3].z * in_POSITION0.w + t4;
    vs_TEXCOORD0.z = (-t4);
    t0.y = t0.y * _ProjectionParams.x;
    t1.xzw = t0.xwy * vec3(0.5, 0.5, 0.5);
    t0.xy = t1.zz + t1.xw;
    phase0_Output0_2 = t0.xyxy / t0.wwww;
    vs_TEXCOORD0.xyw = t0.xyw;
vs_TEXCOORD1 = phase0_Output0_2.xy;
vs_TEXCOORD2 = phase0_Output0_2.zw;
    return;
}

#endif
#ifdef FRAGMENT
#version 300 es
precision highp float;
precision highp int;
uniform 	vec4 _Time;
uniform 	vec4 _SinTime;
uniform 	vec4 _CosTime;
uniform 	vec4 unity_DeltaTime;
uniform 	vec3 _WorldSpaceCameraPos;
uniform 	vec4 _ProjectionParams;
uniform 	vec4 _ScreenParams;
uniform 	vec4 _ZBufferParams;
uniform 	vec4 unity_OrthoParams;
uniform 	vec4 unity_CameraWorldClipPlanes[6];
uniform 	mat4 unity_CameraProjection;
uniform 	mat4 unity_CameraInvProjection;
uniform 	vec4 _WorldSpaceLightPos0;
uniform 	vec4 _LightPositionRange;
uniform 	vec4 unity_4LightPosX0;
uniform 	vec4 unity_4LightPosY0;
uniform 	vec4 unity_4LightPosZ0;
uniform 	mediump vec4 unity_4LightAtten0;
uniform 	mediump vec4 unity_LightColor[8];
uniform 	vec4 unity_LightPosition[8];
uniform 	mediump vec4 unity_LightAtten[8];
uniform 	vec4 unity_SpotDirection[8];
uniform 	mediump vec4 unity_SHAr;
uniform 	mediump vec4 unity_SHAg;
uniform 	mediump vec4 unity_SHAb;
uniform 	mediump vec4 unity_SHBr;
uniform 	mediump vec4 unity_SHBg;
uniform 	mediump vec4 unity_SHBb;
uniform 	mediump vec4 unity_SHC;
uniform 	mediump vec3 unity_LightColor0;
uniform 	mediump vec3 unity_LightColor1;
uniform 	mediump vec3 unity_LightColor2;
uniform 	mediump vec3 unity_LightColor3;
uniform 	vec4 unity_ShadowSplitSpheres[4];
uniform 	vec4 unity_ShadowSplitSqRadii;
uniform 	vec4 unity_LightShadowBias;
uniform 	vec4 _LightSplitsNear;
uniform 	vec4 _LightSplitsFar;
uniform 	mat4 unity_World2Shadow[4];
uniform 	mediump vec4 _LightShadowData;
uniform 	vec4 unity_ShadowFadeCenterAndType;
uniform 	mat4 glstate_matrix_mvp;
uniform 	mat4 glstate_matrix_modelview0;
uniform 	mat4 glstate_matrix_invtrans_modelview0;
uniform 	mat4 _Object2World;
uniform 	mat4 _World2Object;
uniform 	vec4 unity_LODFade;
uniform 	vec4 unity_WorldTransformParams;
uniform 	mat4 glstate_matrix_transpose_modelview0;
uniform 	mat4 glstate_matrix_projection;
uniform 	lowp vec4 glstate_lightmodel_ambient;
uniform 	mat4 unity_MatrixV;
uniform 	mat4 unity_MatrixVP;
uniform 	lowp vec4 unity_AmbientSky;
uniform 	lowp vec4 unity_AmbientEquator;
uniform 	lowp vec4 unity_AmbientGround;
uniform 	lowp vec4 unity_FogColor;
uniform 	vec4 unity_FogParams;
uniform 	vec4 unity_LightmapST;
uniform 	vec4 unity_DynamicLightmapST;
uniform 	vec4 unity_SpecCube0_BoxMax;
uniform 	vec4 unity_SpecCube0_BoxMin;
uniform 	vec4 unity_SpecCube0_ProbePosition;
uniform 	mediump vec4 unity_SpecCube0_HDR;
uniform 	vec4 unity_SpecCube1_BoxMax;
uniform 	vec4 unity_SpecCube1_BoxMin;
uniform 	vec4 unity_SpecCube1_ProbePosition;
uniform 	mediump vec4 unity_SpecCube1_HDR;
uniform 	lowp vec4 unity_ColorSpaceGrey;
uniform 	lowp vec4 unity_ColorSpaceDouble;
uniform 	mediump vec4 unity_ColorSpaceDielectricSpec;
uniform 	mediump vec4 unity_ColorSpaceLuminance;
uniform 	mediump vec4 unity_Lightmap_HDR;
uniform 	mediump vec4 unity_DynamicLightmap_HDR;
uniform 	float TRANSMITTANCE_W;
uniform 	float TRANSMITTANCE_H;
uniform 	float SKY_W;
uniform 	float SKY_H;
uniform 	float M_PI;
uniform 	vec3 EARTH_POS;
uniform 	float SCALE;
uniform 	float HR;
uniform 	vec3 betaR;
uniform 	float HM;
uniform 	vec3 betaMSca;
uniform 	vec3 betaMEx;
uniform 	float mieG;
uniform 	float _Exposure;
uniform 	float Rg;
uniform 	float Rt;
uniform 	float RL;
uniform 	float RES_R;
uniform 	float RES_MU;
uniform 	float RES_MU_S;
uniform 	float RES_NU;
uniform 	vec3 SUN_DIR;
uniform 	float SUN_INTENSITY;
uniform 	float _experimentalAtmoScale;
uniform 	mat4 _ViewProjInv;
uniform 	float _viewdirOffset;
uniform 	float _Scale;
uniform 	float _global_alpha;
uniform 	float _global_depth;
uniform 	float _Ocean_Sigma;
uniform 	float fakeOcean;
uniform 	float _fade;
uniform 	vec3 _Ocean_Color;
uniform 	vec3 _camPos;
uniform 	vec4 _MainTex_TexelSize;
uniform 	float _openglThreshold;
uniform 	float _horizonDepth;
uniform 	mat4 _Globals_CameraToWorld;
uniform lowp sampler2D _customDepthTexture;
uniform lowp sampler2D _Inscatter;
in highp vec2 vs_TEXCOORD2;
layout(location = 0) out mediump vec4 SV_Target0;
highp vec4 t0;
lowp float t10_0;
highp vec4 t1;
bvec3 tb1;
highp vec4 t2;
highp ivec2 ti2;
bool tb2;
highp vec3 t3;
highp int ti3;
bool tb3;
highp vec4 t4;
lowp vec4 t10_4;
highp ivec3 ti4;
highp vec4 t5;
lowp vec4 t10_5;
highp vec4 t6;
lowp vec4 t10_6;
highp vec4 t7;
highp vec4 t8;
lowp vec4 t10_8;
highp vec4 t9;
lowp vec4 t10_9;
highp vec4 t10;
lowp vec4 t10_10;
highp float t11;
highp int ti11;
bool tb11;
highp vec3 t12;
highp vec3 t13;
highp int ti13;
bool tb13;
highp vec3 t14;
highp ivec2 ti14;
highp float t17;
bool tb17;
highp vec2 t22;
highp int ti22;
bool tb22;
highp vec2 t23;
highp int ti23;
bool tb23;
highp float t24;
bool tb24;
highp vec2 t25;
highp ivec2 ti25;
highp float t33;
bool tb33;
highp float t34;
bool tb34;
highp float t35;
highp float t36;
void main()
{
    t10_0 = texture(_customDepthTexture, vs_TEXCOORD2.xy).x;
    tb11 = t10_0==1.0;
    t22.xy = vs_TEXCOORD2.xy * vec2(2.0, 2.0) + vec2(-1.0, -1.0);
    t1 = t22.yyyy * _ViewProjInv[1];
    t1 = _ViewProjInv[0] * t22.xxxx + t1;
    t1 = _ViewProjInv[2] * vec4(t10_0) + t1;
    t1 = t1 + _ViewProjInv[3];
    t0.xzw = t1.xyz / t1.www;
    t1.xyz = t0.xzw + (-_camPos.xyzx.xyz);
    t34 = dot(t1.xyz, t1.xyz);
    t2.x = dot(t1.xyz, _camPos.xyzx.xyz);
    t13.x = t2.x + t2.x;
    t24 = dot(_camPos.xyzx.xyz, _camPos.xyzx.xyz);
    t35 = Rg * Rg;
    t3.x = (-Rg) * Rg + t24;
    t3.x = t34 * t3.x;
    t3.x = t3.x * 4.0;
    t13.x = t13.x * t13.x + (-t3.x);
    tb3 = t13.x>=0.0;
    t13.x = sqrt(t13.x);
    t2.x = (-t2.x) * 2.0 + (-t13.x);
    t13.x = t34 + t34;
    t2.x = t2.x / t13.x;
    t2.x = (tb3) ? t2.x : -1.0;
    ti13 = int((0.0<t2.x) ? 0xFFFFFFFFu : uint(0u));
    ti3 = ~ti13;
    ti11 = tb11 ? ti3 : int(0);
    if((uint(ti11))!=uint(0u)){
        SV_Target0 = vec4(0.0, 0.0, 0.0, 0.0);
        return;
    //ENDIF
    }
    t3.xyz = t1.xyz * t2.xxx;
    t1.xyz = t2.xxx * t1.xyz + _camPos.xyzx.xyz;
    t11 = dot(t3.xyz, t3.xyz);
    t11 = sqrt(t11);
    t34 = sqrt(t34);
    tb11 = t11<t34;
    ti11 = tb11 ? ti13 : int(0);
    t0.xyz = (int(ti11) != 0) ? t1.xyz : t0.xzw;
    t33 = dot(t0.xyz, t0.xyz);
    t1.x = sqrt(t33);
    t12.x = Rg + _openglThreshold;
    tb1.x = t1.x<t12.x;
    t33 = inversesqrt(t33);
    t3.xyz = vec3(t33) * t0.xyz;
    t12.xyz = t12.xxx * t3.xyz;
    t0.xyz = (tb1.x) ? t12.xyz : t0.xyz;
    t1.xyz = t0.xyz + (-_camPos.xyzx.xyz);
    t34 = dot(t1.xyz, t1.xyz);
    t3.x = sqrt(t34);
    t1.xyz = t1.xyz / t3.xxx;
    t34 = (-Rg) + Rt;
    t4.y = t34 * _experimentalAtmoScale + Rg;
    t34 = dot(t1.xyz, t1.xyz);
    t34 = inversesqrt(t34);
    t1.xyz = vec3(t34) * t1.xyz;
    t2.z = sqrt(t24);
    t34 = Rg * 0.899999976;
    tb34 = t2.z<t34;
    t5.y = Rg + _camPos.xyzx.y;
    t6.y = t0.y + Rg;
    t5.xz = _camPos.xyzx.xz;
    t36 = dot(t5.xyz, t5.xyz);
    t6.z = sqrt(t36);
    t6.x = t5.y;
    t2.x = _camPos.xyzx.y;
    t2.y = t0.y;
    t2.xyz = (bool(tb34)) ? t6.xyz : t2.xyz;
    t5.xz = _camPos.xyzx.xz;
    t5.y = t2.x;
    t11 = dot(t5.xyz, t1.xyz);
    t3.z = t11 / t2.z;
    t34 = min(t3.x, 1.0);
    t0.w = t2.y;
    t6.xyz = (-t1.xyz) * vec3(t34) + t0.xwz;
    t0.x = t2.z * t2.z;
    t0.x = t11 * t11 + (-t0.x);
    t0.x = t4.y * t4.y + t0.x;
    tb22 = t0.x>=0.0;
    t0.x = sqrt(t0.x);
    t0.x = (tb22) ? (-t0.x) : -9.99999997e-007;
    t0.x = t0.x + (-t11);
    t0.x = max(t0.x, 0.0);
    tb22 = 0.0<t0.x;
    tb33 = t0.x<t3.x;
    ti22 = int(uint(tb33) * 0xffffffffu & uint(tb22) * 0xffffffffu);
    t7.xyz = t0.xxx * t1.xyz + t5.xyz;
    t11 = t0.x + t11;
    t4.z = t11 / t4.y;
    t4.x = (-t0.x) + t3.x;
    t0.xyw = (int(ti22) != 0) ? t7.xyz : t5.xyz;
    t3.y = t2.z;
    t5.xyz = (int(ti22) != 0) ? t4.xyz : t3.xyz;
    t22.x = dot(t1.xyz, SUN_DIR.xyzx.xyz);
    t0.x = dot(t0.xyw, SUN_DIR.xyzx.xyz);
    t0.y = Rg + 1600.0;
    tb33 = t5.y<t0.y;
    t0.xy = t0.xy / t5.yy;
    t7.xyz = t0.yyy * t6.xyz;
    t7.w = Rg + 1600.0;
    t6.w = t5.y;
    t6 = (bool(tb33)) ? t7 : t6;
    t11 = dot(t6.xyz, t6.xyz);
    t33 = sqrt(t11);
    t1.x = dot(t6.xyz, t1.xyz);
    t12.x = dot(t6.xyz, SUN_DIR.xyzx.xyz);
    t33 = t12.x / t33;
    t12.x = HR * _experimentalAtmoScale;
    t23.x = 0.5 / t12.x;
    t23.x = t6.w * t23.x;
    t23.x = sqrt(t23.x);
    t34 = t5.x / t6.w;
    t5.w = t34 + t5.z;
    t23.xy = vec2(t23.x * t5.z, t23.x * t5.w);
    ti2.xy = ivec2(uvec2(lessThan(vec4(0.0, 0.0, 0.0, 0.0), t23.xyxx).xy) * 0xFFFFFFFFu);
    ti14.xy = ivec2(uvec2(lessThan(t23.xyxx, vec4(0.0, 0.0, 0.0, 0.0)).xy) * 0xFFFFFFFFu);
    ti2.xy = (-ti2.xy) + ti14.xy;
    t2.xy = vec2(ti2.xy);
    t14.xyz = t23.xxy * t23.xxy;
    tb24 = t2.x<t2.y;
    t14.x = t14.x * 1.44269502;
    t14.x = exp2(t14.x);
    t24 = tb24 ? t14.x : float(0.0);
    t14.xy = t14.yz * vec2(1.51999998, 1.51999998) + vec2(4.0, 4.0);
    t14.xy = sqrt(t14.xy);
    t23.xy = abs(t23.xy) * vec2(2.31929994, 2.31929994) + t14.xy;
    t23.xy = t2.xy / t23.xy;
    t2.x = (-t5.x) / t12.x;
    t13.x = t6.w + t6.w;
    t13.x = t5.x / t13.x;
    t13.x = t5.z + t13.x;
    t2.x = t13.x * t2.x;
    t2.x = t2.x * 1.44269502;
    t7.y = exp2(t2.x);
    t7.xz = vec2(1.0, 1.0);
    t23.xy = t23.xy * t7.xy;
    t2.x = t12.x * t6.w;
    t2.x = t2.x * 6.28310013;
    t2.x = sqrt(t2.x);
    t14.x = (-t6.w) + Rg;
    t12.x = t14.x / t12.x;
    t12.x = t12.x * 1.44269502;
    t12.x = exp2(t12.x);
    t12.x = t12.x * t2.x;
    t23.x = dot(t23.xy, vec2(1.0, -1.0));
    t23.x = t23.x + t24;
    t12.x = t23.x * t12.x;
    t23.x = HM * _experimentalAtmoScale;
    t34 = 0.5 / t23.x;
    t34 = t6.w * t34;
    t34 = sqrt(t34);
    t2.xz = vec2(t5.z * float(t34), t5.w * float(t34));
    ti25.xy = ivec2(uvec2(lessThan(vec4(0.0, 0.0, 0.0, 0.0), t2.xzxz).xy) * 0xFFFFFFFFu);
    ti4.xz = ivec2(uvec2(lessThan(t2.xxzx, vec4(0.0, 0.0, 0.0, 0.0)).xz) * 0xFFFFFFFFu);
    ti25.xy = (-ti25.xy) + ti4.xz;
    t25.xy = vec2(ti25.xy);
    t4.xzw = t2.xxz * t2.xxz;
    tb34 = t25.x<t25.y;
    t4.x = t4.x * 1.44269502;
    t4.x = exp2(t4.x);
    t34 = tb34 ? t4.x : float(0.0);
    t4.xz = t4.zw * vec2(1.51999998, 1.51999998) + vec2(4.0, 4.0);
    t4.xz = sqrt(t4.xz);
    t2.xz = abs(t2.xz) * vec2(2.31929994, 2.31929994) + t4.xz;
    t2.xz = t25.xy / t2.xz;
    t25.x = (-t5.x) / t23.x;
    t13.x = t13.x * t25.x;
    t13.x = t13.x * 1.44269502;
    t7.w = exp2(t13.x);
    t2.xy = vec2(t2.x * t7.z, t2.z * t7.w);
    t24 = t23.x * t6.w;
    t24 = t24 * 6.28310013;
    t24 = sqrt(t24);
    t23.x = t14.x / t23.x;
    t23.x = t23.x * 1.44269502;
    t23.x = exp2(t23.x);
    t23.x = t23.x * t24;
    t2.x = dot(t2.xy, vec2(1.0, -1.0));
    t34 = t34 + t2.x;
    t23.x = t34 * t23.x;
    t7 = t23.xxxx * betaMEx.xyzx.xyzx;
    t7 = (-betaR.xyzx.xyzx) * t12.xxxx + (-t7);
    t7 = t7 * vec4(1.44269502, 1.44269502, 1.44269502, 1.44269502);
    t7 = exp2(t7);
    t7 = min(t7, vec4(1.0, 1.0, 1.0, 1.0));
    t12.x = t4.y * t4.y + (-t35);
    t4.z = sqrt(t12.x);
    t12.x = t6.w * t6.w;
    t23.x = t6.w * t6.w + (-t35);
    t12.y = sqrt(t23.x);
    t34 = t5.z * t6.w;
    t12.x = t34 * t34 + (-t12.x);
    t12.x = Rg * Rg + t12.x;
    tb2 = t34<0.0;
    tb13 = 0.0<t12.x;
    ti2.x = int(uint(tb13) * 0xffffffffu & uint(tb2) * 0xffffffffu);
    t13.xyz = vec3(0.5, 0.5, 0.5) / vec3(RES_MU, RES_R, RES_MU_S);
    t5.w = (-t13.x) + 0.5;
    t4.y = t4.z * t4.z;
    t4.w = t13.x + 0.5;
    t5.xyz = vec3(1.0, 0.0, 0.0);
    t4.x = -1.0;
    t6 = (ti2.x != 0) ? t5.xzzw : t4;
    t2.x = t12.y / t4.z;
    t14.xyz = vec3(1.0, 1.0, 1.0) / vec3(RES_R, RES_MU, RES_MU_S);
    t14.xyz = (-t14.xyz) + vec3(1.0, 0.5, 1.0);
    t2.x = t2.x * t14.x + t13.y;
    t12.xy = vec2(t12.x + t6.y, t12.y + t6.z);
    t12.x = sqrt(t12.x);
    t12.x = t34 * t6.x + t12.x;
    t12.x = t12.x / t12.y;
    t12.x = t12.x * t14.y + t6.w;
    t23.x = max(t0.x, -0.197500005);
    t23.x = t23.x * 5.34962368;
    t34 = min(abs(t23.x), 1.0);
    t13.x = max(abs(t23.x), 1.0);
    t13.x = float(1.0) / t13.x;
    t34 = t34 * t13.x;
    t13.x = t34 * t34;
    t6.x = t13.x * 0.0208350997 + -0.0851330012;
    t6.x = t13.x * t6.x + 0.180141002;
    t6.x = t13.x * t6.x + -0.330299497;
    t13.x = t13.x * t6.x + 0.999866009;
    t6.x = t34 * t13.x;
    tb17 = 1.0<abs(t23.x);
    t6.x = t6.x * -2.0 + 1.57079637;
    t6.x = tb17 ? t6.x : float(0.0);
    t34 = t34 * t13.x + t6.x;
    t23.x = min(t23.x, 1.0);
    tb23 = t23.x<(-t23.x);
    t23.x = (tb23) ? (-t34) : t34;
    t23.x = t23.x * 0.909090877 + 0.74000001;
    t23.x = t23.x * 0.5;
    t23.x = t23.x * t14.z + t13.z;
    t34 = t22.x + 1.0;
    t34 = t34 * 0.5;
    t13.x = RES_NU + -1.0;
    t6.x = t34 * t13.x;
    t6.x = floor(t6.x);
    t34 = t34 * t13.x + (-t6.x);
    t13.x = t2.x * RES_R;
    t2.x = t2.x * RES_R + -1.0;
    t2.x = floor(t2.x);
    t2.x = t2.x / RES_R;
    t17 = floor(t13.x);
    t17 = t17 / RES_R;
    t13.x = fract(t13.x);
    t23.x = t23.x + t6.x;
    t8.y = t23.x / RES_NU;
    t12.x = t12.x / RES_R;
    t8.z = t2.x + t12.x;
    t10_9 = textureLod(_Inscatter, t8.yz, 0.0);
    t2.x = (-t34) + 1.0;
    t23.x = t23.x + 1.0;
    t8.x = t23.x / RES_NU;
    t10_10 = textureLod(_Inscatter, t8.xz, 0.0);
    t10 = vec4(t34) * t10_10;
    t9 = t10_9 * t2.xxxx + t10;
    t8.w = t17 + t12.x;
    t10_10 = textureLod(_Inscatter, t8.yw, 0.0);
    t10_8 = textureLod(_Inscatter, t8.xw, 0.0);
    t8 = vec4(t34) * t10_8;
    t8 = t10_10 * t2.xxxx + t8;
    t12.x = (-t13.x) + 1.0;
    t8 = t13.xxxx * t8;
    t8 = t9 * t12.xxxx + t8;
    t12.x = (-Rg) * Rg + t11;
    t12.x = sqrt(t12.x);
    t11 = t1.x * t1.x + (-t11);
    t11 = Rg * Rg + t11;
    tb23 = t1.x<0.0;
    tb13 = 0.0<t11;
    ti23 = int(uint(tb23) * 0xffffffffu & uint(tb13) * 0xffffffffu);
    t5 = (int(ti23) != 0) ? t5 : t4;
    t23.x = t12.x / t4.z;
    t23.x = t23.x * t14.x + t13.y;
    t11 = t11 + t5.y;
    t11 = sqrt(t11);
    t11 = t1.x * t5.x + t11;
    t1.x = t12.x + t5.z;
    t11 = t11 / t1.x;
    t11 = t11 * t14.y + t5.w;
    t33 = max(t33, -0.197500005);
    t33 = t33 * 5.34962368;
    t1.x = min(abs(t33), 1.0);
    t12.x = max(abs(t33), 1.0);
    t12.x = float(1.0) / t12.x;
    t1.x = t12.x * t1.x;
    t12.x = t1.x * t1.x;
    t13.x = t12.x * 0.0208350997 + -0.0851330012;
    t13.x = t12.x * t13.x + 0.180141002;
    t13.x = t12.x * t13.x + -0.330299497;
    t12.x = t12.x * t13.x + 0.999866009;
    t13.x = t12.x * t1.x;
    tb24 = 1.0<abs(t33);
    t13.x = t13.x * -2.0 + 1.57079637;
    t13.x = tb24 ? t13.x : float(0.0);
    t1.x = t1.x * t12.x + t13.x;
    t33 = min(t33, 1.0);
    tb33 = t33<(-t33);
    t33 = (tb33) ? (-t1.x) : t1.x;
    t33 = t33 * 0.909090877 + 0.74000001;
    t33 = t14.z * t33;
    t33 = t33 * 0.5 + t13.z;
    t1.x = t23.x * RES_R;
    t1.y = t23.x * RES_R + -1.0;
    t12.xy = floor(t1.yx);
    t12.xy = t12.xy / vec2(RES_R);
    t1.x = fract(t1.x);
    t33 = t33 + t6.x;
    t4.y = t33 / RES_NU;
    t11 = t11 / RES_R;
    t4.zw = t12.xy + vec2(t11);
    t10_5 = textureLod(_Inscatter, t4.yz, 0.0);
    t33 = t33 + 1.0;
    t4.x = t33 / RES_NU;
    t10_6 = textureLod(_Inscatter, t4.xz, 0.0);
    t6 = vec4(t34) * t10_6;
    t5 = t10_5 * t2.xxxx + t6;
    t10_6 = textureLod(_Inscatter, t4.yw, 0.0);
    t10_4 = textureLod(_Inscatter, t4.xw, 0.0);
    t4 = vec4(t34) * t10_4;
    t2 = t10_6 * t2.xxxx + t4;
    t11 = (-t1.x) + 1.0;
    t1 = t1.xxxx * t2;
    t1 = t5 * vec4(t11) + t1;
    t1 = (-t1) * t7 + t8;
    t2 = max(t1, vec4(0.0, 0.0, 0.0, 0.0));
    t0.x = t0.x * 50.0;
    t0.x = clamp(t0.x, 0.0, 1.0);
    t11 = t0.x * -2.0 + 3.0;
    t0.x = t0.x * t0.x;
    t0.x = t0.x * t11;
    t0.x = t0.x * t2.w;
    t0.xyw = t0.xxx * t2.xyz;
    t1.x = max(t1.x, 9.99999975e-005);
    t0.xyw = t0.xyw / t1.xxx;
    t1.xyz = betaR.xyzx.xxx / betaR.xyzx.xyz;
    t0.xyw = t0.xyw * t1.xyz;
    t1.xy = vec2(M_PI) * vec2(16.0, 4.0);
    t1.xy = vec2(3.0, 1.5) / t1.xy;
    t23.x = t22.x * t22.x + 1.0;
    t23.y = (-mieG) * mieG + 1.0;
    t1.xy = t23.xy * t1.xy;
    t14.xy = vec2(vec2(mieG, mieG)) * vec2(vec2(mieG, mieG)) + vec2(1.0, 2.0);
    t22.x = dot(t22.xx, vec2(vec2(mieG, mieG)));
    t22.x = (-t22.x) + t14.x;
    t22.x = log2(t22.x);
    t22.x = t22.x * -1.5;
    t22.x = exp2(t22.x);
    t22.x = t22.x * t1.y;
    t22.x = t23.x * t22.x;
    t22.x = t22.x / t14.y;
    t0.xyz = t22.xxx * t0.xyw;
    t0.xyz = t2.xyz * t1.xxx + t0.xyz;
    t0.xyz = t0.xyz * vec3(vec3(SUN_INTENSITY, SUN_INTENSITY, SUN_INTENSITY));
    tb33 = _global_depth>=t3.x;
    t1.x = t3.x * 4.0;
    t1.x = t1.x / _global_depth;
    t1.x = t1.x * -1.44269502;
    t1.x = exp2(t1.x);
    t1.x = (-t1.x) + 1.0;
    t33 = (tb33) ? t1.x : 1.0;
    t0.xyz = t0.xyz * vec3(_Exposure);
    tb1.xyz = lessThan(t0.xyzx, vec4(1.41299999, 1.41299999, 1.41299999, 0.0)).xyz;
    t2 = t0.xxyy * vec4(0.383170009, -1.44269502, 0.383170009, -1.44269502);
    t0.xy = log2(t2.xz);
    t0.xy = t0.xy * vec2(0.454545468, 0.454545468);
    t0.xy = exp2(t0.xy);
    t2.xy = exp2(t2.yw);
    t2.xy = (-t2.xy) + vec2(1.0, 1.0);
    t2.x = (tb1.x) ? t0.x : t2.x;
    t2.y = (tb1.y) ? t0.y : t2.y;
    t0.xy = t0.zz * vec2(0.383170009, -1.44269502);
    t0.x = log2(t0.x);
    t0.x = t0.x * 0.454545468;
    t0.x = exp2(t0.x);
    t11 = exp2(t0.y);
    t11 = (-t11) + 1.0;
    t2.z = (tb1.z) ? t0.x : t11;
    t0.xyz = t2.xyz * vec3(vec3(_global_alpha, _global_alpha, _global_alpha));
    t0.xyz = vec3(t33) * t0.xyz;
    SV_Target0.xyz = t0.xyz;
    SV_Target0.w = 1.0;
    return;
}

#endif
"
}
SubProgram "glcore " {
Keywords { "GODRAYS_OFF" }
"!!GL3x
#ifdef VERTEX
#version 150
#extension GL_ARB_shader_bit_encoding : enable
uniform 	vec4 _Time;
uniform 	vec4 _SinTime;
uniform 	vec4 _CosTime;
uniform 	vec4 unity_DeltaTime;
uniform 	vec3 _WorldSpaceCameraPos;
uniform 	vec4 _ProjectionParams;
uniform 	vec4 _ScreenParams;
uniform 	vec4 _ZBufferParams;
uniform 	vec4 unity_OrthoParams;
uniform 	vec4 unity_CameraWorldClipPlanes[6];
uniform 	mat4 unity_CameraProjection;
uniform 	mat4 unity_CameraInvProjection;
uniform 	vec4 _WorldSpaceLightPos0;
uniform 	vec4 _LightPositionRange;
uniform 	vec4 unity_4LightPosX0;
uniform 	vec4 unity_4LightPosY0;
uniform 	vec4 unity_4LightPosZ0;
uniform 	vec4 unity_4LightAtten0;
uniform 	vec4 unity_LightColor[8];
uniform 	vec4 unity_LightPosition[8];
uniform 	vec4 unity_LightAtten[8];
uniform 	vec4 unity_SpotDirection[8];
uniform 	vec4 unity_SHAr;
uniform 	vec4 unity_SHAg;
uniform 	vec4 unity_SHAb;
uniform 	vec4 unity_SHBr;
uniform 	vec4 unity_SHBg;
uniform 	vec4 unity_SHBb;
uniform 	vec4 unity_SHC;
uniform 	vec3 unity_LightColor0;
uniform 	vec3 unity_LightColor1;
uniform 	vec3 unity_LightColor2;
uniform 	vec3 unity_LightColor3;
uniform 	vec4 unity_ShadowSplitSpheres[4];
uniform 	vec4 unity_ShadowSplitSqRadii;
uniform 	vec4 unity_LightShadowBias;
uniform 	vec4 _LightSplitsNear;
uniform 	vec4 _LightSplitsFar;
uniform 	mat4 unity_World2Shadow[4];
uniform 	vec4 _LightShadowData;
uniform 	vec4 unity_ShadowFadeCenterAndType;
uniform 	mat4 glstate_matrix_mvp;
uniform 	mat4 glstate_matrix_modelview0;
uniform 	mat4 glstate_matrix_invtrans_modelview0;
uniform 	mat4 _Object2World;
uniform 	mat4 _World2Object;
uniform 	vec4 unity_LODFade;
uniform 	vec4 unity_WorldTransformParams;
uniform 	mat4 glstate_matrix_transpose_modelview0;
uniform 	mat4 glstate_matrix_projection;
uniform 	vec4 glstate_lightmodel_ambient;
uniform 	mat4 unity_MatrixV;
uniform 	mat4 unity_MatrixVP;
uniform 	vec4 unity_AmbientSky;
uniform 	vec4 unity_AmbientEquator;
uniform 	vec4 unity_AmbientGround;
uniform 	vec4 unity_FogColor;
uniform 	vec4 unity_FogParams;
uniform 	vec4 unity_LightmapST;
uniform 	vec4 unity_DynamicLightmapST;
uniform 	vec4 unity_SpecCube0_BoxMax;
uniform 	vec4 unity_SpecCube0_BoxMin;
uniform 	vec4 unity_SpecCube0_ProbePosition;
uniform 	vec4 unity_SpecCube0_HDR;
uniform 	vec4 unity_SpecCube1_BoxMax;
uniform 	vec4 unity_SpecCube1_BoxMin;
uniform 	vec4 unity_SpecCube1_ProbePosition;
uniform 	vec4 unity_SpecCube1_HDR;
uniform 	vec4 unity_ColorSpaceGrey;
uniform 	vec4 unity_ColorSpaceDouble;
uniform 	vec4 unity_ColorSpaceDielectricSpec;
uniform 	vec4 unity_ColorSpaceLuminance;
uniform 	vec4 unity_Lightmap_HDR;
uniform 	vec4 unity_DynamicLightmap_HDR;
uniform 	float TRANSMITTANCE_W;
uniform 	float TRANSMITTANCE_H;
uniform 	float SKY_W;
uniform 	float SKY_H;
uniform 	float M_PI;
uniform 	vec3 EARTH_POS;
uniform 	float SCALE;
uniform 	float HR;
uniform 	vec3 betaR;
uniform 	float HM;
uniform 	vec3 betaMSca;
uniform 	vec3 betaMEx;
uniform 	float mieG;
uniform 	float _Exposure;
uniform 	float Rg;
uniform 	float Rt;
uniform 	float RL;
uniform 	float RES_R;
uniform 	float RES_MU;
uniform 	float RES_MU_S;
uniform 	float RES_NU;
uniform 	vec3 SUN_DIR;
uniform 	float SUN_INTENSITY;
uniform 	float _experimentalAtmoScale;
uniform 	mat4 _ViewProjInv;
uniform 	float _viewdirOffset;
uniform 	float _Scale;
uniform 	float _global_alpha;
uniform 	float _global_depth;
uniform 	float _Ocean_Sigma;
uniform 	float fakeOcean;
uniform 	float _fade;
uniform 	vec3 _Ocean_Color;
uniform 	vec3 _camPos;
uniform 	vec4 _MainTex_TexelSize;
uniform 	float _openglThreshold;
uniform 	float _horizonDepth;
uniform 	mat4 _Globals_CameraToWorld;
in  vec4 in_POSITION0;
out vec4 vs_TEXCOORD0;
out vec2 vs_TEXCOORD1;
 vec4 phase0_Output0_2;
out vec2 vs_TEXCOORD2;
vec4 t0;
vec4 t1;
float t4;
void main()
{
    t0 = in_POSITION0.yyyy * glstate_matrix_mvp[1];
    t0 = glstate_matrix_mvp[0] * in_POSITION0.xxxx + t0;
    t0 = glstate_matrix_mvp[2] * in_POSITION0.zzzz + t0;
    t0 = glstate_matrix_mvp[3] * in_POSITION0.wwww + t0;
    gl_Position = t0;
    t4 = in_POSITION0.y * glstate_matrix_modelview0[1].z;
    t4 = glstate_matrix_modelview0[0].z * in_POSITION0.x + t4;
    t4 = glstate_matrix_modelview0[2].z * in_POSITION0.z + t4;
    t4 = glstate_matrix_modelview0[3].z * in_POSITION0.w + t4;
    vs_TEXCOORD0.z = (-t4);
    t0.y = t0.y * _ProjectionParams.x;
    t1.xzw = t0.xwy * vec3(0.5, 0.5, 0.5);
    t0.xy = t1.zz + t1.xw;
    phase0_Output0_2 = t0.xyxy / t0.wwww;
    vs_TEXCOORD0.xyw = t0.xyw;
vs_TEXCOORD1 = phase0_Output0_2.xy;
vs_TEXCOORD2 = phase0_Output0_2.zw;
    return;
}

#endif
#ifdef FRAGMENT
#version 150
#extension GL_ARB_shader_bit_encoding : enable
uniform 	vec4 _Time;
uniform 	vec4 _SinTime;
uniform 	vec4 _CosTime;
uniform 	vec4 unity_DeltaTime;
uniform 	vec3 _WorldSpaceCameraPos;
uniform 	vec4 _ProjectionParams;
uniform 	vec4 _ScreenParams;
uniform 	vec4 _ZBufferParams;
uniform 	vec4 unity_OrthoParams;
uniform 	vec4 unity_CameraWorldClipPlanes[6];
uniform 	mat4 unity_CameraProjection;
uniform 	mat4 unity_CameraInvProjection;
uniform 	vec4 _WorldSpaceLightPos0;
uniform 	vec4 _LightPositionRange;
uniform 	vec4 unity_4LightPosX0;
uniform 	vec4 unity_4LightPosY0;
uniform 	vec4 unity_4LightPosZ0;
uniform 	vec4 unity_4LightAtten0;
uniform 	vec4 unity_LightColor[8];
uniform 	vec4 unity_LightPosition[8];
uniform 	vec4 unity_LightAtten[8];
uniform 	vec4 unity_SpotDirection[8];
uniform 	vec4 unity_SHAr;
uniform 	vec4 unity_SHAg;
uniform 	vec4 unity_SHAb;
uniform 	vec4 unity_SHBr;
uniform 	vec4 unity_SHBg;
uniform 	vec4 unity_SHBb;
uniform 	vec4 unity_SHC;
uniform 	vec3 unity_LightColor0;
uniform 	vec3 unity_LightColor1;
uniform 	vec3 unity_LightColor2;
uniform 	vec3 unity_LightColor3;
uniform 	vec4 unity_ShadowSplitSpheres[4];
uniform 	vec4 unity_ShadowSplitSqRadii;
uniform 	vec4 unity_LightShadowBias;
uniform 	vec4 _LightSplitsNear;
uniform 	vec4 _LightSplitsFar;
uniform 	mat4 unity_World2Shadow[4];
uniform 	vec4 _LightShadowData;
uniform 	vec4 unity_ShadowFadeCenterAndType;
uniform 	mat4 glstate_matrix_mvp;
uniform 	mat4 glstate_matrix_modelview0;
uniform 	mat4 glstate_matrix_invtrans_modelview0;
uniform 	mat4 _Object2World;
uniform 	mat4 _World2Object;
uniform 	vec4 unity_LODFade;
uniform 	vec4 unity_WorldTransformParams;
uniform 	mat4 glstate_matrix_transpose_modelview0;
uniform 	mat4 glstate_matrix_projection;
uniform 	vec4 glstate_lightmodel_ambient;
uniform 	mat4 unity_MatrixV;
uniform 	mat4 unity_MatrixVP;
uniform 	vec4 unity_AmbientSky;
uniform 	vec4 unity_AmbientEquator;
uniform 	vec4 unity_AmbientGround;
uniform 	vec4 unity_FogColor;
uniform 	vec4 unity_FogParams;
uniform 	vec4 unity_LightmapST;
uniform 	vec4 unity_DynamicLightmapST;
uniform 	vec4 unity_SpecCube0_BoxMax;
uniform 	vec4 unity_SpecCube0_BoxMin;
uniform 	vec4 unity_SpecCube0_ProbePosition;
uniform 	vec4 unity_SpecCube0_HDR;
uniform 	vec4 unity_SpecCube1_BoxMax;
uniform 	vec4 unity_SpecCube1_BoxMin;
uniform 	vec4 unity_SpecCube1_ProbePosition;
uniform 	vec4 unity_SpecCube1_HDR;
uniform 	vec4 unity_ColorSpaceGrey;
uniform 	vec4 unity_ColorSpaceDouble;
uniform 	vec4 unity_ColorSpaceDielectricSpec;
uniform 	vec4 unity_ColorSpaceLuminance;
uniform 	vec4 unity_Lightmap_HDR;
uniform 	vec4 unity_DynamicLightmap_HDR;
uniform 	float TRANSMITTANCE_W;
uniform 	float TRANSMITTANCE_H;
uniform 	float SKY_W;
uniform 	float SKY_H;
uniform 	float M_PI;
uniform 	vec3 EARTH_POS;
uniform 	float SCALE;
uniform 	float HR;
uniform 	vec3 betaR;
uniform 	float HM;
uniform 	vec3 betaMSca;
uniform 	vec3 betaMEx;
uniform 	float mieG;
uniform 	float _Exposure;
uniform 	float Rg;
uniform 	float Rt;
uniform 	float RL;
uniform 	float RES_R;
uniform 	float RES_MU;
uniform 	float RES_MU_S;
uniform 	float RES_NU;
uniform 	vec3 SUN_DIR;
uniform 	float SUN_INTENSITY;
uniform 	float _experimentalAtmoScale;
uniform 	mat4 _ViewProjInv;
uniform 	float _viewdirOffset;
uniform 	float _Scale;
uniform 	float _global_alpha;
uniform 	float _global_depth;
uniform 	float _Ocean_Sigma;
uniform 	float fakeOcean;
uniform 	float _fade;
uniform 	vec3 _Ocean_Color;
uniform 	vec3 _camPos;
uniform 	vec4 _MainTex_TexelSize;
uniform 	float _openglThreshold;
uniform 	float _horizonDepth;
uniform 	mat4 _Globals_CameraToWorld;
uniform  sampler2D _customDepthTexture;
uniform  sampler2D _Inscatter;
in  vec2 vs_TEXCOORD2;
out vec4 SV_Target0;
vec4 t0;
lowp vec4 t10_0;
vec4 t1;
bvec3 tb1;
vec4 t2;
ivec2 ti2;
bool tb2;
vec3 t3;
int ti3;
bool tb3;
vec4 t4;
lowp vec4 t10_4;
ivec3 ti4;
vec4 t5;
lowp vec4 t10_5;
vec4 t6;
lowp vec4 t10_6;
vec4 t7;
vec4 t8;
lowp vec4 t10_8;
vec4 t9;
lowp vec4 t10_9;
vec4 t10;
lowp vec4 t10_10;
float t11;
int ti11;
bool tb11;
vec3 t12;
vec3 t13;
int ti13;
bool tb13;
vec3 t14;
ivec2 ti14;
float t17;
bool tb17;
vec2 t22;
int ti22;
bool tb22;
vec2 t23;
int ti23;
bool tb23;
float t24;
bool tb24;
vec2 t25;
ivec2 ti25;
float t33;
bool tb33;
float t34;
bool tb34;
float t35;
float t36;
void main()
{
    t10_0 = texture(_customDepthTexture, vs_TEXCOORD2.xy);
    tb11 = t10_0.x==1.0;
    t22.xy = vs_TEXCOORD2.xy * vec2(2.0, 2.0) + vec2(-1.0, -1.0);
    t1 = t22.yyyy * _ViewProjInv[1];
    t1 = _ViewProjInv[0] * t22.xxxx + t1;
    t1 = _ViewProjInv[2] * t10_0.xxxx + t1;
    t1 = t1 + _ViewProjInv[3];
    t0.xzw = t1.xyz / t1.www;
    t1.xyz = t0.xzw + (-_camPos.xyzx.xyz);
    t34 = dot(t1.xyz, t1.xyz);
    t2.x = dot(t1.xyz, _camPos.xyzx.xyz);
    t13.x = t2.x + t2.x;
    t24 = dot(_camPos.xyzx.xyz, _camPos.xyzx.xyz);
    t35 = Rg * Rg;
    t3.x = (-Rg) * Rg + t24;
    t3.x = t34 * t3.x;
    t3.x = t3.x * 4.0;
    t13.x = t13.x * t13.x + (-t3.x);
    tb3 = t13.x>=0.0;
    t13.x = sqrt(t13.x);
    t2.x = (-t2.x) * 2.0 + (-t13.x);
    t13.x = t34 + t34;
    t2.x = t2.x / t13.x;
    t2.x = (tb3) ? t2.x : -1.0;
    ti13 = int((0.0<t2.x) ? 0xFFFFFFFFu : uint(0u));
    ti3 = ~ti13;
    ti11 = tb11 ? ti3 : int(0);
    if((uint(ti11))!=uint(0u)){
        SV_Target0 = vec4(0.0, 0.0, 0.0, 0.0);
        return;
    //ENDIF
    }
    t3.xyz = t1.xyz * t2.xxx;
    t1.xyz = t2.xxx * t1.xyz + _camPos.xyzx.xyz;
    t11 = dot(t3.xyz, t3.xyz);
    t11 = sqrt(t11);
    t34 = sqrt(t34);
    tb11 = t11<t34;
    ti11 = tb11 ? ti13 : int(0);
    t0.xyz = (int(ti11) != 0) ? t1.xyz : t0.xzw;
    t33 = dot(t0.xyz, t0.xyz);
    t1.x = sqrt(t33);
    t12.x = Rg + _openglThreshold;
    tb1.x = t1.x<t12.x;
    t33 = inversesqrt(t33);
    t3.xyz = vec3(t33) * t0.xyz;
    t12.xyz = t12.xxx * t3.xyz;
    t0.xyz = (tb1.x) ? t12.xyz : t0.xyz;
    t1.xyz = t0.xyz + (-_camPos.xyzx.xyz);
    t34 = dot(t1.xyz, t1.xyz);
    t3.x = sqrt(t34);
    t1.xyz = t1.xyz / t3.xxx;
    t34 = (-Rg) + Rt;
    t4.y = t34 * _experimentalAtmoScale + Rg;
    t34 = dot(t1.xyz, t1.xyz);
    t34 = inversesqrt(t34);
    t1.xyz = vec3(t34) * t1.xyz;
    t2.z = sqrt(t24);
    t34 = Rg * 0.899999976;
    tb34 = t2.z<t34;
    t5.y = Rg + _camPos.xyzx.y;
    t6.y = t0.y + Rg;
    t5.xz = _camPos.xyzx.xz;
    t36 = dot(t5.xyz, t5.xyz);
    t6.z = sqrt(t36);
    t6.x = t5.y;
    t2.x = _camPos.xyzx.y;
    t2.y = t0.y;
    t2.xyz = (bool(tb34)) ? t6.xyz : t2.xyz;
    t5.xz = _camPos.xyzx.xz;
    t5.y = t2.x;
    t11 = dot(t5.xyz, t1.xyz);
    t3.z = t11 / t2.z;
    t34 = min(t3.x, 1.0);
    t0.w = t2.y;
    t6.xyz = (-t1.xyz) * vec3(t34) + t0.xwz;
    t0.x = t2.z * t2.z;
    t0.x = t11 * t11 + (-t0.x);
    t0.x = t4.y * t4.y + t0.x;
    tb22 = t0.x>=0.0;
    t0.x = sqrt(t0.x);
    t0.x = (tb22) ? (-t0.x) : -9.99999997e-007;
    t0.x = t0.x + (-t11);
    t0.x = max(t0.x, 0.0);
    tb22 = 0.0<t0.x;
    tb33 = t0.x<t3.x;
    ti22 = int(uint(tb33) * 0xffffffffu & uint(tb22) * 0xffffffffu);
    t7.xyz = t0.xxx * t1.xyz + t5.xyz;
    t11 = t0.x + t11;
    t4.z = t11 / t4.y;
    t4.x = (-t0.x) + t3.x;
    t0.xyw = (int(ti22) != 0) ? t7.xyz : t5.xyz;
    t3.y = t2.z;
    t5.xyz = (int(ti22) != 0) ? t4.xyz : t3.xyz;
    t22.x = dot(t1.xyz, SUN_DIR.xyzx.xyz);
    t0.x = dot(t0.xyw, SUN_DIR.xyzx.xyz);
    t0.y = Rg + 1600.0;
    tb33 = t5.y<t0.y;
    t0.xy = t0.xy / t5.yy;
    t7.xyz = t0.yyy * t6.xyz;
    t7.w = Rg + 1600.0;
    t6.w = t5.y;
    t6 = (bool(tb33)) ? t7 : t6;
    t11 = dot(t6.xyz, t6.xyz);
    t33 = sqrt(t11);
    t1.x = dot(t6.xyz, t1.xyz);
    t12.x = dot(t6.xyz, SUN_DIR.xyzx.xyz);
    t33 = t12.x / t33;
    t12.x = HR * _experimentalAtmoScale;
    t23.x = 0.5 / t12.x;
    t23.x = t6.w * t23.x;
    t23.x = sqrt(t23.x);
    t34 = t5.x / t6.w;
    t5.w = t34 + t5.z;
    t23.xy = t23.xx * t5.zw;
    ti2.xy = ivec2(uvec2(lessThan(vec4(0.0, 0.0, 0.0, 0.0), t23.xyxx).xy) * 0xFFFFFFFFu);
    ti14.xy = ivec2(uvec2(lessThan(t23.xyxx, vec4(0.0, 0.0, 0.0, 0.0)).xy) * 0xFFFFFFFFu);
    ti2.xy = (-ti2.xy) + ti14.xy;
    t2.xy = vec2(ti2.xy);
    t14.xyz = t23.xxy * t23.xxy;
    tb24 = t2.x<t2.y;
    t14.x = t14.x * 1.44269502;
    t14.x = exp2(t14.x);
    t24 = tb24 ? t14.x : float(0.0);
    t14.xy = t14.yz * vec2(1.51999998, 1.51999998) + vec2(4.0, 4.0);
    t14.xy = sqrt(t14.xy);
    t23.xy = abs(t23.xy) * vec2(2.31929994, 2.31929994) + t14.xy;
    t23.xy = t2.xy / t23.xy;
    t2.x = (-t5.x) / t12.x;
    t13.x = t6.w + t6.w;
    t13.x = t5.x / t13.x;
    t13.x = t5.z + t13.x;
    t2.x = t13.x * t2.x;
    t2.x = t2.x * 1.44269502;
    t7.y = exp2(t2.x);
    t7.xz = vec2(1.0, 1.0);
    t23.xy = t23.xy * t7.xy;
    t2.x = t12.x * t6.w;
    t2.x = t2.x * 6.28310013;
    t2.x = sqrt(t2.x);
    t14.x = (-t6.w) + Rg;
    t12.x = t14.x / t12.x;
    t12.x = t12.x * 1.44269502;
    t12.x = exp2(t12.x);
    t12.x = t12.x * t2.x;
    t23.x = dot(t23.xy, vec2(1.0, -1.0));
    t23.x = t23.x + t24;
    t12.x = t23.x * t12.x;
    t23.x = HM * _experimentalAtmoScale;
    t34 = 0.5 / t23.x;
    t34 = t6.w * t34;
    t34 = sqrt(t34);
    t2.xz = t5.zw * vec2(t34);
    ti25.xy = ivec2(uvec2(lessThan(vec4(0.0, 0.0, 0.0, 0.0), t2.xzxz).xy) * 0xFFFFFFFFu);
    ti4.xz = ivec2(uvec2(lessThan(t2.xxzx, vec4(0.0, 0.0, 0.0, 0.0)).xz) * 0xFFFFFFFFu);
    ti25.xy = (-ti25.xy) + ti4.xz;
    t25.xy = vec2(ti25.xy);
    t4.xzw = t2.xxz * t2.xxz;
    tb34 = t25.x<t25.y;
    t4.x = t4.x * 1.44269502;
    t4.x = exp2(t4.x);
    t34 = tb34 ? t4.x : float(0.0);
    t4.xz = t4.zw * vec2(1.51999998, 1.51999998) + vec2(4.0, 4.0);
    t4.xz = sqrt(t4.xz);
    t2.xz = abs(t2.xz) * vec2(2.31929994, 2.31929994) + t4.xz;
    t2.xz = t25.xy / t2.xz;
    t25.x = (-t5.x) / t23.x;
    t13.x = t13.x * t25.x;
    t13.x = t13.x * 1.44269502;
    t7.w = exp2(t13.x);
    t2.xy = t2.xz * t7.zw;
    t24 = t23.x * t6.w;
    t24 = t24 * 6.28310013;
    t24 = sqrt(t24);
    t23.x = t14.x / t23.x;
    t23.x = t23.x * 1.44269502;
    t23.x = exp2(t23.x);
    t23.x = t23.x * t24;
    t2.x = dot(t2.xy, vec2(1.0, -1.0));
    t34 = t34 + t2.x;
    t23.x = t34 * t23.x;
    t7 = t23.xxxx * betaMEx.xyzx.xyzx;
    t7 = (-betaR.xyzx.xyzx) * t12.xxxx + (-t7);
    t7 = t7 * vec4(1.44269502, 1.44269502, 1.44269502, 1.44269502);
    t7 = exp2(t7);
    t7 = min(t7, vec4(1.0, 1.0, 1.0, 1.0));
    t12.x = t4.y * t4.y + (-t35);
    t4.z = sqrt(t12.x);
    t12.x = t6.w * t6.w;
    t23.x = t6.w * t6.w + (-t35);
    t12.y = sqrt(t23.x);
    t34 = t5.z * t6.w;
    t12.x = t34 * t34 + (-t12.x);
    t12.x = Rg * Rg + t12.x;
    tb2 = t34<0.0;
    tb13 = 0.0<t12.x;
    ti2.x = int(uint(tb13) * 0xffffffffu & uint(tb2) * 0xffffffffu);
    t13.xyz = vec3(0.5, 0.5, 0.5) / vec3(RES_MU, RES_R, RES_MU_S);
    t5.w = (-t13.x) + 0.5;
    t4.y = t4.z * t4.z;
    t4.w = t13.x + 0.5;
    t5.xyz = vec3(1.0, 0.0, 0.0);
    t4.x = -1.0;
    t6 = (ti2.x != 0) ? t5.xzzw : t4;
    t2.x = t12.y / t4.z;
    t14.xyz = vec3(1.0, 1.0, 1.0) / vec3(RES_R, RES_MU, RES_MU_S);
    t14.xyz = (-t14.xyz) + vec3(1.0, 0.5, 1.0);
    t2.x = t2.x * t14.x + t13.y;
    t12.xy = t12.xy + t6.yz;
    t12.x = sqrt(t12.x);
    t12.x = t34 * t6.x + t12.x;
    t12.x = t12.x / t12.y;
    t12.x = t12.x * t14.y + t6.w;
    t23.x = max(t0.x, -0.197500005);
    t23.x = t23.x * 5.34962368;
    t34 = min(abs(t23.x), 1.0);
    t13.x = max(abs(t23.x), 1.0);
    t13.x = float(1.0) / t13.x;
    t34 = t34 * t13.x;
    t13.x = t34 * t34;
    t6.x = t13.x * 0.0208350997 + -0.0851330012;
    t6.x = t13.x * t6.x + 0.180141002;
    t6.x = t13.x * t6.x + -0.330299497;
    t13.x = t13.x * t6.x + 0.999866009;
    t6.x = t34 * t13.x;
    tb17 = 1.0<abs(t23.x);
    t6.x = t6.x * -2.0 + 1.57079637;
    t6.x = tb17 ? t6.x : float(0.0);
    t34 = t34 * t13.x + t6.x;
    t23.x = min(t23.x, 1.0);
    tb23 = t23.x<(-t23.x);
    t23.x = (tb23) ? (-t34) : t34;
    t23.x = t23.x * 0.909090877 + 0.74000001;
    t23.x = t23.x * 0.5;
    t23.x = t23.x * t14.z + t13.z;
    t34 = t22.x + 1.0;
    t34 = t34 * 0.5;
    t13.x = RES_NU + -1.0;
    t6.x = t34 * t13.x;
    t6.x = floor(t6.x);
    t34 = t34 * t13.x + (-t6.x);
    t13.x = t2.x * RES_R;
    t2.x = t2.x * RES_R + -1.0;
    t2.x = floor(t2.x);
    t2.x = t2.x / RES_R;
    t17 = floor(t13.x);
    t17 = t17 / RES_R;
    t13.x = fract(t13.x);
    t23.x = t23.x + t6.x;
    t8.y = t23.x / RES_NU;
    t12.x = t12.x / RES_R;
    t8.z = t2.x + t12.x;
    t10_9 = textureLod(_Inscatter, t8.yz, 0.0);
    t2.x = (-t34) + 1.0;
    t23.x = t23.x + 1.0;
    t8.x = t23.x / RES_NU;
    t10_10 = textureLod(_Inscatter, t8.xz, 0.0);
    t10 = vec4(t34) * t10_10;
    t9 = t10_9 * t2.xxxx + t10;
    t8.w = t17 + t12.x;
    t10_10 = textureLod(_Inscatter, t8.yw, 0.0);
    t10_8 = textureLod(_Inscatter, t8.xw, 0.0);
    t8 = vec4(t34) * t10_8;
    t8 = t10_10 * t2.xxxx + t8;
    t12.x = (-t13.x) + 1.0;
    t8 = t13.xxxx * t8;
    t8 = t9 * t12.xxxx + t8;
    t12.x = (-Rg) * Rg + t11;
    t12.x = sqrt(t12.x);
    t11 = t1.x * t1.x + (-t11);
    t11 = Rg * Rg + t11;
    tb23 = t1.x<0.0;
    tb13 = 0.0<t11;
    ti23 = int(uint(tb23) * 0xffffffffu & uint(tb13) * 0xffffffffu);
    t5 = (int(ti23) != 0) ? t5 : t4;
    t23.x = t12.x / t4.z;
    t23.x = t23.x * t14.x + t13.y;
    t11 = t11 + t5.y;
    t11 = sqrt(t11);
    t11 = t1.x * t5.x + t11;
    t1.x = t12.x + t5.z;
    t11 = t11 / t1.x;
    t11 = t11 * t14.y + t5.w;
    t33 = max(t33, -0.197500005);
    t33 = t33 * 5.34962368;
    t1.x = min(abs(t33), 1.0);
    t12.x = max(abs(t33), 1.0);
    t12.x = float(1.0) / t12.x;
    t1.x = t12.x * t1.x;
    t12.x = t1.x * t1.x;
    t13.x = t12.x * 0.0208350997 + -0.0851330012;
    t13.x = t12.x * t13.x + 0.180141002;
    t13.x = t12.x * t13.x + -0.330299497;
    t12.x = t12.x * t13.x + 0.999866009;
    t13.x = t12.x * t1.x;
    tb24 = 1.0<abs(t33);
    t13.x = t13.x * -2.0 + 1.57079637;
    t13.x = tb24 ? t13.x : float(0.0);
    t1.x = t1.x * t12.x + t13.x;
    t33 = min(t33, 1.0);
    tb33 = t33<(-t33);
    t33 = (tb33) ? (-t1.x) : t1.x;
    t33 = t33 * 0.909090877 + 0.74000001;
    t33 = t14.z * t33;
    t33 = t33 * 0.5 + t13.z;
    t1.x = t23.x * RES_R;
    t1.y = t23.x * RES_R + -1.0;
    t12.xy = floor(t1.yx);
    t12.xy = t12.xy / vec2(RES_R);
    t1.x = fract(t1.x);
    t33 = t33 + t6.x;
    t4.y = t33 / RES_NU;
    t11 = t11 / RES_R;
    t4.zw = t12.xy + vec2(t11);
    t10_5 = textureLod(_Inscatter, t4.yz, 0.0);
    t33 = t33 + 1.0;
    t4.x = t33 / RES_NU;
    t10_6 = textureLod(_Inscatter, t4.xz, 0.0);
    t6 = vec4(t34) * t10_6;
    t5 = t10_5 * t2.xxxx + t6;
    t10_6 = textureLod(_Inscatter, t4.yw, 0.0);
    t10_4 = textureLod(_Inscatter, t4.xw, 0.0);
    t4 = vec4(t34) * t10_4;
    t2 = t10_6 * t2.xxxx + t4;
    t11 = (-t1.x) + 1.0;
    t1 = t1.xxxx * t2;
    t1 = t5 * vec4(t11) + t1;
    t1 = (-t1) * t7 + t8;
    t2 = max(t1, vec4(0.0, 0.0, 0.0, 0.0));
    t0.x = t0.x * 50.0;
    t0.x = clamp(t0.x, 0.0, 1.0);
    t11 = t0.x * -2.0 + 3.0;
    t0.x = t0.x * t0.x;
    t0.x = t0.x * t11;
    t0.x = t0.x * t2.w;
    t0.xyw = t0.xxx * t2.xyz;
    t1.x = max(t1.x, 9.99999975e-005);
    t0.xyw = t0.xyw / t1.xxx;
    t1.xyz = betaR.xyzx.xxx / betaR.xyzx.xyz;
    t0.xyw = t0.xyw * t1.xyz;
    t1.xy = vec2(M_PI) * vec2(16.0, 4.0);
    t1.xy = vec2(3.0, 1.5) / t1.xy;
    t23.x = t22.x * t22.x + 1.0;
    t23.y = (-mieG) * mieG + 1.0;
    t1.xy = t23.xy * t1.xy;
    t14.xy = vec2(vec2(mieG, mieG)) * vec2(vec2(mieG, mieG)) + vec2(1.0, 2.0);
    t22.x = dot(t22.xx, vec2(vec2(mieG, mieG)));
    t22.x = (-t22.x) + t14.x;
    t22.x = log2(t22.x);
    t22.x = t22.x * -1.5;
    t22.x = exp2(t22.x);
    t22.x = t22.x * t1.y;
    t22.x = t23.x * t22.x;
    t22.x = t22.x / t14.y;
    t0.xyz = t22.xxx * t0.xyw;
    t0.xyz = t2.xyz * t1.xxx + t0.xyz;
    t0.xyz = t0.xyz * vec3(vec3(SUN_INTENSITY, SUN_INTENSITY, SUN_INTENSITY));
    tb33 = _global_depth>=t3.x;
    t1.x = t3.x * 4.0;
    t1.x = t1.x / _global_depth;
    t1.x = t1.x * -1.44269502;
    t1.x = exp2(t1.x);
    t1.x = (-t1.x) + 1.0;
    t33 = (tb33) ? t1.x : 1.0;
    t0.xyz = t0.xyz * vec3(_Exposure);
    tb1.xyz = lessThan(t0.xyzx, vec4(1.41299999, 1.41299999, 1.41299999, 0.0)).xyz;
    t2 = t0.xxyy * vec4(0.383170009, -1.44269502, 0.383170009, -1.44269502);
    t0.xy = log2(t2.xz);
    t0.xy = t0.xy * vec2(0.454545468, 0.454545468);
    t0.xy = exp2(t0.xy);
    t2.xy = exp2(t2.yw);
    t2.xy = (-t2.xy) + vec2(1.0, 1.0);
    t2.x = (tb1.x) ? t0.x : t2.x;
    t2.y = (tb1.y) ? t0.y : t2.y;
    t0.xy = t0.zz * vec2(0.383170009, -1.44269502);
    t0.x = log2(t0.x);
    t0.x = t0.x * 0.454545468;
    t0.x = exp2(t0.x);
    t11 = exp2(t0.y);
    t11 = (-t11) + 1.0;
    t2.z = (tb1.z) ? t0.x : t11;
    t0.xyz = t2.xyz * vec3(vec3(_global_alpha, _global_alpha, _global_alpha));
    SV_Target0.xyz = vec3(t33) * t0.xyz;
    SV_Target0.w = 1.0;
    return;
}

#endif
"
}
SubProgram "opengl " {
// Stats: 523 math, 10 textures, 17 branches
Keywords { "GODRAYS_ON" }
"!!GLSL#version 120

#ifdef VERTEX
uniform vec4 _ProjectionParams;


varying vec4 xlv_TEXCOORD0;
varying vec2 xlv_TEXCOORD1;
varying vec2 xlv_TEXCOORD2;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec2 tmpvar_3;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 o_4;
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_1 * 0.5);
  vec2 tmpvar_6;
  tmpvar_6.x = tmpvar_5.x;
  tmpvar_6.y = (tmpvar_5.y * _ProjectionParams.x);
  o_4.xy = (tmpvar_6 + tmpvar_5.w);
  o_4.zw = tmpvar_1.zw;
  tmpvar_2.xyw = o_4.xyw;
  tmpvar_3 = (o_4.xy / tmpvar_1.w);
  tmpvar_2.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = tmpvar_2;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = tmpvar_3;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
uniform sampler2D _Inscatter;
uniform float M_PI;
uniform float HR;
uniform vec3 betaR;
uniform float HM;
uniform vec3 betaMEx;
uniform float mieG;
uniform float _Exposure;
uniform float Rg;
uniform float Rt;
uniform float RES_R;
uniform float RES_MU;
uniform float RES_MU_S;
uniform float RES_NU;
uniform vec3 SUN_DIR;
uniform float SUN_INTENSITY;
uniform float _experimentalAtmoScale;
uniform mat4 _ViewProjInv;
uniform float _global_alpha;
uniform float _global_depth;
uniform vec3 _camPos;
uniform sampler2D _customDepthTexture;
uniform sampler2D _godrayDepthTexture;
uniform float _openglThreshold;
float xlat_mutableRt;
varying vec2 xlv_TEXCOORD2;
void main ()
{
  xlat_mutableRt = Rt;
  vec4 tmpvar_1;
  vec4 D_2;
  bool infinite_3;
  float depth_4;
  vec4 tmpvar_5;
  tmpvar_5 = texture2D (_customDepthTexture, xlv_TEXCOORD2);
  float tmpvar_6;
  tmpvar_6 = tmpvar_5.x;
  depth_4 = tmpvar_6;
  infinite_3 = (tmpvar_5.x == 1.0);
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xy = ((xlv_TEXCOORD2 * vec2(2.0, 2.0)) - vec2(1.0, 1.0));
  tmpvar_7.z = tmpvar_6;
  vec4 tmpvar_8;
  tmpvar_8 = (_ViewProjInv * tmpvar_7);
  D_2 = tmpvar_8;
  float tmpvar_9;
  tmpvar_9 = (1.0 - abs(dot (
    normalize(((_camPos.yzx * SUN_DIR.zxy) - (_camPos.zxy * SUN_DIR.yzx)))
  , 
    normalize(((tmpvar_8 / tmpvar_8.w).xyz - _camPos))
  )));
  vec4 tmpvar_10;
  tmpvar_10 = texture2D (_godrayDepthTexture, xlv_TEXCOORD2);
  if ((((tmpvar_10.x > 0.0) && (tmpvar_10.x < tmpvar_5.x)) && (tmpvar_5.x < 1.0))) {
    depth_4 = mix (tmpvar_5.x, tmpvar_10.x, tmpvar_9);
  };
  vec4 tmpvar_11;
  tmpvar_11.w = 1.0;
  tmpvar_11.xy = ((xlv_TEXCOORD2 * vec2(2.0, 2.0)) - vec2(1.0, 1.0));
  tmpvar_11.z = depth_4;
  D_2 = (_ViewProjInv * tmpvar_11);
  vec3 tmpvar_12;
  tmpvar_12 = (D_2 / D_2.w).xyz;
  float tmpvar_13;
  vec3 tmpvar_14;
  tmpvar_14 = (tmpvar_12 - _camPos);
  float tmpvar_15;
  tmpvar_15 = dot (tmpvar_14, tmpvar_14);
  float tmpvar_16;
  tmpvar_16 = (2.0 * dot (tmpvar_14, _camPos));
  float tmpvar_17;
  tmpvar_17 = ((tmpvar_16 * tmpvar_16) - ((4.0 * tmpvar_15) * (
    dot (_camPos, _camPos)
   - 
    (Rg * Rg)
  )));
  if ((tmpvar_17 < 0.0)) {
    tmpvar_13 = -1.0;
  } else {
    tmpvar_13 = ((-(tmpvar_16) - sqrt(tmpvar_17)) / (2.0 * tmpvar_15));
  };
  bool tmpvar_18;
  tmpvar_18 = (tmpvar_13 > 0.0);
  if ((!(tmpvar_18) && infinite_3)) {
    tmpvar_1 = vec4(0.0, 0.0, 0.0, 0.0);
  } else {
    vec3 tmpvar_19;
    tmpvar_19 = (_camPos + (tmpvar_13 * (tmpvar_12 - _camPos)));
    vec3 x_20;
    x_20 = (tmpvar_19 - _camPos);
    vec3 x_21;
    x_21 = (tmpvar_12 - _camPos);
    bool tmpvar_22;
    tmpvar_22 = (sqrt(dot (x_20, x_20)) < sqrt(dot (x_21, x_21)));
    vec3 tmpvar_23;
    if ((tmpvar_18 && tmpvar_22)) {
      tmpvar_23 = tmpvar_19;
    } else {
      tmpvar_23 = tmpvar_12;
    };
    float tmpvar_24;
    tmpvar_24 = sqrt(dot (tmpvar_23, tmpvar_23));
    vec3 tmpvar_25;
    if ((tmpvar_24 < (Rg + _openglThreshold))) {
      tmpvar_25 = ((Rg + _openglThreshold) * normalize(tmpvar_23));
    } else {
      tmpvar_25 = tmpvar_23;
    };
    vec3 tmpvar_26;
    vec3 camera_27;
    camera_27 = _camPos;
    vec3 _point_28;
    _point_28 = tmpvar_25;
    vec4 inScatter_29;
    float mu_30;
    float rMu_31;
    float r_32;
    float d_33;
    vec3 viewdir_34;
    vec3 result_35;
    result_35 = vec3(0.0, 0.0, 0.0);
    vec3 tmpvar_36;
    tmpvar_36 = (tmpvar_25 - _camPos);
    float tmpvar_37;
    tmpvar_37 = sqrt(dot (tmpvar_36, tmpvar_36));
    d_33 = tmpvar_37;
    viewdir_34 = (tmpvar_36 / tmpvar_37);
    xlat_mutableRt = (Rg + ((Rt - Rg) * _experimentalAtmoScale));
    vec3 tmpvar_38;
    tmpvar_38 = normalize(viewdir_34);
    viewdir_34 = tmpvar_38;
    float tmpvar_39;
    tmpvar_39 = sqrt(dot (_camPos, _camPos));
    r_32 = tmpvar_39;
    if ((tmpvar_39 < (0.9 * Rg))) {
      camera_27.y = (_camPos.y + Rg);
      _point_28.y = (tmpvar_25.y + Rg);
      r_32 = sqrt(dot (camera_27, camera_27));
    };
    float tmpvar_40;
    tmpvar_40 = dot (camera_27, tmpvar_38);
    rMu_31 = tmpvar_40;
    mu_30 = (tmpvar_40 / r_32);
    _point_28 = (_point_28 - (tmpvar_38 * clamp (1.0, 0.0, tmpvar_37)));
    float f_41;
    f_41 = (((tmpvar_40 * tmpvar_40) - (r_32 * r_32)) + (xlat_mutableRt * xlat_mutableRt));
    float tmpvar_42;
    if ((f_41 >= 0.0)) {
      tmpvar_42 = sqrt(f_41);
    } else {
      tmpvar_42 = 1e-06;
    };
    float tmpvar_43;
    tmpvar_43 = max ((-(tmpvar_40) - tmpvar_42), 0.0);
    if (((tmpvar_43 > 0.0) && (tmpvar_43 < tmpvar_37))) {
      camera_27 = (camera_27 + (tmpvar_43 * tmpvar_38));
      rMu_31 = (tmpvar_40 + tmpvar_43);
      mu_30 = (rMu_31 / xlat_mutableRt);
      r_32 = xlat_mutableRt;
      d_33 = (tmpvar_37 - tmpvar_43);
    };
    float tmpvar_44;
    tmpvar_44 = dot (tmpvar_38, SUN_DIR);
    float tmpvar_45;
    tmpvar_45 = (dot (camera_27, SUN_DIR) / r_32);
    if ((r_32 < (Rg + 1600.0))) {
      float tmpvar_46;
      tmpvar_46 = ((Rg + 1600.0) / r_32);
      r_32 = (r_32 * tmpvar_46);
      rMu_31 = (rMu_31 * tmpvar_46);
      _point_28 = (_point_28 * tmpvar_46);
    };
    float tmpvar_47;
    tmpvar_47 = sqrt(dot (_point_28, _point_28));
    float tmpvar_48;
    tmpvar_48 = (dot (_point_28, tmpvar_38) / tmpvar_47);
    float tmpvar_49;
    tmpvar_49 = (dot (_point_28, SUN_DIR) / tmpvar_47);
    float tmpvar_50;
    float H_51;
    H_51 = (HR * _experimentalAtmoScale);
    vec2 tmpvar_52;
    tmpvar_52.x = mu_30;
    tmpvar_52.y = (mu_30 + (d_33 / r_32));
    vec2 tmpvar_53;
    tmpvar_53 = (sqrt((
      (0.5 / H_51)
     * r_32)) * tmpvar_52);
    vec2 tmpvar_54;
    tmpvar_54 = sign(tmpvar_53);
    vec2 tmpvar_55;
    tmpvar_55 = (tmpvar_53 * tmpvar_53);
    float tmpvar_56;
    if ((tmpvar_54.y > tmpvar_54.x)) {
      tmpvar_56 = exp(tmpvar_55.x);
    } else {
      tmpvar_56 = 0.0;
    };
    vec2 tmpvar_57;
    tmpvar_57.x = 1.0;
    tmpvar_57.y = exp(((
      -(d_33)
     / H_51) * (
      (d_33 / (2.0 * r_32))
     + mu_30)));
    tmpvar_50 = ((sqrt(
      ((6.2831 * H_51) * r_32)
    ) * exp(
      ((Rg - r_32) / H_51)
    )) * (tmpvar_56 + dot (
      ((tmpvar_54 / ((2.3193 * 
        abs(tmpvar_53)
      ) + sqrt(
        ((1.52 * tmpvar_55) + 4.0)
      ))) * tmpvar_57)
    , vec2(1.0, -1.0))));
    float H_58;
    H_58 = (HM * _experimentalAtmoScale);
    vec2 tmpvar_59;
    tmpvar_59.x = mu_30;
    tmpvar_59.y = (mu_30 + (d_33 / r_32));
    vec2 tmpvar_60;
    tmpvar_60 = (sqrt((
      (0.5 / H_58)
     * r_32)) * tmpvar_59);
    vec2 tmpvar_61;
    tmpvar_61 = sign(tmpvar_60);
    vec2 tmpvar_62;
    tmpvar_62 = (tmpvar_60 * tmpvar_60);
    float tmpvar_63;
    if ((tmpvar_61.y > tmpvar_61.x)) {
      tmpvar_63 = exp(tmpvar_62.x);
    } else {
      tmpvar_63 = 0.0;
    };
    vec2 tmpvar_64;
    tmpvar_64.x = 1.0;
    tmpvar_64.y = exp(((
      -(d_33)
     / H_58) * (
      (d_33 / (2.0 * r_32))
     + mu_30)));
    vec3 tmpvar_65;
    tmpvar_65 = min (exp((
      (-(betaR) * tmpvar_50)
     - 
      (betaMEx * ((sqrt(
        ((6.2831 * H_58) * r_32)
      ) * exp(
        ((Rg - r_32) / H_58)
      )) * (tmpvar_63 + dot (
        ((tmpvar_61 / ((2.3193 * 
          abs(tmpvar_60)
        ) + sqrt(
          ((1.52 * tmpvar_62) + 4.0)
        ))) * tmpvar_64)
      , vec2(1.0, -1.0)))))
    )), vec3(1.0, 1.0, 1.0));
    vec4 tmpvar_66;
    float _lerp_67;
    float tmpvar_68;
    float tmpvar_69;
    tmpvar_69 = (Rg * Rg);
    tmpvar_68 = sqrt(((xlat_mutableRt * xlat_mutableRt) - tmpvar_69));
    float tmpvar_70;
    tmpvar_70 = sqrt(((r_32 * r_32) - tmpvar_69));
    float tmpvar_71;
    tmpvar_71 = (r_32 * mu_30);
    float tmpvar_72;
    tmpvar_72 = (((tmpvar_71 * tmpvar_71) - (r_32 * r_32)) + tmpvar_69);
    vec4 tmpvar_73;
    if (((tmpvar_71 < 0.0) && (tmpvar_72 > 0.0))) {
      vec4 tmpvar_74;
      tmpvar_74.xyz = vec3(1.0, 0.0, 0.0);
      tmpvar_74.w = (0.5 - (0.5 / RES_MU));
      tmpvar_73 = tmpvar_74;
    } else {
      vec4 tmpvar_75;
      tmpvar_75.x = -1.0;
      tmpvar_75.y = (tmpvar_68 * tmpvar_68);
      tmpvar_75.z = tmpvar_68;
      tmpvar_75.w = (0.5 + (0.5 / RES_MU));
      tmpvar_73 = tmpvar_75;
    };
    float tmpvar_76;
    tmpvar_76 = ((0.5 / RES_R) + ((tmpvar_70 / tmpvar_68) * (1.0 - 
      (1.0/(RES_R))
    )));
    float tmpvar_77;
    tmpvar_77 = (tmpvar_73.w + ((
      ((tmpvar_71 * tmpvar_73.x) + sqrt((tmpvar_72 + tmpvar_73.y)))
     / 
      (tmpvar_70 + tmpvar_73.z)
    ) * (0.5 - 
      (1.0/(RES_MU))
    )));
    float y_over_x_78;
    y_over_x_78 = (max (tmpvar_45, -0.1975) * 5.349625);
    float tmpvar_79;
    tmpvar_79 = (min (abs(y_over_x_78), 1.0) / max (abs(y_over_x_78), 1.0));
    float tmpvar_80;
    tmpvar_80 = (tmpvar_79 * tmpvar_79);
    tmpvar_80 = (((
      ((((
        ((((-0.01213232 * tmpvar_80) + 0.05368138) * tmpvar_80) - 0.1173503)
       * tmpvar_80) + 0.1938925) * tmpvar_80) - 0.3326756)
     * tmpvar_80) + 0.9999793) * tmpvar_79);
    tmpvar_80 = (tmpvar_80 + (float(
      (abs(y_over_x_78) > 1.0)
    ) * (
      (tmpvar_80 * -2.0)
     + 1.570796)));
    float tmpvar_81;
    tmpvar_81 = ((0.5 / RES_MU_S) + ((
      (((tmpvar_80 * sign(y_over_x_78)) / 1.1) + 0.74)
     * 0.5) * (1.0 - 
      (1.0/(RES_MU_S))
    )));
    float tmpvar_82;
    tmpvar_82 = (((tmpvar_44 + 1.0) / 2.0) * (RES_NU - 1.0));
    float tmpvar_83;
    tmpvar_83 = floor(tmpvar_82);
    _lerp_67 = (tmpvar_82 - tmpvar_83);
    float tmpvar_84;
    tmpvar_84 = (floor((
      (tmpvar_76 * RES_R)
     - 1.0)) / RES_R);
    float tmpvar_85;
    tmpvar_85 = (floor((tmpvar_76 * RES_R)) / RES_R);
    float tmpvar_86;
    tmpvar_86 = fract((tmpvar_76 * RES_R));
    vec4 tmpvar_87;
    tmpvar_87.zw = vec2(0.0, 0.0);
    tmpvar_87.x = ((tmpvar_83 + tmpvar_81) / RES_NU);
    tmpvar_87.y = ((tmpvar_77 / RES_R) + tmpvar_84);
    vec4 tmpvar_88;
    tmpvar_88.zw = vec2(0.0, 0.0);
    tmpvar_88.x = (((tmpvar_83 + tmpvar_81) + 1.0) / RES_NU);
    tmpvar_88.y = ((tmpvar_77 / RES_R) + tmpvar_84);
    vec4 tmpvar_89;
    tmpvar_89.zw = vec2(0.0, 0.0);
    tmpvar_89.x = ((tmpvar_83 + tmpvar_81) / RES_NU);
    tmpvar_89.y = ((tmpvar_77 / RES_R) + tmpvar_85);
    vec4 tmpvar_90;
    tmpvar_90.zw = vec2(0.0, 0.0);
    tmpvar_90.x = (((tmpvar_83 + tmpvar_81) + 1.0) / RES_NU);
    tmpvar_90.y = ((tmpvar_77 / RES_R) + tmpvar_85);
    tmpvar_66 = (((
      (texture2DLod (_Inscatter, tmpvar_87.xy, 0.0) * (1.0 - _lerp_67))
     + 
      (texture2DLod (_Inscatter, tmpvar_88.xy, 0.0) * _lerp_67)
    ) * (1.0 - tmpvar_86)) + ((
      (texture2DLod (_Inscatter, tmpvar_89.xy, 0.0) * (1.0 - _lerp_67))
     + 
      (texture2DLod (_Inscatter, tmpvar_90.xy, 0.0) * _lerp_67)
    ) * tmpvar_86));
    float _lerp_91;
    float tmpvar_92;
    float tmpvar_93;
    tmpvar_93 = (Rg * Rg);
    tmpvar_92 = sqrt(((xlat_mutableRt * xlat_mutableRt) - tmpvar_93));
    float tmpvar_94;
    tmpvar_94 = sqrt(((tmpvar_47 * tmpvar_47) - tmpvar_93));
    float tmpvar_95;
    tmpvar_95 = (tmpvar_47 * tmpvar_48);
    float tmpvar_96;
    tmpvar_96 = (((tmpvar_95 * tmpvar_95) - (tmpvar_47 * tmpvar_47)) + tmpvar_93);
    vec4 tmpvar_97;
    if (((tmpvar_95 < 0.0) && (tmpvar_96 > 0.0))) {
      vec4 tmpvar_98;
      tmpvar_98.xyz = vec3(1.0, 0.0, 0.0);
      tmpvar_98.w = (0.5 - (0.5 / RES_MU));
      tmpvar_97 = tmpvar_98;
    } else {
      vec4 tmpvar_99;
      tmpvar_99.x = -1.0;
      tmpvar_99.y = (tmpvar_92 * tmpvar_92);
      tmpvar_99.z = tmpvar_92;
      tmpvar_99.w = (0.5 + (0.5 / RES_MU));
      tmpvar_97 = tmpvar_99;
    };
    float tmpvar_100;
    tmpvar_100 = ((0.5 / RES_R) + ((tmpvar_94 / tmpvar_92) * (1.0 - 
      (1.0/(RES_R))
    )));
    float tmpvar_101;
    tmpvar_101 = (tmpvar_97.w + ((
      ((tmpvar_95 * tmpvar_97.x) + sqrt((tmpvar_96 + tmpvar_97.y)))
     / 
      (tmpvar_94 + tmpvar_97.z)
    ) * (0.5 - 
      (1.0/(RES_MU))
    )));
    float y_over_x_102;
    y_over_x_102 = (max (tmpvar_49, -0.1975) * 5.349625);
    float tmpvar_103;
    tmpvar_103 = (min (abs(y_over_x_102), 1.0) / max (abs(y_over_x_102), 1.0));
    float tmpvar_104;
    tmpvar_104 = (tmpvar_103 * tmpvar_103);
    tmpvar_104 = (((
      ((((
        ((((-0.01213232 * tmpvar_104) + 0.05368138) * tmpvar_104) - 0.1173503)
       * tmpvar_104) + 0.1938925) * tmpvar_104) - 0.3326756)
     * tmpvar_104) + 0.9999793) * tmpvar_103);
    tmpvar_104 = (tmpvar_104 + (float(
      (abs(y_over_x_102) > 1.0)
    ) * (
      (tmpvar_104 * -2.0)
     + 1.570796)));
    float tmpvar_105;
    tmpvar_105 = ((0.5 / RES_MU_S) + ((
      (((tmpvar_104 * sign(y_over_x_102)) / 1.1) + 0.74)
     * 0.5) * (1.0 - 
      (1.0/(RES_MU_S))
    )));
    float tmpvar_106;
    tmpvar_106 = (((tmpvar_44 + 1.0) / 2.0) * (RES_NU - 1.0));
    float tmpvar_107;
    tmpvar_107 = floor(tmpvar_106);
    _lerp_91 = (tmpvar_106 - tmpvar_107);
    float tmpvar_108;
    tmpvar_108 = (floor((
      (tmpvar_100 * RES_R)
     - 1.0)) / RES_R);
    float tmpvar_109;
    tmpvar_109 = (floor((tmpvar_100 * RES_R)) / RES_R);
    float tmpvar_110;
    tmpvar_110 = fract((tmpvar_100 * RES_R));
    vec4 tmpvar_111;
    tmpvar_111.zw = vec2(0.0, 0.0);
    tmpvar_111.x = ((tmpvar_107 + tmpvar_105) / RES_NU);
    tmpvar_111.y = ((tmpvar_101 / RES_R) + tmpvar_108);
    vec4 tmpvar_112;
    tmpvar_112.zw = vec2(0.0, 0.0);
    tmpvar_112.x = (((tmpvar_107 + tmpvar_105) + 1.0) / RES_NU);
    tmpvar_112.y = ((tmpvar_101 / RES_R) + tmpvar_108);
    vec4 tmpvar_113;
    tmpvar_113.zw = vec2(0.0, 0.0);
    tmpvar_113.x = ((tmpvar_107 + tmpvar_105) / RES_NU);
    tmpvar_113.y = ((tmpvar_101 / RES_R) + tmpvar_109);
    vec4 tmpvar_114;
    tmpvar_114.zw = vec2(0.0, 0.0);
    tmpvar_114.x = (((tmpvar_107 + tmpvar_105) + 1.0) / RES_NU);
    tmpvar_114.y = ((tmpvar_101 / RES_R) + tmpvar_109);
    vec4 tmpvar_115;
    tmpvar_115 = max ((tmpvar_66 - (
      ((((texture2DLod (_Inscatter, tmpvar_111.xy, 0.0) * 
        (1.0 - _lerp_91)
      ) + (texture2DLod (_Inscatter, tmpvar_112.xy, 0.0) * _lerp_91)) * (1.0 - tmpvar_110)) + (((texture2DLod (_Inscatter, tmpvar_113.xy, 0.0) * 
        (1.0 - _lerp_91)
      ) + (texture2DLod (_Inscatter, tmpvar_114.xy, 0.0) * _lerp_91)) * tmpvar_110))
     * tmpvar_65.xyzx)), vec4(0.0, 0.0, 0.0, 0.0));
    inScatter_29.xyz = tmpvar_115.xyz;
    float tmpvar_116;
    tmpvar_116 = clamp ((tmpvar_45 / 0.02), 0.0, 1.0);
    inScatter_29.w = (tmpvar_115.w * (tmpvar_116 * (tmpvar_116 * 
      (3.0 - (2.0 * tmpvar_116))
    )));
    float tmpvar_117;
    tmpvar_117 = (mieG * mieG);
    result_35 = ((tmpvar_115.xyz * (
      (3.0 / (16.0 * M_PI))
     * 
      (1.0 + (tmpvar_44 * tmpvar_44))
    )) + ((
      ((tmpvar_115.xyz * inScatter_29.w) / max (tmpvar_115.x, 0.0001))
     * 
      (betaR.x / betaR)
    ) * (
      ((((1.5 / 
        (4.0 * M_PI)
      ) * (1.0 - tmpvar_117)) * pow ((
        (1.0 + tmpvar_117)
       - 
        ((2.0 * mieG) * tmpvar_44)
      ), -1.5)) * (1.0 + (tmpvar_44 * tmpvar_44)))
     / 
      (2.0 + tmpvar_117)
    )));
    tmpvar_26 = (result_35 * SUN_INTENSITY);
    float tmpvar_118;
    vec3 x_119;
    x_119 = (tmpvar_25 - _camPos);
    tmpvar_118 = sqrt(dot (x_119, x_119));
    float tmpvar_120;
    if ((tmpvar_118 <= _global_depth)) {
      tmpvar_120 = (1.0 - exp(-(
        ((4.0 * tmpvar_118) / _global_depth)
      )));
    } else {
      tmpvar_120 = 1.0;
    };
    vec3 L_121;
    L_121 = (tmpvar_26 * _Exposure);
    float tmpvar_122;
    if ((L_121.x < 1.413)) {
      tmpvar_122 = pow ((L_121.x * 0.38317), 0.4545454);
    } else {
      tmpvar_122 = (1.0 - exp(-(L_121.x)));
    };
    L_121.x = tmpvar_122;
    float tmpvar_123;
    if ((L_121.y < 1.413)) {
      tmpvar_123 = pow ((L_121.y * 0.38317), 0.4545454);
    } else {
      tmpvar_123 = (1.0 - exp(-(L_121.y)));
    };
    L_121.y = tmpvar_123;
    float tmpvar_124;
    if ((L_121.z < 1.413)) {
      tmpvar_124 = pow ((L_121.z * 0.38317), 0.4545454);
    } else {
      tmpvar_124 = (1.0 - exp(-(L_121.z)));
    };
    L_121.z = tmpvar_124;
    vec4 tmpvar_125;
    tmpvar_125.w = 1.0;
    tmpvar_125.xyz = ((L_121 * _global_alpha) * tmpvar_120);
    tmpvar_1 = tmpvar_125;
  };
  gl_FragData[0] = tmpvar_1;
}


#endif
"
}
SubProgram "d3d9 " {
// Stats: 20 math
Keywords { "GODRAYS_ON" }
Bind "vertex" Vertex
Matrix 4 [glstate_matrix_modelview0] 3
Matrix 0 [glstate_matrix_mvp]
Vector 9 [_MainTex_TexelSize]
Vector 7 [_ProjectionParams]
Vector 8 [_ScreenParams]
"vs_3_0
def c10, 0.5, 0, -2, 1
dcl_position v0
dcl_position o0
dcl_texcoord o1
dcl_texcoord1 o2.xy
dcl_texcoord2 o3.xy
dp4 o0.z, c2, v0
dp4 r0.x, c6, v0
mov o1.z, -r0.x
dp4 r0.x, c0, v0
dp4 r0.y, c1, v0
dp4 r0.w, c3, v0
mov o0.xyw, r0
mul r1.xz, r0.xyww, c10.x
mul r0.x, r0.y, c7.x
mul r1.w, r0.x, c10.x
mad r0.xy, r1.z, c8.zwzw, r1.xwzw
rcp r0.z, r0.w
mul r1.xy, r0.z, r0
mov o1.xyw, r0
mad r0.x, r1.y, c10.z, c10.w
mov r0.y, c10.y
slt r0.y, c9.y, r0.y
mad r1.z, r0.y, r0.x, r1.y
mov o2.xy, r1.xzzw
mov o3.xy, r1

"
}
SubProgram "d3d11 " {
// Stats: 15 math
Keywords { "GODRAYS_ON" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 480
Vector 384 [_MainTex_TexelSize]
ConstBuffer "UnityPerCamera" 144
Vector 80 [_ProjectionParams]
ConstBuffer "UnityPerDraw" 352
Matrix 0 [glstate_matrix_mvp]
Matrix 64 [glstate_matrix_modelview0]
BindCB  "$Globals" 0
BindCB  "UnityPerCamera" 1
BindCB  "UnityPerDraw" 2
"vs_4_0
root12:aaadaaaa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"
}
SubProgram "gles " {
// Stats: 523 math, 10 textures, 17 branches
Keywords { "GODRAYS_ON" }
"!!GLES
#version 100

#ifdef VERTEX
attribute vec4 _glesVertex;
uniform highp vec4 _ProjectionParams;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
varying highp vec4 xlv_TEXCOORD0;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec2 xlv_TEXCOORD2;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec2 tmpvar_3;
  tmpvar_1 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 o_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_1 * 0.5);
  highp vec2 tmpvar_6;
  tmpvar_6.x = tmpvar_5.x;
  tmpvar_6.y = (tmpvar_5.y * _ProjectionParams.x);
  o_4.xy = (tmpvar_6 + tmpvar_5.w);
  o_4.zw = tmpvar_1.zw;
  tmpvar_2.xyw = o_4.xyw;
  tmpvar_3 = (o_4.xy / tmpvar_1.w);
  tmpvar_2.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = tmpvar_2;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = tmpvar_3;
}


#endif
#ifdef FRAGMENT
#extension GL_EXT_shader_texture_lod : enable
lowp vec4 impl_low_texture2DLodEXT(lowp sampler2D sampler, highp vec2 coord, mediump float lod)
{
#if defined(GL_EXT_shader_texture_lod)
	return texture2DLodEXT(sampler, coord, lod);
#else
	return texture2D(sampler, coord, lod);
#endif
}

uniform sampler2D _Inscatter;
uniform highp float M_PI;
uniform highp float HR;
uniform highp vec3 betaR;
uniform highp float HM;
uniform highp vec3 betaMEx;
uniform highp float mieG;
uniform highp float _Exposure;
uniform highp float Rg;
uniform highp float Rt;
uniform highp float RES_R;
uniform highp float RES_MU;
uniform highp float RES_MU_S;
uniform highp float RES_NU;
uniform highp vec3 SUN_DIR;
uniform highp float SUN_INTENSITY;
uniform highp float _experimentalAtmoScale;
uniform highp mat4 _ViewProjInv;
uniform highp float _global_alpha;
uniform highp float _global_depth;
uniform highp vec3 _camPos;
uniform sampler2D _customDepthTexture;
uniform sampler2D _godrayDepthTexture;
uniform highp float _openglThreshold;
highp float xlat_mutableRt;
varying highp vec2 xlv_TEXCOORD2;
void main ()
{
  xlat_mutableRt = Rt;
  mediump vec4 tmpvar_1;
  highp float godrayDepth_2;
  highp vec4 D_3;
  bool infinite_4;
  highp float depth_5;
  lowp float tmpvar_6;
  tmpvar_6 = texture2D (_customDepthTexture, xlv_TEXCOORD2).x;
  depth_5 = tmpvar_6;
  infinite_4 = (depth_5 == 1.0);
  highp vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xy = ((xlv_TEXCOORD2 * vec2(2.0, 2.0)) - vec2(1.0, 1.0));
  tmpvar_7.z = depth_5;
  highp vec4 tmpvar_8;
  tmpvar_8 = (_ViewProjInv * tmpvar_7);
  D_3 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = (1.0 - abs(dot (
    normalize(((_camPos.yzx * SUN_DIR.zxy) - (_camPos.zxy * SUN_DIR.yzx)))
  , 
    normalize(((tmpvar_8 / tmpvar_8.w).xyz - _camPos))
  )));
  lowp float tmpvar_10;
  tmpvar_10 = texture2D (_godrayDepthTexture, xlv_TEXCOORD2).x;
  godrayDepth_2 = tmpvar_10;
  if ((((godrayDepth_2 > 0.0) && (godrayDepth_2 < depth_5)) && (depth_5 < 1.0))) {
    depth_5 = mix (depth_5, godrayDepth_2, tmpvar_9);
  };
  highp vec4 tmpvar_11;
  tmpvar_11.w = 1.0;
  tmpvar_11.xy = ((xlv_TEXCOORD2 * vec2(2.0, 2.0)) - vec2(1.0, 1.0));
  tmpvar_11.z = depth_5;
  D_3 = (_ViewProjInv * tmpvar_11);
  highp vec3 tmpvar_12;
  tmpvar_12 = (D_3 / D_3.w).xyz;
  highp float tmpvar_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = (tmpvar_12 - _camPos);
  highp float tmpvar_15;
  tmpvar_15 = dot (tmpvar_14, tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = (2.0 * dot (tmpvar_14, _camPos));
  highp float tmpvar_17;
  tmpvar_17 = ((tmpvar_16 * tmpvar_16) - ((4.0 * tmpvar_15) * (
    dot (_camPos, _camPos)
   - 
    (Rg * Rg)
  )));
  if ((tmpvar_17 < 0.0)) {
    tmpvar_13 = -1.0;
  } else {
    tmpvar_13 = ((-(tmpvar_16) - sqrt(tmpvar_17)) / (2.0 * tmpvar_15));
  };
  bool tmpvar_18;
  tmpvar_18 = (tmpvar_13 > 0.0);
  if ((!(tmpvar_18) && infinite_4)) {
    tmpvar_1 = vec4(0.0, 0.0, 0.0, 0.0);
  } else {
    highp vec3 tmpvar_19;
    tmpvar_19 = (_camPos + (tmpvar_13 * (tmpvar_12 - _camPos)));
    highp vec3 x_20;
    x_20 = (tmpvar_19 - _camPos);
    highp vec3 x_21;
    x_21 = (tmpvar_12 - _camPos);
    bool tmpvar_22;
    tmpvar_22 = (sqrt(dot (x_20, x_20)) < sqrt(dot (x_21, x_21)));
    highp vec3 tmpvar_23;
    if ((tmpvar_18 && tmpvar_22)) {
      tmpvar_23 = tmpvar_19;
    } else {
      tmpvar_23 = tmpvar_12;
    };
    highp float tmpvar_24;
    tmpvar_24 = sqrt(dot (tmpvar_23, tmpvar_23));
    highp vec3 tmpvar_25;
    if ((tmpvar_24 < (Rg + _openglThreshold))) {
      tmpvar_25 = ((Rg + _openglThreshold) * normalize(tmpvar_23));
    } else {
      tmpvar_25 = tmpvar_23;
    };
    highp vec3 tmpvar_26;
    highp vec3 camera_27;
    camera_27 = _camPos;
    highp vec3 _point_28;
    _point_28 = tmpvar_25;
    highp vec4 inScatter_29;
    highp float mu_30;
    highp float rMu_31;
    highp float r_32;
    highp float d_33;
    highp vec3 viewdir_34;
    highp vec3 result_35;
    result_35 = vec3(0.0, 0.0, 0.0);
    highp vec3 tmpvar_36;
    tmpvar_36 = (tmpvar_25 - _camPos);
    highp float tmpvar_37;
    tmpvar_37 = sqrt(dot (tmpvar_36, tmpvar_36));
    d_33 = tmpvar_37;
    viewdir_34 = (tmpvar_36 / tmpvar_37);
    xlat_mutableRt = (Rg + ((Rt - Rg) * _experimentalAtmoScale));
    highp vec3 tmpvar_38;
    tmpvar_38 = normalize(viewdir_34);
    viewdir_34 = tmpvar_38;
    highp float tmpvar_39;
    tmpvar_39 = sqrt(dot (_camPos, _camPos));
    r_32 = tmpvar_39;
    if ((tmpvar_39 < (0.9 * Rg))) {
      camera_27.y = (_camPos.y + Rg);
      _point_28.y = (tmpvar_25.y + Rg);
      r_32 = sqrt(dot (camera_27, camera_27));
    };
    highp float tmpvar_40;
    tmpvar_40 = dot (camera_27, tmpvar_38);
    rMu_31 = tmpvar_40;
    mu_30 = (tmpvar_40 / r_32);
    _point_28 = (_point_28 - (tmpvar_38 * clamp (1.0, 0.0, tmpvar_37)));
    highp float f_41;
    f_41 = (((tmpvar_40 * tmpvar_40) - (r_32 * r_32)) + (xlat_mutableRt * xlat_mutableRt));
    highp float tmpvar_42;
    if ((f_41 >= 0.0)) {
      tmpvar_42 = sqrt(f_41);
    } else {
      tmpvar_42 = 1e-06;
    };
    highp float tmpvar_43;
    tmpvar_43 = max ((-(tmpvar_40) - tmpvar_42), 0.0);
    if (((tmpvar_43 > 0.0) && (tmpvar_43 < tmpvar_37))) {
      camera_27 = (camera_27 + (tmpvar_43 * tmpvar_38));
      rMu_31 = (tmpvar_40 + tmpvar_43);
      mu_30 = (rMu_31 / xlat_mutableRt);
      r_32 = xlat_mutableRt;
      d_33 = (tmpvar_37 - tmpvar_43);
    };
    highp float tmpvar_44;
    tmpvar_44 = dot (tmpvar_38, SUN_DIR);
    highp float tmpvar_45;
    tmpvar_45 = (dot (camera_27, SUN_DIR) / r_32);
    if ((r_32 < (Rg + 1600.0))) {
      highp float tmpvar_46;
      tmpvar_46 = ((Rg + 1600.0) / r_32);
      r_32 = (r_32 * tmpvar_46);
      rMu_31 = (rMu_31 * tmpvar_46);
      _point_28 = (_point_28 * tmpvar_46);
    };
    highp float tmpvar_47;
    tmpvar_47 = sqrt(dot (_point_28, _point_28));
    highp float tmpvar_48;
    tmpvar_48 = (dot (_point_28, tmpvar_38) / tmpvar_47);
    highp float tmpvar_49;
    tmpvar_49 = (dot (_point_28, SUN_DIR) / tmpvar_47);
    highp float tmpvar_50;
    highp float H_51;
    H_51 = (HR * _experimentalAtmoScale);
    highp vec2 tmpvar_52;
    tmpvar_52.x = mu_30;
    tmpvar_52.y = (mu_30 + (d_33 / r_32));
    highp vec2 tmpvar_53;
    tmpvar_53 = (sqrt((
      (0.5 / H_51)
     * r_32)) * tmpvar_52);
    highp vec2 tmpvar_54;
    tmpvar_54 = sign(tmpvar_53);
    highp vec2 tmpvar_55;
    tmpvar_55 = (tmpvar_53 * tmpvar_53);
    highp float tmpvar_56;
    if ((tmpvar_54.y > tmpvar_54.x)) {
      tmpvar_56 = exp(tmpvar_55.x);
    } else {
      tmpvar_56 = 0.0;
    };
    highp vec2 tmpvar_57;
    tmpvar_57.x = 1.0;
    tmpvar_57.y = exp(((
      -(d_33)
     / H_51) * (
      (d_33 / (2.0 * r_32))
     + mu_30)));
    tmpvar_50 = ((sqrt(
      ((6.2831 * H_51) * r_32)
    ) * exp(
      ((Rg - r_32) / H_51)
    )) * (tmpvar_56 + dot (
      ((tmpvar_54 / ((2.3193 * 
        abs(tmpvar_53)
      ) + sqrt(
        ((1.52 * tmpvar_55) + 4.0)
      ))) * tmpvar_57)
    , vec2(1.0, -1.0))));
    highp float H_58;
    H_58 = (HM * _experimentalAtmoScale);
    highp vec2 tmpvar_59;
    tmpvar_59.x = mu_30;
    tmpvar_59.y = (mu_30 + (d_33 / r_32));
    highp vec2 tmpvar_60;
    tmpvar_60 = (sqrt((
      (0.5 / H_58)
     * r_32)) * tmpvar_59);
    highp vec2 tmpvar_61;
    tmpvar_61 = sign(tmpvar_60);
    highp vec2 tmpvar_62;
    tmpvar_62 = (tmpvar_60 * tmpvar_60);
    highp float tmpvar_63;
    if ((tmpvar_61.y > tmpvar_61.x)) {
      tmpvar_63 = exp(tmpvar_62.x);
    } else {
      tmpvar_63 = 0.0;
    };
    highp vec2 tmpvar_64;
    tmpvar_64.x = 1.0;
    tmpvar_64.y = exp(((
      -(d_33)
     / H_58) * (
      (d_33 / (2.0 * r_32))
     + mu_30)));
    highp vec3 tmpvar_65;
    tmpvar_65 = min (exp((
      (-(betaR) * tmpvar_50)
     - 
      (betaMEx * ((sqrt(
        ((6.2831 * H_58) * r_32)
      ) * exp(
        ((Rg - r_32) / H_58)
      )) * (tmpvar_63 + dot (
        ((tmpvar_61 / ((2.3193 * 
          abs(tmpvar_60)
        ) + sqrt(
          ((1.52 * tmpvar_62) + 4.0)
        ))) * tmpvar_64)
      , vec2(1.0, -1.0)))))
    )), vec3(1.0, 1.0, 1.0));
    highp vec4 tmpvar_66;
    highp float _lerp_67;
    highp float tmpvar_68;
    highp float tmpvar_69;
    tmpvar_69 = (Rg * Rg);
    tmpvar_68 = sqrt(((xlat_mutableRt * xlat_mutableRt) - tmpvar_69));
    highp float tmpvar_70;
    tmpvar_70 = sqrt(((r_32 * r_32) - tmpvar_69));
    highp float tmpvar_71;
    tmpvar_71 = (r_32 * mu_30);
    highp float tmpvar_72;
    tmpvar_72 = (((tmpvar_71 * tmpvar_71) - (r_32 * r_32)) + tmpvar_69);
    highp vec4 tmpvar_73;
    if (((tmpvar_71 < 0.0) && (tmpvar_72 > 0.0))) {
      highp vec4 tmpvar_74;
      tmpvar_74.xyz = vec3(1.0, 0.0, 0.0);
      tmpvar_74.w = (0.5 - (0.5 / RES_MU));
      tmpvar_73 = tmpvar_74;
    } else {
      highp vec4 tmpvar_75;
      tmpvar_75.x = -1.0;
      tmpvar_75.y = (tmpvar_68 * tmpvar_68);
      tmpvar_75.z = tmpvar_68;
      tmpvar_75.w = (0.5 + (0.5 / RES_MU));
      tmpvar_73 = tmpvar_75;
    };
    highp float tmpvar_76;
    tmpvar_76 = ((0.5 / RES_R) + ((tmpvar_70 / tmpvar_68) * (1.0 - 
      (1.0/(RES_R))
    )));
    highp float tmpvar_77;
    tmpvar_77 = (tmpvar_73.w + ((
      ((tmpvar_71 * tmpvar_73.x) + sqrt((tmpvar_72 + tmpvar_73.y)))
     / 
      (tmpvar_70 + tmpvar_73.z)
    ) * (0.5 - 
      (1.0/(RES_MU))
    )));
    highp float y_over_x_78;
    y_over_x_78 = (max (tmpvar_45, -0.1975) * 5.349625);
    highp float tmpvar_79;
    tmpvar_79 = (min (abs(y_over_x_78), 1.0) / max (abs(y_over_x_78), 1.0));
    highp float tmpvar_80;
    tmpvar_80 = (tmpvar_79 * tmpvar_79);
    tmpvar_80 = (((
      ((((
        ((((-0.01213232 * tmpvar_80) + 0.05368138) * tmpvar_80) - 0.1173503)
       * tmpvar_80) + 0.1938925) * tmpvar_80) - 0.3326756)
     * tmpvar_80) + 0.9999793) * tmpvar_79);
    tmpvar_80 = (tmpvar_80 + (float(
      (abs(y_over_x_78) > 1.0)
    ) * (
      (tmpvar_80 * -2.0)
     + 1.570796)));
    highp float tmpvar_81;
    tmpvar_81 = ((0.5 / RES_MU_S) + ((
      (((tmpvar_80 * sign(y_over_x_78)) / 1.1) + 0.74)
     * 0.5) * (1.0 - 
      (1.0/(RES_MU_S))
    )));
    highp float tmpvar_82;
    tmpvar_82 = (((tmpvar_44 + 1.0) / 2.0) * (RES_NU - 1.0));
    highp float tmpvar_83;
    tmpvar_83 = floor(tmpvar_82);
    _lerp_67 = (tmpvar_82 - tmpvar_83);
    highp float tmpvar_84;
    tmpvar_84 = (floor((
      (tmpvar_76 * RES_R)
     - 1.0)) / RES_R);
    highp float tmpvar_85;
    tmpvar_85 = (floor((tmpvar_76 * RES_R)) / RES_R);
    highp float tmpvar_86;
    tmpvar_86 = fract((tmpvar_76 * RES_R));
    highp vec4 tmpvar_87;
    tmpvar_87.zw = vec2(0.0, 0.0);
    tmpvar_87.x = ((tmpvar_83 + tmpvar_81) / RES_NU);
    tmpvar_87.y = ((tmpvar_77 / RES_R) + tmpvar_84);
    lowp vec4 tmpvar_88;
    tmpvar_88 = impl_low_texture2DLodEXT (_Inscatter, tmpvar_87.xy, 0.0);
    highp vec4 tmpvar_89;
    tmpvar_89.zw = vec2(0.0, 0.0);
    tmpvar_89.x = (((tmpvar_83 + tmpvar_81) + 1.0) / RES_NU);
    tmpvar_89.y = ((tmpvar_77 / RES_R) + tmpvar_84);
    lowp vec4 tmpvar_90;
    tmpvar_90 = impl_low_texture2DLodEXT (_Inscatter, tmpvar_89.xy, 0.0);
    highp vec4 tmpvar_91;
    tmpvar_91.zw = vec2(0.0, 0.0);
    tmpvar_91.x = ((tmpvar_83 + tmpvar_81) / RES_NU);
    tmpvar_91.y = ((tmpvar_77 / RES_R) + tmpvar_85);
    lowp vec4 tmpvar_92;
    tmpvar_92 = impl_low_texture2DLodEXT (_Inscatter, tmpvar_91.xy, 0.0);
    highp vec4 tmpvar_93;
    tmpvar_93.zw = vec2(0.0, 0.0);
    tmpvar_93.x = (((tmpvar_83 + tmpvar_81) + 1.0) / RES_NU);
    tmpvar_93.y = ((tmpvar_77 / RES_R) + tmpvar_85);
    lowp vec4 tmpvar_94;
    tmpvar_94 = impl_low_texture2DLodEXT (_Inscatter, tmpvar_93.xy, 0.0);
    tmpvar_66 = (((
      (tmpvar_88 * (1.0 - _lerp_67))
     + 
      (tmpvar_90 * _lerp_67)
    ) * (1.0 - tmpvar_86)) + ((
      (tmpvar_92 * (1.0 - _lerp_67))
     + 
      (tmpvar_94 * _lerp_67)
    ) * tmpvar_86));
    highp float _lerp_95;
    highp float tmpvar_96;
    highp float tmpvar_97;
    tmpvar_97 = (Rg * Rg);
    tmpvar_96 = sqrt(((xlat_mutableRt * xlat_mutableRt) - tmpvar_97));
    highp float tmpvar_98;
    tmpvar_98 = sqrt(((tmpvar_47 * tmpvar_47) - tmpvar_97));
    highp float tmpvar_99;
    tmpvar_99 = (tmpvar_47 * tmpvar_48);
    highp float tmpvar_100;
    tmpvar_100 = (((tmpvar_99 * tmpvar_99) - (tmpvar_47 * tmpvar_47)) + tmpvar_97);
    highp vec4 tmpvar_101;
    if (((tmpvar_99 < 0.0) && (tmpvar_100 > 0.0))) {
      highp vec4 tmpvar_102;
      tmpvar_102.xyz = vec3(1.0, 0.0, 0.0);
      tmpvar_102.w = (0.5 - (0.5 / RES_MU));
      tmpvar_101 = tmpvar_102;
    } else {
      highp vec4 tmpvar_103;
      tmpvar_103.x = -1.0;
      tmpvar_103.y = (tmpvar_96 * tmpvar_96);
      tmpvar_103.z = tmpvar_96;
      tmpvar_103.w = (0.5 + (0.5 / RES_MU));
      tmpvar_101 = tmpvar_103;
    };
    highp float tmpvar_104;
    tmpvar_104 = ((0.5 / RES_R) + ((tmpvar_98 / tmpvar_96) * (1.0 - 
      (1.0/(RES_R))
    )));
    highp float tmpvar_105;
    tmpvar_105 = (tmpvar_101.w + ((
      ((tmpvar_99 * tmpvar_101.x) + sqrt((tmpvar_100 + tmpvar_101.y)))
     / 
      (tmpvar_98 + tmpvar_101.z)
    ) * (0.5 - 
      (1.0/(RES_MU))
    )));
    highp float y_over_x_106;
    y_over_x_106 = (max (tmpvar_49, -0.1975) * 5.349625);
    highp float tmpvar_107;
    tmpvar_107 = (min (abs(y_over_x_106), 1.0) / max (abs(y_over_x_106), 1.0));
    highp float tmpvar_108;
    tmpvar_108 = (tmpvar_107 * tmpvar_107);
    tmpvar_108 = (((
      ((((
        ((((-0.01213232 * tmpvar_108) + 0.05368138) * tmpvar_108) - 0.1173503)
       * tmpvar_108) + 0.1938925) * tmpvar_108) - 0.3326756)
     * tmpvar_108) + 0.9999793) * tmpvar_107);
    tmpvar_108 = (tmpvar_108 + (float(
      (abs(y_over_x_106) > 1.0)
    ) * (
      (tmpvar_108 * -2.0)
     + 1.570796)));
    highp float tmpvar_109;
    tmpvar_109 = ((0.5 / RES_MU_S) + ((
      (((tmpvar_108 * sign(y_over_x_106)) / 1.1) + 0.74)
     * 0.5) * (1.0 - 
      (1.0/(RES_MU_S))
    )));
    highp float tmpvar_110;
    tmpvar_110 = (((tmpvar_44 + 1.0) / 2.0) * (RES_NU - 1.0));
    highp float tmpvar_111;
    tmpvar_111 = floor(tmpvar_110);
    _lerp_95 = (tmpvar_110 - tmpvar_111);
    highp float tmpvar_112;
    tmpvar_112 = (floor((
      (tmpvar_104 * RES_R)
     - 1.0)) / RES_R);
    highp float tmpvar_113;
    tmpvar_113 = (floor((tmpvar_104 * RES_R)) / RES_R);
    highp float tmpvar_114;
    tmpvar_114 = fract((tmpvar_104 * RES_R));
    highp vec4 tmpvar_115;
    tmpvar_115.zw = vec2(0.0, 0.0);
    tmpvar_115.x = ((tmpvar_111 + tmpvar_109) / RES_NU);
    tmpvar_115.y = ((tmpvar_105 / RES_R) + tmpvar_112);
    lowp vec4 tmpvar_116;
    tmpvar_116 = impl_low_texture2DLodEXT (_Inscatter, tmpvar_115.xy, 0.0);
    highp vec4 tmpvar_117;
    tmpvar_117.zw = vec2(0.0, 0.0);
    tmpvar_117.x = (((tmpvar_111 + tmpvar_109) + 1.0) / RES_NU);
    tmpvar_117.y = ((tmpvar_105 / RES_R) + tmpvar_112);
    lowp vec4 tmpvar_118;
    tmpvar_118 = impl_low_texture2DLodEXT (_Inscatter, tmpvar_117.xy, 0.0);
    highp vec4 tmpvar_119;
    tmpvar_119.zw = vec2(0.0, 0.0);
    tmpvar_119.x = ((tmpvar_111 + tmpvar_109) / RES_NU);
    tmpvar_119.y = ((tmpvar_105 / RES_R) + tmpvar_113);
    lowp vec4 tmpvar_120;
    tmpvar_120 = impl_low_texture2DLodEXT (_Inscatter, tmpvar_119.xy, 0.0);
    highp vec4 tmpvar_121;
    tmpvar_121.zw = vec2(0.0, 0.0);
    tmpvar_121.x = (((tmpvar_111 + tmpvar_109) + 1.0) / RES_NU);
    tmpvar_121.y = ((tmpvar_105 / RES_R) + tmpvar_113);
    lowp vec4 tmpvar_122;
    tmpvar_122 = impl_low_texture2DLodEXT (_Inscatter, tmpvar_121.xy, 0.0);
    highp vec4 tmpvar_123;
    tmpvar_123 = max ((tmpvar_66 - (
      ((((tmpvar_116 * 
        (1.0 - _lerp_95)
      ) + (tmpvar_118 * _lerp_95)) * (1.0 - tmpvar_114)) + (((tmpvar_120 * 
        (1.0 - _lerp_95)
      ) + (tmpvar_122 * _lerp_95)) * tmpvar_114))
     * tmpvar_65.xyzx)), vec4(0.0, 0.0, 0.0, 0.0));
    inScatter_29.xyz = tmpvar_123.xyz;
    highp float tmpvar_124;
    tmpvar_124 = clamp ((tmpvar_45 / 0.02), 0.0, 1.0);
    inScatter_29.w = (tmpvar_123.w * (tmpvar_124 * (tmpvar_124 * 
      (3.0 - (2.0 * tmpvar_124))
    )));
    highp float tmpvar_125;
    tmpvar_125 = (mieG * mieG);
    result_35 = ((tmpvar_123.xyz * (
      (3.0 / (16.0 * M_PI))
     * 
      (1.0 + (tmpvar_44 * tmpvar_44))
    )) + ((
      ((tmpvar_123.xyz * inScatter_29.w) / max (tmpvar_123.x, 0.0001))
     * 
      (betaR.x / betaR)
    ) * (
      ((((1.5 / 
        (4.0 * M_PI)
      ) * (1.0 - tmpvar_125)) * pow ((
        (1.0 + tmpvar_125)
       - 
        ((2.0 * mieG) * tmpvar_44)
      ), -1.5)) * (1.0 + (tmpvar_44 * tmpvar_44)))
     / 
      (2.0 + tmpvar_125)
    )));
    tmpvar_26 = (result_35 * SUN_INTENSITY);
    highp float tmpvar_126;
    highp vec3 x_127;
    x_127 = (tmpvar_25 - _camPos);
    tmpvar_126 = sqrt(dot (x_127, x_127));
    highp float tmpvar_128;
    if ((tmpvar_126 <= _global_depth)) {
      tmpvar_128 = (1.0 - exp(-(
        ((4.0 * tmpvar_126) / _global_depth)
      )));
    } else {
      tmpvar_128 = 1.0;
    };
    highp vec3 L_129;
    L_129 = (tmpvar_26 * _Exposure);
    highp float tmpvar_130;
    if ((L_129.x < 1.413)) {
      tmpvar_130 = pow ((L_129.x * 0.38317), 0.4545454);
    } else {
      tmpvar_130 = (1.0 - exp(-(L_129.x)));
    };
    L_129.x = tmpvar_130;
    highp float tmpvar_131;
    if ((L_129.y < 1.413)) {
      tmpvar_131 = pow ((L_129.y * 0.38317), 0.4545454);
    } else {
      tmpvar_131 = (1.0 - exp(-(L_129.y)));
    };
    L_129.y = tmpvar_131;
    highp float tmpvar_132;
    if ((L_129.z < 1.413)) {
      tmpvar_132 = pow ((L_129.z * 0.38317), 0.4545454);
    } else {
      tmpvar_132 = (1.0 - exp(-(L_129.z)));
    };
    L_129.z = tmpvar_132;
    highp vec4 tmpvar_133;
    tmpvar_133.w = 1.0;
    tmpvar_133.xyz = ((L_129 * _global_alpha) * tmpvar_128);
    tmpvar_1 = tmpvar_133;
  };
  gl_FragData[0] = tmpvar_1;
}


#endif
"
}
SubProgram "gles3 " {
Keywords { "GODRAYS_ON" }
"!!GLES3
#ifdef VERTEX
#version 300 es
precision highp float;
precision highp int;
uniform 	vec4 _Time;
uniform 	vec4 _SinTime;
uniform 	vec4 _CosTime;
uniform 	vec4 unity_DeltaTime;
uniform 	vec3 _WorldSpaceCameraPos;
uniform 	vec4 _ProjectionParams;
uniform 	vec4 _ScreenParams;
uniform 	vec4 _ZBufferParams;
uniform 	vec4 unity_OrthoParams;
uniform 	vec4 unity_CameraWorldClipPlanes[6];
uniform 	mat4 unity_CameraProjection;
uniform 	mat4 unity_CameraInvProjection;
uniform 	vec4 _WorldSpaceLightPos0;
uniform 	vec4 _LightPositionRange;
uniform 	vec4 unity_4LightPosX0;
uniform 	vec4 unity_4LightPosY0;
uniform 	vec4 unity_4LightPosZ0;
uniform 	mediump vec4 unity_4LightAtten0;
uniform 	mediump vec4 unity_LightColor[8];
uniform 	vec4 unity_LightPosition[8];
uniform 	mediump vec4 unity_LightAtten[8];
uniform 	vec4 unity_SpotDirection[8];
uniform 	mediump vec4 unity_SHAr;
uniform 	mediump vec4 unity_SHAg;
uniform 	mediump vec4 unity_SHAb;
uniform 	mediump vec4 unity_SHBr;
uniform 	mediump vec4 unity_SHBg;
uniform 	mediump vec4 unity_SHBb;
uniform 	mediump vec4 unity_SHC;
uniform 	mediump vec3 unity_LightColor0;
uniform 	mediump vec3 unity_LightColor1;
uniform 	mediump vec3 unity_LightColor2;
uniform 	mediump vec3 unity_LightColor3;
uniform 	vec4 unity_ShadowSplitSpheres[4];
uniform 	vec4 unity_ShadowSplitSqRadii;
uniform 	vec4 unity_LightShadowBias;
uniform 	vec4 _LightSplitsNear;
uniform 	vec4 _LightSplitsFar;
uniform 	mat4 unity_World2Shadow[4];
uniform 	mediump vec4 _LightShadowData;
uniform 	vec4 unity_ShadowFadeCenterAndType;
uniform 	mat4 glstate_matrix_mvp;
uniform 	mat4 glstate_matrix_modelview0;
uniform 	mat4 glstate_matrix_invtrans_modelview0;
uniform 	mat4 _Object2World;
uniform 	mat4 _World2Object;
uniform 	vec4 unity_LODFade;
uniform 	vec4 unity_WorldTransformParams;
uniform 	mat4 glstate_matrix_transpose_modelview0;
uniform 	mat4 glstate_matrix_projection;
uniform 	lowp vec4 glstate_lightmodel_ambient;
uniform 	mat4 unity_MatrixV;
uniform 	mat4 unity_MatrixVP;
uniform 	lowp vec4 unity_AmbientSky;
uniform 	lowp vec4 unity_AmbientEquator;
uniform 	lowp vec4 unity_AmbientGround;
uniform 	lowp vec4 unity_FogColor;
uniform 	vec4 unity_FogParams;
uniform 	vec4 unity_LightmapST;
uniform 	vec4 unity_DynamicLightmapST;
uniform 	vec4 unity_SpecCube0_BoxMax;
uniform 	vec4 unity_SpecCube0_BoxMin;
uniform 	vec4 unity_SpecCube0_ProbePosition;
uniform 	mediump vec4 unity_SpecCube0_HDR;
uniform 	vec4 unity_SpecCube1_BoxMax;
uniform 	vec4 unity_SpecCube1_BoxMin;
uniform 	vec4 unity_SpecCube1_ProbePosition;
uniform 	mediump vec4 unity_SpecCube1_HDR;
uniform 	lowp vec4 unity_ColorSpaceGrey;
uniform 	lowp vec4 unity_ColorSpaceDouble;
uniform 	mediump vec4 unity_ColorSpaceDielectricSpec;
uniform 	mediump vec4 unity_ColorSpaceLuminance;
uniform 	mediump vec4 unity_Lightmap_HDR;
uniform 	mediump vec4 unity_DynamicLightmap_HDR;
uniform 	float TRANSMITTANCE_W;
uniform 	float TRANSMITTANCE_H;
uniform 	float SKY_W;
uniform 	float SKY_H;
uniform 	float M_PI;
uniform 	vec3 EARTH_POS;
uniform 	float SCALE;
uniform 	float HR;
uniform 	vec3 betaR;
uniform 	float HM;
uniform 	vec3 betaMSca;
uniform 	vec3 betaMEx;
uniform 	float mieG;
uniform 	float _Exposure;
uniform 	float Rg;
uniform 	float Rt;
uniform 	float RL;
uniform 	float RES_R;
uniform 	float RES_MU;
uniform 	float RES_MU_S;
uniform 	float RES_NU;
uniform 	vec3 SUN_DIR;
uniform 	float SUN_INTENSITY;
uniform 	float _experimentalAtmoScale;
uniform 	mat4 _ViewProjInv;
uniform 	float _viewdirOffset;
uniform 	float _Scale;
uniform 	float _global_alpha;
uniform 	float _global_depth;
uniform 	float _Ocean_Sigma;
uniform 	float fakeOcean;
uniform 	float _fade;
uniform 	vec3 _Ocean_Color;
uniform 	vec3 _camPos;
uniform 	vec4 _MainTex_TexelSize;
uniform 	float _openglThreshold;
uniform 	float _horizonDepth;
uniform 	mat4 _Globals_CameraToWorld;
in highp vec4 in_POSITION0;
out highp vec4 vs_TEXCOORD0;
out highp vec2 vs_TEXCOORD1;
highp  vec4 phase0_Output0_2;
out highp vec2 vs_TEXCOORD2;
highp vec4 t0;
highp vec4 t1;
highp float t4;
void main()
{
    t0 = in_POSITION0.yyyy * glstate_matrix_mvp[1];
    t0 = glstate_matrix_mvp[0] * in_POSITION0.xxxx + t0;
    t0 = glstate_matrix_mvp[2] * in_POSITION0.zzzz + t0;
    t0 = glstate_matrix_mvp[3] * in_POSITION0.wwww + t0;
    gl_Position = t0;
    t4 = in_POSITION0.y * glstate_matrix_modelview0[1].z;
    t4 = glstate_matrix_modelview0[0].z * in_POSITION0.x + t4;
    t4 = glstate_matrix_modelview0[2].z * in_POSITION0.z + t4;
    t4 = glstate_matrix_modelview0[3].z * in_POSITION0.w + t4;
    vs_TEXCOORD0.z = (-t4);
    t0.y = t0.y * _ProjectionParams.x;
    t1.xzw = t0.xwy * vec3(0.5, 0.5, 0.5);
    t0.xy = t1.zz + t1.xw;
    phase0_Output0_2 = t0.xyxy / t0.wwww;
    vs_TEXCOORD0.xyw = t0.xyw;
vs_TEXCOORD1 = phase0_Output0_2.xy;
vs_TEXCOORD2 = phase0_Output0_2.zw;
    return;
}

#endif
#ifdef FRAGMENT
#version 300 es
precision highp float;
precision highp int;
uniform 	vec4 _Time;
uniform 	vec4 _SinTime;
uniform 	vec4 _CosTime;
uniform 	vec4 unity_DeltaTime;
uniform 	vec3 _WorldSpaceCameraPos;
uniform 	vec4 _ProjectionParams;
uniform 	vec4 _ScreenParams;
uniform 	vec4 _ZBufferParams;
uniform 	vec4 unity_OrthoParams;
uniform 	vec4 unity_CameraWorldClipPlanes[6];
uniform 	mat4 unity_CameraProjection;
uniform 	mat4 unity_CameraInvProjection;
uniform 	vec4 _WorldSpaceLightPos0;
uniform 	vec4 _LightPositionRange;
uniform 	vec4 unity_4LightPosX0;
uniform 	vec4 unity_4LightPosY0;
uniform 	vec4 unity_4LightPosZ0;
uniform 	mediump vec4 unity_4LightAtten0;
uniform 	mediump vec4 unity_LightColor[8];
uniform 	vec4 unity_LightPosition[8];
uniform 	mediump vec4 unity_LightAtten[8];
uniform 	vec4 unity_SpotDirection[8];
uniform 	mediump vec4 unity_SHAr;
uniform 	mediump vec4 unity_SHAg;
uniform 	mediump vec4 unity_SHAb;
uniform 	mediump vec4 unity_SHBr;
uniform 	mediump vec4 unity_SHBg;
uniform 	mediump vec4 unity_SHBb;
uniform 	mediump vec4 unity_SHC;
uniform 	mediump vec3 unity_LightColor0;
uniform 	mediump vec3 unity_LightColor1;
uniform 	mediump vec3 unity_LightColor2;
uniform 	mediump vec3 unity_LightColor3;
uniform 	vec4 unity_ShadowSplitSpheres[4];
uniform 	vec4 unity_ShadowSplitSqRadii;
uniform 	vec4 unity_LightShadowBias;
uniform 	vec4 _LightSplitsNear;
uniform 	vec4 _LightSplitsFar;
uniform 	mat4 unity_World2Shadow[4];
uniform 	mediump vec4 _LightShadowData;
uniform 	vec4 unity_ShadowFadeCenterAndType;
uniform 	mat4 glstate_matrix_mvp;
uniform 	mat4 glstate_matrix_modelview0;
uniform 	mat4 glstate_matrix_invtrans_modelview0;
uniform 	mat4 _Object2World;
uniform 	mat4 _World2Object;
uniform 	vec4 unity_LODFade;
uniform 	vec4 unity_WorldTransformParams;
uniform 	mat4 glstate_matrix_transpose_modelview0;
uniform 	mat4 glstate_matrix_projection;
uniform 	lowp vec4 glstate_lightmodel_ambient;
uniform 	mat4 unity_MatrixV;
uniform 	mat4 unity_MatrixVP;
uniform 	lowp vec4 unity_AmbientSky;
uniform 	lowp vec4 unity_AmbientEquator;
uniform 	lowp vec4 unity_AmbientGround;
uniform 	lowp vec4 unity_FogColor;
uniform 	vec4 unity_FogParams;
uniform 	vec4 unity_LightmapST;
uniform 	vec4 unity_DynamicLightmapST;
uniform 	vec4 unity_SpecCube0_BoxMax;
uniform 	vec4 unity_SpecCube0_BoxMin;
uniform 	vec4 unity_SpecCube0_ProbePosition;
uniform 	mediump vec4 unity_SpecCube0_HDR;
uniform 	vec4 unity_SpecCube1_BoxMax;
uniform 	vec4 unity_SpecCube1_BoxMin;
uniform 	vec4 unity_SpecCube1_ProbePosition;
uniform 	mediump vec4 unity_SpecCube1_HDR;
uniform 	lowp vec4 unity_ColorSpaceGrey;
uniform 	lowp vec4 unity_ColorSpaceDouble;
uniform 	mediump vec4 unity_ColorSpaceDielectricSpec;
uniform 	mediump vec4 unity_ColorSpaceLuminance;
uniform 	mediump vec4 unity_Lightmap_HDR;
uniform 	mediump vec4 unity_DynamicLightmap_HDR;
uniform 	float TRANSMITTANCE_W;
uniform 	float TRANSMITTANCE_H;
uniform 	float SKY_W;
uniform 	float SKY_H;
uniform 	float M_PI;
uniform 	vec3 EARTH_POS;
uniform 	float SCALE;
uniform 	float HR;
uniform 	vec3 betaR;
uniform 	float HM;
uniform 	vec3 betaMSca;
uniform 	vec3 betaMEx;
uniform 	float mieG;
uniform 	float _Exposure;
uniform 	float Rg;
uniform 	float Rt;
uniform 	float RL;
uniform 	float RES_R;
uniform 	float RES_MU;
uniform 	float RES_MU_S;
uniform 	float RES_NU;
uniform 	vec3 SUN_DIR;
uniform 	float SUN_INTENSITY;
uniform 	float _experimentalAtmoScale;
uniform 	mat4 _ViewProjInv;
uniform 	float _viewdirOffset;
uniform 	float _Scale;
uniform 	float _global_alpha;
uniform 	float _global_depth;
uniform 	float _Ocean_Sigma;
uniform 	float fakeOcean;
uniform 	float _fade;
uniform 	vec3 _Ocean_Color;
uniform 	vec3 _camPos;
uniform 	vec4 _MainTex_TexelSize;
uniform 	float _openglThreshold;
uniform 	float _horizonDepth;
uniform 	mat4 _Globals_CameraToWorld;
uniform lowp sampler2D _customDepthTexture;
uniform lowp sampler2D _godrayDepthTexture;
uniform lowp sampler2D _Inscatter;
in highp vec2 vs_TEXCOORD2;
layout(location = 0) out mediump vec4 SV_Target0;
highp vec4 t0;
lowp float t10_0;
highp vec4 t1;
bvec3 tb1;
highp vec4 t2;
highp ivec2 ti2;
bool tb2;
highp vec3 t3;
highp int ti3;
bool tb3;
highp vec4 t4;
lowp vec4 t10_4;
highp ivec3 ti4;
highp vec4 t5;
lowp vec4 t10_5;
highp vec4 t6;
lowp vec4 t10_6;
highp vec4 t7;
highp vec4 t8;
lowp vec4 t10_8;
highp vec4 t9;
lowp vec4 t10_9;
highp vec4 t10;
lowp vec4 t10_10;
highp float t11;
highp int ti11;
bool tb11;
highp vec3 t12;
highp vec3 t13;
highp int ti13;
bool tb13;
highp vec3 t14;
highp ivec2 ti14;
highp float t17;
bool tb17;
highp vec2 t22;
highp int ti22;
bool tb22;
highp vec2 t23;
highp int ti23;
bool tb23;
highp float t24;
bool tb24;
highp vec2 t25;
highp ivec2 ti25;
highp float t33;
mediump float t16_33;
lowp float t10_33;
bool tb33;
highp float t34;
bool tb34;
highp float t35;
highp float t36;
void main()
{
    t10_0 = texture(_customDepthTexture, vs_TEXCOORD2.xy).x;
    tb11 = t10_0==1.0;
    t22.xy = vs_TEXCOORD2.xy * vec2(2.0, 2.0) + vec2(-1.0, -1.0);
    t1 = t22.yyyy * _ViewProjInv[1];
    t1 = _ViewProjInv[0] * t22.xxxx + t1;
    t2 = _ViewProjInv[2] * vec4(t10_0) + t1;
    t2 = t2 + _ViewProjInv[3];
    t2.xyz = t2.xyz / t2.www;
    t2.xyz = t2.xyz + (-_camPos.xyzx.xyz);
    t22.x = dot(t2.xyz, t2.xyz);
    t22.x = inversesqrt(t22.x);
    t2.xyz = t22.xxx * t2.xyz;
    t3.xyz = SUN_DIR.xyzx.yzx * _camPos.xyzx.zxy;
    t3.xyz = _camPos.xyzx.yzx * SUN_DIR.xyzx.zxy + (-t3.xyz);
    t22.x = dot(t3.xyz, t3.xyz);
    t22.x = inversesqrt(t22.x);
    t3.xyz = t22.xxx * t3.xyz;
    t22.x = dot(t3.xyz, t2.xyz);
    t22.x = -abs(t22.x) + 1.0;
    t10_33 = texture(_godrayDepthTexture, vs_TEXCOORD2.xy).x;
    tb2 = 0.0<t10_33;
    tb13 = t10_33<t10_0;
    ti2.x = int(uint(tb13) * 0xffffffffu & uint(tb2) * 0xffffffffu);
    tb13 = t10_0<1.0;
    ti2.x = tb13 ? ti2.x : int(0);
    t16_33 = (-t10_0) + t10_33;
    t22.x = t22.x * t16_33 + t10_0;
    t0.x = (ti2.x != 0) ? t22.x : t10_0;
    t1 = _ViewProjInv[2] * t0.xxxx + t1;
    t1 = t1 + _ViewProjInv[3];
    t0.xzw = t1.xyz / t1.www;
    t1.xyz = t0.xzw + (-_camPos.xyzx.xyz);
    t34 = dot(t1.xyz, t1.xyz);
    t2.x = dot(t1.xyz, _camPos.xyzx.xyz);
    t13.x = t2.x + t2.x;
    t24 = dot(_camPos.xyzx.xyz, _camPos.xyzx.xyz);
    t35 = Rg * Rg;
    t3.x = (-Rg) * Rg + t24;
    t3.x = t34 * t3.x;
    t3.x = t3.x * 4.0;
    t13.x = t13.x * t13.x + (-t3.x);
    tb3 = t13.x>=0.0;
    t13.x = sqrt(t13.x);
    t2.x = (-t2.x) * 2.0 + (-t13.x);
    t13.x = t34 + t34;
    t2.x = t2.x / t13.x;
    t2.x = (tb3) ? t2.x : -1.0;
    ti13 = int((0.0<t2.x) ? 0xFFFFFFFFu : uint(0u));
    ti3 = ~ti13;
    ti11 = tb11 ? ti3 : int(0);
    if((uint(ti11))!=uint(0u)){
        SV_Target0 = vec4(0.0, 0.0, 0.0, 0.0);
        return;
    //ENDIF
    }
    t3.xyz = t1.xyz * t2.xxx;
    t1.xyz = t2.xxx * t1.xyz + _camPos.xyzx.xyz;
    t11 = dot(t3.xyz, t3.xyz);
    t11 = sqrt(t11);
    t34 = sqrt(t34);
    tb11 = t11<t34;
    ti11 = tb11 ? ti13 : int(0);
    t0.xyz = (int(ti11) != 0) ? t1.xyz : t0.xzw;
    t33 = dot(t0.xyz, t0.xyz);
    t1.x = sqrt(t33);
    t12.x = Rg + _openglThreshold;
    tb1.x = t1.x<t12.x;
    t33 = inversesqrt(t33);
    t3.xyz = vec3(t33) * t0.xyz;
    t12.xyz = t12.xxx * t3.xyz;
    t0.xyz = (tb1.x) ? t12.xyz : t0.xyz;
    t1.xyz = t0.xyz + (-_camPos.xyzx.xyz);
    t34 = dot(t1.xyz, t1.xyz);
    t3.x = sqrt(t34);
    t1.xyz = t1.xyz / t3.xxx;
    t34 = (-Rg) + Rt;
    t4.y = t34 * _experimentalAtmoScale + Rg;
    t34 = dot(t1.xyz, t1.xyz);
    t34 = inversesqrt(t34);
    t1.xyz = vec3(t34) * t1.xyz;
    t2.z = sqrt(t24);
    t34 = Rg * 0.899999976;
    tb34 = t2.z<t34;
    t5.y = Rg + _camPos.xyzx.y;
    t6.y = t0.y + Rg;
    t5.xz = _camPos.xyzx.xz;
    t36 = dot(t5.xyz, t5.xyz);
    t6.z = sqrt(t36);
    t6.x = t5.y;
    t2.x = _camPos.xyzx.y;
    t2.y = t0.y;
    t2.xyz = (bool(tb34)) ? t6.xyz : t2.xyz;
    t5.xz = _camPos.xyzx.xz;
    t5.y = t2.x;
    t11 = dot(t5.xyz, t1.xyz);
    t3.z = t11 / t2.z;
    t34 = min(t3.x, 1.0);
    t0.w = t2.y;
    t6.xyz = (-t1.xyz) * vec3(t34) + t0.xwz;
    t0.x = t2.z * t2.z;
    t0.x = t11 * t11 + (-t0.x);
    t0.x = t4.y * t4.y + t0.x;
    tb22 = t0.x>=0.0;
    t0.x = sqrt(t0.x);
    t0.x = (tb22) ? (-t0.x) : -9.99999997e-007;
    t0.x = t0.x + (-t11);
    t0.x = max(t0.x, 0.0);
    tb22 = 0.0<t0.x;
    tb33 = t0.x<t3.x;
    ti22 = int(uint(tb33) * 0xffffffffu & uint(tb22) * 0xffffffffu);
    t7.xyz = t0.xxx * t1.xyz + t5.xyz;
    t11 = t0.x + t11;
    t4.z = t11 / t4.y;
    t4.x = (-t0.x) + t3.x;
    t0.xyw = (int(ti22) != 0) ? t7.xyz : t5.xyz;
    t3.y = t2.z;
    t5.xyz = (int(ti22) != 0) ? t4.xyz : t3.xyz;
    t22.x = dot(t1.xyz, SUN_DIR.xyzx.xyz);
    t0.x = dot(t0.xyw, SUN_DIR.xyzx.xyz);
    t0.y = Rg + 1600.0;
    tb33 = t5.y<t0.y;
    t0.xy = t0.xy / t5.yy;
    t7.xyz = t0.yyy * t6.xyz;
    t7.w = Rg + 1600.0;
    t6.w = t5.y;
    t6 = (bool(tb33)) ? t7 : t6;
    t11 = dot(t6.xyz, t6.xyz);
    t33 = sqrt(t11);
    t1.x = dot(t6.xyz, t1.xyz);
    t12.x = dot(t6.xyz, SUN_DIR.xyzx.xyz);
    t33 = t12.x / t33;
    t12.x = HR * _experimentalAtmoScale;
    t23.x = 0.5 / t12.x;
    t23.x = t6.w * t23.x;
    t23.x = sqrt(t23.x);
    t34 = t5.x / t6.w;
    t5.w = t34 + t5.z;
    t23.xy = vec2(t23.x * t5.z, t23.x * t5.w);
    ti2.xy = ivec2(uvec2(lessThan(vec4(0.0, 0.0, 0.0, 0.0), t23.xyxx).xy) * 0xFFFFFFFFu);
    ti14.xy = ivec2(uvec2(lessThan(t23.xyxx, vec4(0.0, 0.0, 0.0, 0.0)).xy) * 0xFFFFFFFFu);
    ti2.xy = (-ti2.xy) + ti14.xy;
    t2.xy = vec2(ti2.xy);
    t14.xyz = t23.xxy * t23.xxy;
    tb24 = t2.x<t2.y;
    t14.x = t14.x * 1.44269502;
    t14.x = exp2(t14.x);
    t24 = tb24 ? t14.x : float(0.0);
    t14.xy = t14.yz * vec2(1.51999998, 1.51999998) + vec2(4.0, 4.0);
    t14.xy = sqrt(t14.xy);
    t23.xy = abs(t23.xy) * vec2(2.31929994, 2.31929994) + t14.xy;
    t23.xy = t2.xy / t23.xy;
    t2.x = (-t5.x) / t12.x;
    t13.x = t6.w + t6.w;
    t13.x = t5.x / t13.x;
    t13.x = t5.z + t13.x;
    t2.x = t13.x * t2.x;
    t2.x = t2.x * 1.44269502;
    t7.y = exp2(t2.x);
    t7.xz = vec2(1.0, 1.0);
    t23.xy = t23.xy * t7.xy;
    t2.x = t12.x * t6.w;
    t2.x = t2.x * 6.28310013;
    t2.x = sqrt(t2.x);
    t14.x = (-t6.w) + Rg;
    t12.x = t14.x / t12.x;
    t12.x = t12.x * 1.44269502;
    t12.x = exp2(t12.x);
    t12.x = t12.x * t2.x;
    t23.x = dot(t23.xy, vec2(1.0, -1.0));
    t23.x = t23.x + t24;
    t12.x = t23.x * t12.x;
    t23.x = HM * _experimentalAtmoScale;
    t34 = 0.5 / t23.x;
    t34 = t6.w * t34;
    t34 = sqrt(t34);
    t2.xz = vec2(t5.z * float(t34), t5.w * float(t34));
    ti25.xy = ivec2(uvec2(lessThan(vec4(0.0, 0.0, 0.0, 0.0), t2.xzxz).xy) * 0xFFFFFFFFu);
    ti4.xz = ivec2(uvec2(lessThan(t2.xxzx, vec4(0.0, 0.0, 0.0, 0.0)).xz) * 0xFFFFFFFFu);
    ti25.xy = (-ti25.xy) + ti4.xz;
    t25.xy = vec2(ti25.xy);
    t4.xzw = t2.xxz * t2.xxz;
    tb34 = t25.x<t25.y;
    t4.x = t4.x * 1.44269502;
    t4.x = exp2(t4.x);
    t34 = tb34 ? t4.x : float(0.0);
    t4.xz = t4.zw * vec2(1.51999998, 1.51999998) + vec2(4.0, 4.0);
    t4.xz = sqrt(t4.xz);
    t2.xz = abs(t2.xz) * vec2(2.31929994, 2.31929994) + t4.xz;
    t2.xz = t25.xy / t2.xz;
    t25.x = (-t5.x) / t23.x;
    t13.x = t13.x * t25.x;
    t13.x = t13.x * 1.44269502;
    t7.w = exp2(t13.x);
    t2.xy = vec2(t2.x * t7.z, t2.z * t7.w);
    t24 = t23.x * t6.w;
    t24 = t24 * 6.28310013;
    t24 = sqrt(t24);
    t23.x = t14.x / t23.x;
    t23.x = t23.x * 1.44269502;
    t23.x = exp2(t23.x);
    t23.x = t23.x * t24;
    t2.x = dot(t2.xy, vec2(1.0, -1.0));
    t34 = t34 + t2.x;
    t23.x = t34 * t23.x;
    t7 = t23.xxxx * betaMEx.xyzx.xyzx;
    t7 = (-betaR.xyzx.xyzx) * t12.xxxx + (-t7);
    t7 = t7 * vec4(1.44269502, 1.44269502, 1.44269502, 1.44269502);
    t7 = exp2(t7);
    t7 = min(t7, vec4(1.0, 1.0, 1.0, 1.0));
    t12.x = t4.y * t4.y + (-t35);
    t4.z = sqrt(t12.x);
    t12.x = t6.w * t6.w;
    t23.x = t6.w * t6.w + (-t35);
    t12.y = sqrt(t23.x);
    t34 = t5.z * t6.w;
    t12.x = t34 * t34 + (-t12.x);
    t12.x = Rg * Rg + t12.x;
    tb2 = t34<0.0;
    tb13 = 0.0<t12.x;
    ti2.x = int(uint(tb13) * 0xffffffffu & uint(tb2) * 0xffffffffu);
    t13.xyz = vec3(0.5, 0.5, 0.5) / vec3(RES_MU, RES_R, RES_MU_S);
    t5.w = (-t13.x) + 0.5;
    t4.y = t4.z * t4.z;
    t4.w = t13.x + 0.5;
    t5.xyz = vec3(1.0, 0.0, 0.0);
    t4.x = -1.0;
    t6 = (ti2.x != 0) ? t5.xzzw : t4;
    t2.x = t12.y / t4.z;
    t14.xyz = vec3(1.0, 1.0, 1.0) / vec3(RES_R, RES_MU, RES_MU_S);
    t14.xyz = (-t14.xyz) + vec3(1.0, 0.5, 1.0);
    t2.x = t2.x * t14.x + t13.y;
    t12.xy = vec2(t12.x + t6.y, t12.y + t6.z);
    t12.x = sqrt(t12.x);
    t12.x = t34 * t6.x + t12.x;
    t12.x = t12.x / t12.y;
    t12.x = t12.x * t14.y + t6.w;
    t23.x = max(t0.x, -0.197500005);
    t23.x = t23.x * 5.34962368;
    t34 = min(abs(t23.x), 1.0);
    t13.x = max(abs(t23.x), 1.0);
    t13.x = float(1.0) / t13.x;
    t34 = t34 * t13.x;
    t13.x = t34 * t34;
    t6.x = t13.x * 0.0208350997 + -0.0851330012;
    t6.x = t13.x * t6.x + 0.180141002;
    t6.x = t13.x * t6.x + -0.330299497;
    t13.x = t13.x * t6.x + 0.999866009;
    t6.x = t34 * t13.x;
    tb17 = 1.0<abs(t23.x);
    t6.x = t6.x * -2.0 + 1.57079637;
    t6.x = tb17 ? t6.x : float(0.0);
    t34 = t34 * t13.x + t6.x;
    t23.x = min(t23.x, 1.0);
    tb23 = t23.x<(-t23.x);
    t23.x = (tb23) ? (-t34) : t34;
    t23.x = t23.x * 0.909090877 + 0.74000001;
    t23.x = t23.x * 0.5;
    t23.x = t23.x * t14.z + t13.z;
    t34 = t22.x + 1.0;
    t34 = t34 * 0.5;
    t13.x = RES_NU + -1.0;
    t6.x = t34 * t13.x;
    t6.x = floor(t6.x);
    t34 = t34 * t13.x + (-t6.x);
    t13.x = t2.x * RES_R;
    t2.x = t2.x * RES_R + -1.0;
    t2.x = floor(t2.x);
    t2.x = t2.x / RES_R;
    t17 = floor(t13.x);
    t17 = t17 / RES_R;
    t13.x = fract(t13.x);
    t23.x = t23.x + t6.x;
    t8.y = t23.x / RES_NU;
    t12.x = t12.x / RES_R;
    t8.z = t2.x + t12.x;
    t10_9 = textureLod(_Inscatter, t8.yz, 0.0);
    t2.x = (-t34) + 1.0;
    t23.x = t23.x + 1.0;
    t8.x = t23.x / RES_NU;
    t10_10 = textureLod(_Inscatter, t8.xz, 0.0);
    t10 = vec4(t34) * t10_10;
    t9 = t10_9 * t2.xxxx + t10;
    t8.w = t17 + t12.x;
    t10_10 = textureLod(_Inscatter, t8.yw, 0.0);
    t10_8 = textureLod(_Inscatter, t8.xw, 0.0);
    t8 = vec4(t34) * t10_8;
    t8 = t10_10 * t2.xxxx + t8;
    t12.x = (-t13.x) + 1.0;
    t8 = t13.xxxx * t8;
    t8 = t9 * t12.xxxx + t8;
    t12.x = (-Rg) * Rg + t11;
    t12.x = sqrt(t12.x);
    t11 = t1.x * t1.x + (-t11);
    t11 = Rg * Rg + t11;
    tb23 = t1.x<0.0;
    tb13 = 0.0<t11;
    ti23 = int(uint(tb23) * 0xffffffffu & uint(tb13) * 0xffffffffu);
    t5 = (int(ti23) != 0) ? t5 : t4;
    t23.x = t12.x / t4.z;
    t23.x = t23.x * t14.x + t13.y;
    t11 = t11 + t5.y;
    t11 = sqrt(t11);
    t11 = t1.x * t5.x + t11;
    t1.x = t12.x + t5.z;
    t11 = t11 / t1.x;
    t11 = t11 * t14.y + t5.w;
    t33 = max(t33, -0.197500005);
    t33 = t33 * 5.34962368;
    t1.x = min(abs(t33), 1.0);
    t12.x = max(abs(t33), 1.0);
    t12.x = float(1.0) / t12.x;
    t1.x = t12.x * t1.x;
    t12.x = t1.x * t1.x;
    t13.x = t12.x * 0.0208350997 + -0.0851330012;
    t13.x = t12.x * t13.x + 0.180141002;
    t13.x = t12.x * t13.x + -0.330299497;
    t12.x = t12.x * t13.x + 0.999866009;
    t13.x = t12.x * t1.x;
    tb24 = 1.0<abs(t33);
    t13.x = t13.x * -2.0 + 1.57079637;
    t13.x = tb24 ? t13.x : float(0.0);
    t1.x = t1.x * t12.x + t13.x;
    t33 = min(t33, 1.0);
    tb33 = t33<(-t33);
    t33 = (tb33) ? (-t1.x) : t1.x;
    t33 = t33 * 0.909090877 + 0.74000001;
    t33 = t14.z * t33;
    t33 = t33 * 0.5 + t13.z;
    t1.x = t23.x * RES_R;
    t1.y = t23.x * RES_R + -1.0;
    t12.xy = floor(t1.yx);
    t12.xy = t12.xy / vec2(RES_R);
    t1.x = fract(t1.x);
    t33 = t33 + t6.x;
    t4.y = t33 / RES_NU;
    t11 = t11 / RES_R;
    t4.zw = t12.xy + vec2(t11);
    t10_5 = textureLod(_Inscatter, t4.yz, 0.0);
    t33 = t33 + 1.0;
    t4.x = t33 / RES_NU;
    t10_6 = textureLod(_Inscatter, t4.xz, 0.0);
    t6 = vec4(t34) * t10_6;
    t5 = t10_5 * t2.xxxx + t6;
    t10_6 = textureLod(_Inscatter, t4.yw, 0.0);
    t10_4 = textureLod(_Inscatter, t4.xw, 0.0);
    t4 = vec4(t34) * t10_4;
    t2 = t10_6 * t2.xxxx + t4;
    t11 = (-t1.x) + 1.0;
    t1 = t1.xxxx * t2;
    t1 = t5 * vec4(t11) + t1;
    t1 = (-t1) * t7 + t8;
    t2 = max(t1, vec4(0.0, 0.0, 0.0, 0.0));
    t0.x = t0.x * 50.0;
    t0.x = clamp(t0.x, 0.0, 1.0);
    t11 = t0.x * -2.0 + 3.0;
    t0.x = t0.x * t0.x;
    t0.x = t0.x * t11;
    t0.x = t0.x * t2.w;
    t0.xyw = t0.xxx * t2.xyz;
    t1.x = max(t1.x, 9.99999975e-005);
    t0.xyw = t0.xyw / t1.xxx;
    t1.xyz = betaR.xyzx.xxx / betaR.xyzx.xyz;
    t0.xyw = t0.xyw * t1.xyz;
    t1.xy = vec2(M_PI) * vec2(16.0, 4.0);
    t1.xy = vec2(3.0, 1.5) / t1.xy;
    t23.x = t22.x * t22.x + 1.0;
    t23.y = (-mieG) * mieG + 1.0;
    t1.xy = t23.xy * t1.xy;
    t14.xy = vec2(vec2(mieG, mieG)) * vec2(vec2(mieG, mieG)) + vec2(1.0, 2.0);
    t22.x = dot(t22.xx, vec2(vec2(mieG, mieG)));
    t22.x = (-t22.x) + t14.x;
    t22.x = log2(t22.x);
    t22.x = t22.x * -1.5;
    t22.x = exp2(t22.x);
    t22.x = t22.x * t1.y;
    t22.x = t23.x * t22.x;
    t22.x = t22.x / t14.y;
    t0.xyz = t22.xxx * t0.xyw;
    t0.xyz = t2.xyz * t1.xxx + t0.xyz;
    t0.xyz = t0.xyz * vec3(vec3(SUN_INTENSITY, SUN_INTENSITY, SUN_INTENSITY));
    tb33 = _global_depth>=t3.x;
    t1.x = t3.x * 4.0;
    t1.x = t1.x / _global_depth;
    t1.x = t1.x * -1.44269502;
    t1.x = exp2(t1.x);
    t1.x = (-t1.x) + 1.0;
    t33 = (tb33) ? t1.x : 1.0;
    t0.xyz = t0.xyz * vec3(_Exposure);
    tb1.xyz = lessThan(t0.xyzx, vec4(1.41299999, 1.41299999, 1.41299999, 0.0)).xyz;
    t2 = t0.xxyy * vec4(0.383170009, -1.44269502, 0.383170009, -1.44269502);
    t0.xy = log2(t2.xz);
    t0.xy = t0.xy * vec2(0.454545468, 0.454545468);
    t0.xy = exp2(t0.xy);
    t2.xy = exp2(t2.yw);
    t2.xy = (-t2.xy) + vec2(1.0, 1.0);
    t2.x = (tb1.x) ? t0.x : t2.x;
    t2.y = (tb1.y) ? t0.y : t2.y;
    t0.xy = t0.zz * vec2(0.383170009, -1.44269502);
    t0.x = log2(t0.x);
    t0.x = t0.x * 0.454545468;
    t0.x = exp2(t0.x);
    t11 = exp2(t0.y);
    t11 = (-t11) + 1.0;
    t2.z = (tb1.z) ? t0.x : t11;
    t0.xyz = t2.xyz * vec3(vec3(_global_alpha, _global_alpha, _global_alpha));
    t0.xyz = vec3(t33) * t0.xyz;
    SV_Target0.xyz = t0.xyz;
    SV_Target0.w = 1.0;
    return;
}

#endif
"
}
SubProgram "glcore " {
Keywords { "GODRAYS_ON" }
"!!GL3x
#ifdef VERTEX
#version 150
#extension GL_ARB_shader_bit_encoding : enable
uniform 	vec4 _Time;
uniform 	vec4 _SinTime;
uniform 	vec4 _CosTime;
uniform 	vec4 unity_DeltaTime;
uniform 	vec3 _WorldSpaceCameraPos;
uniform 	vec4 _ProjectionParams;
uniform 	vec4 _ScreenParams;
uniform 	vec4 _ZBufferParams;
uniform 	vec4 unity_OrthoParams;
uniform 	vec4 unity_CameraWorldClipPlanes[6];
uniform 	mat4 unity_CameraProjection;
uniform 	mat4 unity_CameraInvProjection;
uniform 	vec4 _WorldSpaceLightPos0;
uniform 	vec4 _LightPositionRange;
uniform 	vec4 unity_4LightPosX0;
uniform 	vec4 unity_4LightPosY0;
uniform 	vec4 unity_4LightPosZ0;
uniform 	vec4 unity_4LightAtten0;
uniform 	vec4 unity_LightColor[8];
uniform 	vec4 unity_LightPosition[8];
uniform 	vec4 unity_LightAtten[8];
uniform 	vec4 unity_SpotDirection[8];
uniform 	vec4 unity_SHAr;
uniform 	vec4 unity_SHAg;
uniform 	vec4 unity_SHAb;
uniform 	vec4 unity_SHBr;
uniform 	vec4 unity_SHBg;
uniform 	vec4 unity_SHBb;
uniform 	vec4 unity_SHC;
uniform 	vec3 unity_LightColor0;
uniform 	vec3 unity_LightColor1;
uniform 	vec3 unity_LightColor2;
uniform 	vec3 unity_LightColor3;
uniform 	vec4 unity_ShadowSplitSpheres[4];
uniform 	vec4 unity_ShadowSplitSqRadii;
uniform 	vec4 unity_LightShadowBias;
uniform 	vec4 _LightSplitsNear;
uniform 	vec4 _LightSplitsFar;
uniform 	mat4 unity_World2Shadow[4];
uniform 	vec4 _LightShadowData;
uniform 	vec4 unity_ShadowFadeCenterAndType;
uniform 	mat4 glstate_matrix_mvp;
uniform 	mat4 glstate_matrix_modelview0;
uniform 	mat4 glstate_matrix_invtrans_modelview0;
uniform 	mat4 _Object2World;
uniform 	mat4 _World2Object;
uniform 	vec4 unity_LODFade;
uniform 	vec4 unity_WorldTransformParams;
uniform 	mat4 glstate_matrix_transpose_modelview0;
uniform 	mat4 glstate_matrix_projection;
uniform 	vec4 glstate_lightmodel_ambient;
uniform 	mat4 unity_MatrixV;
uniform 	mat4 unity_MatrixVP;
uniform 	vec4 unity_AmbientSky;
uniform 	vec4 unity_AmbientEquator;
uniform 	vec4 unity_AmbientGround;
uniform 	vec4 unity_FogColor;
uniform 	vec4 unity_FogParams;
uniform 	vec4 unity_LightmapST;
uniform 	vec4 unity_DynamicLightmapST;
uniform 	vec4 unity_SpecCube0_BoxMax;
uniform 	vec4 unity_SpecCube0_BoxMin;
uniform 	vec4 unity_SpecCube0_ProbePosition;
uniform 	vec4 unity_SpecCube0_HDR;
uniform 	vec4 unity_SpecCube1_BoxMax;
uniform 	vec4 unity_SpecCube1_BoxMin;
uniform 	vec4 unity_SpecCube1_ProbePosition;
uniform 	vec4 unity_SpecCube1_HDR;
uniform 	vec4 unity_ColorSpaceGrey;
uniform 	vec4 unity_ColorSpaceDouble;
uniform 	vec4 unity_ColorSpaceDielectricSpec;
uniform 	vec4 unity_ColorSpaceLuminance;
uniform 	vec4 unity_Lightmap_HDR;
uniform 	vec4 unity_DynamicLightmap_HDR;
uniform 	float TRANSMITTANCE_W;
uniform 	float TRANSMITTANCE_H;
uniform 	float SKY_W;
uniform 	float SKY_H;
uniform 	float M_PI;
uniform 	vec3 EARTH_POS;
uniform 	float SCALE;
uniform 	float HR;
uniform 	vec3 betaR;
uniform 	float HM;
uniform 	vec3 betaMSca;
uniform 	vec3 betaMEx;
uniform 	float mieG;
uniform 	float _Exposure;
uniform 	float Rg;
uniform 	float Rt;
uniform 	float RL;
uniform 	float RES_R;
uniform 	float RES_MU;
uniform 	float RES_MU_S;
uniform 	float RES_NU;
uniform 	vec3 SUN_DIR;
uniform 	float SUN_INTENSITY;
uniform 	float _experimentalAtmoScale;
uniform 	mat4 _ViewProjInv;
uniform 	float _viewdirOffset;
uniform 	float _Scale;
uniform 	float _global_alpha;
uniform 	float _global_depth;
uniform 	float _Ocean_Sigma;
uniform 	float fakeOcean;
uniform 	float _fade;
uniform 	vec3 _Ocean_Color;
uniform 	vec3 _camPos;
uniform 	vec4 _MainTex_TexelSize;
uniform 	float _openglThreshold;
uniform 	float _horizonDepth;
uniform 	mat4 _Globals_CameraToWorld;
in  vec4 in_POSITION0;
out vec4 vs_TEXCOORD0;
out vec2 vs_TEXCOORD1;
 vec4 phase0_Output0_2;
out vec2 vs_TEXCOORD2;
vec4 t0;
vec4 t1;
float t4;
void main()
{
    t0 = in_POSITION0.yyyy * glstate_matrix_mvp[1];
    t0 = glstate_matrix_mvp[0] * in_POSITION0.xxxx + t0;
    t0 = glstate_matrix_mvp[2] * in_POSITION0.zzzz + t0;
    t0 = glstate_matrix_mvp[3] * in_POSITION0.wwww + t0;
    gl_Position = t0;
    t4 = in_POSITION0.y * glstate_matrix_modelview0[1].z;
    t4 = glstate_matrix_modelview0[0].z * in_POSITION0.x + t4;
    t4 = glstate_matrix_modelview0[2].z * in_POSITION0.z + t4;
    t4 = glstate_matrix_modelview0[3].z * in_POSITION0.w + t4;
    vs_TEXCOORD0.z = (-t4);
    t0.y = t0.y * _ProjectionParams.x;
    t1.xzw = t0.xwy * vec3(0.5, 0.5, 0.5);
    t0.xy = t1.zz + t1.xw;
    phase0_Output0_2 = t0.xyxy / t0.wwww;
    vs_TEXCOORD0.xyw = t0.xyw;
vs_TEXCOORD1 = phase0_Output0_2.xy;
vs_TEXCOORD2 = phase0_Output0_2.zw;
    return;
}

#endif
#ifdef FRAGMENT
#version 150
#extension GL_ARB_shader_bit_encoding : enable
uniform 	vec4 _Time;
uniform 	vec4 _SinTime;
uniform 	vec4 _CosTime;
uniform 	vec4 unity_DeltaTime;
uniform 	vec3 _WorldSpaceCameraPos;
uniform 	vec4 _ProjectionParams;
uniform 	vec4 _ScreenParams;
uniform 	vec4 _ZBufferParams;
uniform 	vec4 unity_OrthoParams;
uniform 	vec4 unity_CameraWorldClipPlanes[6];
uniform 	mat4 unity_CameraProjection;
uniform 	mat4 unity_CameraInvProjection;
uniform 	vec4 _WorldSpaceLightPos0;
uniform 	vec4 _LightPositionRange;
uniform 	vec4 unity_4LightPosX0;
uniform 	vec4 unity_4LightPosY0;
uniform 	vec4 unity_4LightPosZ0;
uniform 	vec4 unity_4LightAtten0;
uniform 	vec4 unity_LightColor[8];
uniform 	vec4 unity_LightPosition[8];
uniform 	vec4 unity_LightAtten[8];
uniform 	vec4 unity_SpotDirection[8];
uniform 	vec4 unity_SHAr;
uniform 	vec4 unity_SHAg;
uniform 	vec4 unity_SHAb;
uniform 	vec4 unity_SHBr;
uniform 	vec4 unity_SHBg;
uniform 	vec4 unity_SHBb;
uniform 	vec4 unity_SHC;
uniform 	vec3 unity_LightColor0;
uniform 	vec3 unity_LightColor1;
uniform 	vec3 unity_LightColor2;
uniform 	vec3 unity_LightColor3;
uniform 	vec4 unity_ShadowSplitSpheres[4];
uniform 	vec4 unity_ShadowSplitSqRadii;
uniform 	vec4 unity_LightShadowBias;
uniform 	vec4 _LightSplitsNear;
uniform 	vec4 _LightSplitsFar;
uniform 	mat4 unity_World2Shadow[4];
uniform 	vec4 _LightShadowData;
uniform 	vec4 unity_ShadowFadeCenterAndType;
uniform 	mat4 glstate_matrix_mvp;
uniform 	mat4 glstate_matrix_modelview0;
uniform 	mat4 glstate_matrix_invtrans_modelview0;
uniform 	mat4 _Object2World;
uniform 	mat4 _World2Object;
uniform 	vec4 unity_LODFade;
uniform 	vec4 unity_WorldTransformParams;
uniform 	mat4 glstate_matrix_transpose_modelview0;
uniform 	mat4 glstate_matrix_projection;
uniform 	vec4 glstate_lightmodel_ambient;
uniform 	mat4 unity_MatrixV;
uniform 	mat4 unity_MatrixVP;
uniform 	vec4 unity_AmbientSky;
uniform 	vec4 unity_AmbientEquator;
uniform 	vec4 unity_AmbientGround;
uniform 	vec4 unity_FogColor;
uniform 	vec4 unity_FogParams;
uniform 	vec4 unity_LightmapST;
uniform 	vec4 unity_DynamicLightmapST;
uniform 	vec4 unity_SpecCube0_BoxMax;
uniform 	vec4 unity_SpecCube0_BoxMin;
uniform 	vec4 unity_SpecCube0_ProbePosition;
uniform 	vec4 unity_SpecCube0_HDR;
uniform 	vec4 unity_SpecCube1_BoxMax;
uniform 	vec4 unity_SpecCube1_BoxMin;
uniform 	vec4 unity_SpecCube1_ProbePosition;
uniform 	vec4 unity_SpecCube1_HDR;
uniform 	vec4 unity_ColorSpaceGrey;
uniform 	vec4 unity_ColorSpaceDouble;
uniform 	vec4 unity_ColorSpaceDielectricSpec;
uniform 	vec4 unity_ColorSpaceLuminance;
uniform 	vec4 unity_Lightmap_HDR;
uniform 	vec4 unity_DynamicLightmap_HDR;
uniform 	float TRANSMITTANCE_W;
uniform 	float TRANSMITTANCE_H;
uniform 	float SKY_W;
uniform 	float SKY_H;
uniform 	float M_PI;
uniform 	vec3 EARTH_POS;
uniform 	float SCALE;
uniform 	float HR;
uniform 	vec3 betaR;
uniform 	float HM;
uniform 	vec3 betaMSca;
uniform 	vec3 betaMEx;
uniform 	float mieG;
uniform 	float _Exposure;
uniform 	float Rg;
uniform 	float Rt;
uniform 	float RL;
uniform 	float RES_R;
uniform 	float RES_MU;
uniform 	float RES_MU_S;
uniform 	float RES_NU;
uniform 	vec3 SUN_DIR;
uniform 	float SUN_INTENSITY;
uniform 	float _experimentalAtmoScale;
uniform 	mat4 _ViewProjInv;
uniform 	float _viewdirOffset;
uniform 	float _Scale;
uniform 	float _global_alpha;
uniform 	float _global_depth;
uniform 	float _Ocean_Sigma;
uniform 	float fakeOcean;
uniform 	float _fade;
uniform 	vec3 _Ocean_Color;
uniform 	vec3 _camPos;
uniform 	vec4 _MainTex_TexelSize;
uniform 	float _openglThreshold;
uniform 	float _horizonDepth;
uniform 	mat4 _Globals_CameraToWorld;
uniform  sampler2D _customDepthTexture;
uniform  sampler2D _godrayDepthTexture;
uniform  sampler2D _Inscatter;
in  vec2 vs_TEXCOORD2;
out vec4 SV_Target0;
vec4 t0;
lowp vec4 t10_0;
vec4 t1;
bvec3 tb1;
vec4 t2;
mediump float t16_2;
lowp vec4 t10_2;
ivec2 ti2;
bool tb2;
vec3 t3;
int ti3;
bool tb3;
vec4 t4;
lowp vec4 t10_4;
ivec3 ti4;
vec4 t5;
lowp vec4 t10_5;
vec4 t6;
lowp vec4 t10_6;
vec4 t7;
vec4 t8;
lowp vec4 t10_8;
vec4 t9;
lowp vec4 t10_9;
vec4 t10;
lowp vec4 t10_10;
float t11;
int ti11;
bool tb11;
vec3 t12;
vec3 t13;
int ti13;
bool tb13;
vec3 t14;
ivec2 ti14;
float t17;
bool tb17;
vec2 t22;
int ti22;
bool tb22;
vec2 t23;
int ti23;
bool tb23;
float t24;
bool tb24;
vec2 t25;
ivec2 ti25;
float t33;
int ti33;
bool tb33;
float t34;
bool tb34;
float t35;
float t36;
void main()
{
    t10_0 = texture(_customDepthTexture, vs_TEXCOORD2.xy);
    tb11 = t10_0.x==1.0;
    t22.xy = vs_TEXCOORD2.xy * vec2(2.0, 2.0) + vec2(-1.0, -1.0);
    t1 = t22.yyyy * _ViewProjInv[1];
    t1 = _ViewProjInv[0] * t22.xxxx + t1;
    t2 = _ViewProjInv[2] * t10_0.xxxx + t1;
    t2 = t2 + _ViewProjInv[3];
    t2.xyz = t2.xyz / t2.www;
    t2.xyz = t2.xyz + (-_camPos.xyzx.xyz);
    t22.x = dot(t2.xyz, t2.xyz);
    t22.x = inversesqrt(t22.x);
    t2.xyz = t22.xxx * t2.xyz;
    t3.xyz = SUN_DIR.xyzx.yzx * _camPos.xyzx.zxy;
    t3.xyz = _camPos.xyzx.yzx * SUN_DIR.xyzx.zxy + (-t3.xyz);
    t22.x = dot(t3.xyz, t3.xyz);
    t22.x = inversesqrt(t22.x);
    t3.xyz = t22.xxx * t3.xyz;
    t22.x = dot(t3.xyz, t2.xyz);
    t22.x = -abs(t22.x) + 1.0;
    t10_2 = texture(_godrayDepthTexture, vs_TEXCOORD2.xy);
    tb33 = 0.0<t10_2.x;
    tb13 = t10_2.x<t10_0.x;
    ti33 = int(uint(tb33) * 0xffffffffu & uint(tb13) * 0xffffffffu);
    tb13 = t10_0.x<1.0;
    ti33 = tb13 ? ti33 : int(0);
    t16_2 = (-t10_0.x) + t10_2.x;
    t22.x = t22.x * t16_2 + t10_0.x;
    t0.x = (ti33 != 0) ? t22.x : t10_0.x;
    t1 = _ViewProjInv[2] * t0.xxxx + t1;
    t1 = t1 + _ViewProjInv[3];
    t0.xzw = t1.xyz / t1.www;
    t1.xyz = t0.xzw + (-_camPos.xyzx.xyz);
    t34 = dot(t1.xyz, t1.xyz);
    t2.x = dot(t1.xyz, _camPos.xyzx.xyz);
    t13.x = t2.x + t2.x;
    t24 = dot(_camPos.xyzx.xyz, _camPos.xyzx.xyz);
    t35 = Rg * Rg;
    t3.x = (-Rg) * Rg + t24;
    t3.x = t34 * t3.x;
    t3.x = t3.x * 4.0;
    t13.x = t13.x * t13.x + (-t3.x);
    tb3 = t13.x>=0.0;
    t13.x = sqrt(t13.x);
    t2.x = (-t2.x) * 2.0 + (-t13.x);
    t13.x = t34 + t34;
    t2.x = t2.x / t13.x;
    t2.x = (tb3) ? t2.x : -1.0;
    ti13 = int((0.0<t2.x) ? 0xFFFFFFFFu : uint(0u));
    ti3 = ~ti13;
    ti11 = tb11 ? ti3 : int(0);
    if((uint(ti11))!=uint(0u)){
        SV_Target0 = vec4(0.0, 0.0, 0.0, 0.0);
        return;
    //ENDIF
    }
    t3.xyz = t1.xyz * t2.xxx;
    t1.xyz = t2.xxx * t1.xyz + _camPos.xyzx.xyz;
    t11 = dot(t3.xyz, t3.xyz);
    t11 = sqrt(t11);
    t34 = sqrt(t34);
    tb11 = t11<t34;
    ti11 = tb11 ? ti13 : int(0);
    t0.xyz = (int(ti11) != 0) ? t1.xyz : t0.xzw;
    t33 = dot(t0.xyz, t0.xyz);
    t1.x = sqrt(t33);
    t12.x = Rg + _openglThreshold;
    tb1.x = t1.x<t12.x;
    t33 = inversesqrt(t33);
    t3.xyz = vec3(t33) * t0.xyz;
    t12.xyz = t12.xxx * t3.xyz;
    t0.xyz = (tb1.x) ? t12.xyz : t0.xyz;
    t1.xyz = t0.xyz + (-_camPos.xyzx.xyz);
    t34 = dot(t1.xyz, t1.xyz);
    t3.x = sqrt(t34);
    t1.xyz = t1.xyz / t3.xxx;
    t34 = (-Rg) + Rt;
    t4.y = t34 * _experimentalAtmoScale + Rg;
    t34 = dot(t1.xyz, t1.xyz);
    t34 = inversesqrt(t34);
    t1.xyz = vec3(t34) * t1.xyz;
    t2.z = sqrt(t24);
    t34 = Rg * 0.899999976;
    tb34 = t2.z<t34;
    t5.y = Rg + _camPos.xyzx.y;
    t6.y = t0.y + Rg;
    t5.xz = _camPos.xyzx.xz;
    t36 = dot(t5.xyz, t5.xyz);
    t6.z = sqrt(t36);
    t6.x = t5.y;
    t2.x = _camPos.xyzx.y;
    t2.y = t0.y;
    t2.xyz = (bool(tb34)) ? t6.xyz : t2.xyz;
    t5.xz = _camPos.xyzx.xz;
    t5.y = t2.x;
    t11 = dot(t5.xyz, t1.xyz);
    t3.z = t11 / t2.z;
    t34 = min(t3.x, 1.0);
    t0.w = t2.y;
    t6.xyz = (-t1.xyz) * vec3(t34) + t0.xwz;
    t0.x = t2.z * t2.z;
    t0.x = t11 * t11 + (-t0.x);
    t0.x = t4.y * t4.y + t0.x;
    tb22 = t0.x>=0.0;
    t0.x = sqrt(t0.x);
    t0.x = (tb22) ? (-t0.x) : -9.99999997e-007;
    t0.x = t0.x + (-t11);
    t0.x = max(t0.x, 0.0);
    tb22 = 0.0<t0.x;
    tb33 = t0.x<t3.x;
    ti22 = int(uint(tb33) * 0xffffffffu & uint(tb22) * 0xffffffffu);
    t7.xyz = t0.xxx * t1.xyz + t5.xyz;
    t11 = t0.x + t11;
    t4.z = t11 / t4.y;
    t4.x = (-t0.x) + t3.x;
    t0.xyw = (int(ti22) != 0) ? t7.xyz : t5.xyz;
    t3.y = t2.z;
    t5.xyz = (int(ti22) != 0) ? t4.xyz : t3.xyz;
    t22.x = dot(t1.xyz, SUN_DIR.xyzx.xyz);
    t0.x = dot(t0.xyw, SUN_DIR.xyzx.xyz);
    t0.y = Rg + 1600.0;
    tb33 = t5.y<t0.y;
    t0.xy = t0.xy / t5.yy;
    t7.xyz = t0.yyy * t6.xyz;
    t7.w = Rg + 1600.0;
    t6.w = t5.y;
    t6 = (bool(tb33)) ? t7 : t6;
    t11 = dot(t6.xyz, t6.xyz);
    t33 = sqrt(t11);
    t1.x = dot(t6.xyz, t1.xyz);
    t12.x = dot(t6.xyz, SUN_DIR.xyzx.xyz);
    t33 = t12.x / t33;
    t12.x = HR * _experimentalAtmoScale;
    t23.x = 0.5 / t12.x;
    t23.x = t6.w * t23.x;
    t23.x = sqrt(t23.x);
    t34 = t5.x / t6.w;
    t5.w = t34 + t5.z;
    t23.xy = t23.xx * t5.zw;
    ti2.xy = ivec2(uvec2(lessThan(vec4(0.0, 0.0, 0.0, 0.0), t23.xyxx).xy) * 0xFFFFFFFFu);
    ti14.xy = ivec2(uvec2(lessThan(t23.xyxx, vec4(0.0, 0.0, 0.0, 0.0)).xy) * 0xFFFFFFFFu);
    ti2.xy = (-ti2.xy) + ti14.xy;
    t2.xy = vec2(ti2.xy);
    t14.xyz = t23.xxy * t23.xxy;
    tb24 = t2.x<t2.y;
    t14.x = t14.x * 1.44269502;
    t14.x = exp2(t14.x);
    t24 = tb24 ? t14.x : float(0.0);
    t14.xy = t14.yz * vec2(1.51999998, 1.51999998) + vec2(4.0, 4.0);
    t14.xy = sqrt(t14.xy);
    t23.xy = abs(t23.xy) * vec2(2.31929994, 2.31929994) + t14.xy;
    t23.xy = t2.xy / t23.xy;
    t2.x = (-t5.x) / t12.x;
    t13.x = t6.w + t6.w;
    t13.x = t5.x / t13.x;
    t13.x = t5.z + t13.x;
    t2.x = t13.x * t2.x;
    t2.x = t2.x * 1.44269502;
    t7.y = exp2(t2.x);
    t7.xz = vec2(1.0, 1.0);
    t23.xy = t23.xy * t7.xy;
    t2.x = t12.x * t6.w;
    t2.x = t2.x * 6.28310013;
    t2.x = sqrt(t2.x);
    t14.x = (-t6.w) + Rg;
    t12.x = t14.x / t12.x;
    t12.x = t12.x * 1.44269502;
    t12.x = exp2(t12.x);
    t12.x = t12.x * t2.x;
    t23.x = dot(t23.xy, vec2(1.0, -1.0));
    t23.x = t23.x + t24;
    t12.x = t23.x * t12.x;
    t23.x = HM * _experimentalAtmoScale;
    t34 = 0.5 / t23.x;
    t34 = t6.w * t34;
    t34 = sqrt(t34);
    t2.xz = t5.zw * vec2(t34);
    ti25.xy = ivec2(uvec2(lessThan(vec4(0.0, 0.0, 0.0, 0.0), t2.xzxz).xy) * 0xFFFFFFFFu);
    ti4.xz = ivec2(uvec2(lessThan(t2.xxzx, vec4(0.0, 0.0, 0.0, 0.0)).xz) * 0xFFFFFFFFu);
    ti25.xy = (-ti25.xy) + ti4.xz;
    t25.xy = vec2(ti25.xy);
    t4.xzw = t2.xxz * t2.xxz;
    tb34 = t25.x<t25.y;
    t4.x = t4.x * 1.44269502;
    t4.x = exp2(t4.x);
    t34 = tb34 ? t4.x : float(0.0);
    t4.xz = t4.zw * vec2(1.51999998, 1.51999998) + vec2(4.0, 4.0);
    t4.xz = sqrt(t4.xz);
    t2.xz = abs(t2.xz) * vec2(2.31929994, 2.31929994) + t4.xz;
    t2.xz = t25.xy / t2.xz;
    t25.x = (-t5.x) / t23.x;
    t13.x = t13.x * t25.x;
    t13.x = t13.x * 1.44269502;
    t7.w = exp2(t13.x);
    t2.xy = t2.xz * t7.zw;
    t24 = t23.x * t6.w;
    t24 = t24 * 6.28310013;
    t24 = sqrt(t24);
    t23.x = t14.x / t23.x;
    t23.x = t23.x * 1.44269502;
    t23.x = exp2(t23.x);
    t23.x = t23.x * t24;
    t2.x = dot(t2.xy, vec2(1.0, -1.0));
    t34 = t34 + t2.x;
    t23.x = t34 * t23.x;
    t7 = t23.xxxx * betaMEx.xyzx.xyzx;
    t7 = (-betaR.xyzx.xyzx) * t12.xxxx + (-t7);
    t7 = t7 * vec4(1.44269502, 1.44269502, 1.44269502, 1.44269502);
    t7 = exp2(t7);
    t7 = min(t7, vec4(1.0, 1.0, 1.0, 1.0));
    t12.x = t4.y * t4.y + (-t35);
    t4.z = sqrt(t12.x);
    t12.x = t6.w * t6.w;
    t23.x = t6.w * t6.w + (-t35);
    t12.y = sqrt(t23.x);
    t34 = t5.z * t6.w;
    t12.x = t34 * t34 + (-t12.x);
    t12.x = Rg * Rg + t12.x;
    tb2 = t34<0.0;
    tb13 = 0.0<t12.x;
    ti2.x = int(uint(tb13) * 0xffffffffu & uint(tb2) * 0xffffffffu);
    t13.xyz = vec3(0.5, 0.5, 0.5) / vec3(RES_MU, RES_R, RES_MU_S);
    t5.w = (-t13.x) + 0.5;
    t4.y = t4.z * t4.z;
    t4.w = t13.x + 0.5;
    t5.xyz = vec3(1.0, 0.0, 0.0);
    t4.x = -1.0;
    t6 = (ti2.x != 0) ? t5.xzzw : t4;
    t2.x = t12.y / t4.z;
    t14.xyz = vec3(1.0, 1.0, 1.0) / vec3(RES_R, RES_MU, RES_MU_S);
    t14.xyz = (-t14.xyz) + vec3(1.0, 0.5, 1.0);
    t2.x = t2.x * t14.x + t13.y;
    t12.xy = t12.xy + t6.yz;
    t12.x = sqrt(t12.x);
    t12.x = t34 * t6.x + t12.x;
    t12.x = t12.x / t12.y;
    t12.x = t12.x * t14.y + t6.w;
    t23.x = max(t0.x, -0.197500005);
    t23.x = t23.x * 5.34962368;
    t34 = min(abs(t23.x), 1.0);
    t13.x = max(abs(t23.x), 1.0);
    t13.x = float(1.0) / t13.x;
    t34 = t34 * t13.x;
    t13.x = t34 * t34;
    t6.x = t13.x * 0.0208350997 + -0.0851330012;
    t6.x = t13.x * t6.x + 0.180141002;
    t6.x = t13.x * t6.x + -0.330299497;
    t13.x = t13.x * t6.x + 0.999866009;
    t6.x = t34 * t13.x;
    tb17 = 1.0<abs(t23.x);
    t6.x = t6.x * -2.0 + 1.57079637;
    t6.x = tb17 ? t6.x : float(0.0);
    t34 = t34 * t13.x + t6.x;
    t23.x = min(t23.x, 1.0);
    tb23 = t23.x<(-t23.x);
    t23.x = (tb23) ? (-t34) : t34;
    t23.x = t23.x * 0.909090877 + 0.74000001;
    t23.x = t23.x * 0.5;
    t23.x = t23.x * t14.z + t13.z;
    t34 = t22.x + 1.0;
    t34 = t34 * 0.5;
    t13.x = RES_NU + -1.0;
    t6.x = t34 * t13.x;
    t6.x = floor(t6.x);
    t34 = t34 * t13.x + (-t6.x);
    t13.x = t2.x * RES_R;
    t2.x = t2.x * RES_R + -1.0;
    t2.x = floor(t2.x);
    t2.x = t2.x / RES_R;
    t17 = floor(t13.x);
    t17 = t17 / RES_R;
    t13.x = fract(t13.x);
    t23.x = t23.x + t6.x;
    t8.y = t23.x / RES_NU;
    t12.x = t12.x / RES_R;
    t8.z = t2.x + t12.x;
    t10_9 = textureLod(_Inscatter, t8.yz, 0.0);
    t2.x = (-t34) + 1.0;
    t23.x = t23.x + 1.0;
    t8.x = t23.x / RES_NU;
    t10_10 = textureLod(_Inscatter, t8.xz, 0.0);
    t10 = vec4(t34) * t10_10;
    t9 = t10_9 * t2.xxxx + t10;
    t8.w = t17 + t12.x;
    t10_10 = textureLod(_Inscatter, t8.yw, 0.0);
    t10_8 = textureLod(_Inscatter, t8.xw, 0.0);
    t8 = vec4(t34) * t10_8;
    t8 = t10_10 * t2.xxxx + t8;
    t12.x = (-t13.x) + 1.0;
    t8 = t13.xxxx * t8;
    t8 = t9 * t12.xxxx + t8;
    t12.x = (-Rg) * Rg + t11;
    t12.x = sqrt(t12.x);
    t11 = t1.x * t1.x + (-t11);
    t11 = Rg * Rg + t11;
    tb23 = t1.x<0.0;
    tb13 = 0.0<t11;
    ti23 = int(uint(tb23) * 0xffffffffu & uint(tb13) * 0xffffffffu);
    t5 = (int(ti23) != 0) ? t5 : t4;
    t23.x = t12.x / t4.z;
    t23.x = t23.x * t14.x + t13.y;
    t11 = t11 + t5.y;
    t11 = sqrt(t11);
    t11 = t1.x * t5.x + t11;
    t1.x = t12.x + t5.z;
    t11 = t11 / t1.x;
    t11 = t11 * t14.y + t5.w;
    t33 = max(t33, -0.197500005);
    t33 = t33 * 5.34962368;
    t1.x = min(abs(t33), 1.0);
    t12.x = max(abs(t33), 1.0);
    t12.x = float(1.0) / t12.x;
    t1.x = t12.x * t1.x;
    t12.x = t1.x * t1.x;
    t13.x = t12.x * 0.0208350997 + -0.0851330012;
    t13.x = t12.x * t13.x + 0.180141002;
    t13.x = t12.x * t13.x + -0.330299497;
    t12.x = t12.x * t13.x + 0.999866009;
    t13.x = t12.x * t1.x;
    tb24 = 1.0<abs(t33);
    t13.x = t13.x * -2.0 + 1.57079637;
    t13.x = tb24 ? t13.x : float(0.0);
    t1.x = t1.x * t12.x + t13.x;
    t33 = min(t33, 1.0);
    tb33 = t33<(-t33);
    t33 = (tb33) ? (-t1.x) : t1.x;
    t33 = t33 * 0.909090877 + 0.74000001;
    t33 = t14.z * t33;
    t33 = t33 * 0.5 + t13.z;
    t1.x = t23.x * RES_R;
    t1.y = t23.x * RES_R + -1.0;
    t12.xy = floor(t1.yx);
    t12.xy = t12.xy / vec2(RES_R);
    t1.x = fract(t1.x);
    t33 = t33 + t6.x;
    t4.y = t33 / RES_NU;
    t11 = t11 / RES_R;
    t4.zw = t12.xy + vec2(t11);
    t10_5 = textureLod(_Inscatter, t4.yz, 0.0);
    t33 = t33 + 1.0;
    t4.x = t33 / RES_NU;
    t10_6 = textureLod(_Inscatter, t4.xz, 0.0);
    t6 = vec4(t34) * t10_6;
    t5 = t10_5 * t2.xxxx + t6;
    t10_6 = textureLod(_Inscatter, t4.yw, 0.0);
    t10_4 = textureLod(_Inscatter, t4.xw, 0.0);
    t4 = vec4(t34) * t10_4;
    t2 = t10_6 * t2.xxxx + t4;
    t11 = (-t1.x) + 1.0;
    t1 = t1.xxxx * t2;
    t1 = t5 * vec4(t11) + t1;
    t1 = (-t1) * t7 + t8;
    t2 = max(t1, vec4(0.0, 0.0, 0.0, 0.0));
    t0.x = t0.x * 50.0;
    t0.x = clamp(t0.x, 0.0, 1.0);
    t11 = t0.x * -2.0 + 3.0;
    t0.x = t0.x * t0.x;
    t0.x = t0.x * t11;
    t0.x = t0.x * t2.w;
    t0.xyw = t0.xxx * t2.xyz;
    t1.x = max(t1.x, 9.99999975e-005);
    t0.xyw = t0.xyw / t1.xxx;
    t1.xyz = betaR.xyzx.xxx / betaR.xyzx.xyz;
    t0.xyw = t0.xyw * t1.xyz;
    t1.xy = vec2(M_PI) * vec2(16.0, 4.0);
    t1.xy = vec2(3.0, 1.5) / t1.xy;
    t23.x = t22.x * t22.x + 1.0;
    t23.y = (-mieG) * mieG + 1.0;
    t1.xy = t23.xy * t1.xy;
    t14.xy = vec2(vec2(mieG, mieG)) * vec2(vec2(mieG, mieG)) + vec2(1.0, 2.0);
    t22.x = dot(t22.xx, vec2(vec2(mieG, mieG)));
    t22.x = (-t22.x) + t14.x;
    t22.x = log2(t22.x);
    t22.x = t22.x * -1.5;
    t22.x = exp2(t22.x);
    t22.x = t22.x * t1.y;
    t22.x = t23.x * t22.x;
    t22.x = t22.x / t14.y;
    t0.xyz = t22.xxx * t0.xyw;
    t0.xyz = t2.xyz * t1.xxx + t0.xyz;
    t0.xyz = t0.xyz * vec3(vec3(SUN_INTENSITY, SUN_INTENSITY, SUN_INTENSITY));
    tb33 = _global_depth>=t3.x;
    t1.x = t3.x * 4.0;
    t1.x = t1.x / _global_depth;
    t1.x = t1.x * -1.44269502;
    t1.x = exp2(t1.x);
    t1.x = (-t1.x) + 1.0;
    t33 = (tb33) ? t1.x : 1.0;
    t0.xyz = t0.xyz * vec3(_Exposure);
    tb1.xyz = lessThan(t0.xyzx, vec4(1.41299999, 1.41299999, 1.41299999, 0.0)).xyz;
    t2 = t0.xxyy * vec4(0.383170009, -1.44269502, 0.383170009, -1.44269502);
    t0.xy = log2(t2.xz);
    t0.xy = t0.xy * vec2(0.454545468, 0.454545468);
    t0.xy = exp2(t0.xy);
    t2.xy = exp2(t2.yw);
    t2.xy = (-t2.xy) + vec2(1.0, 1.0);
    t2.x = (tb1.x) ? t0.x : t2.x;
    t2.y = (tb1.y) ? t0.y : t2.y;
    t0.xy = t0.zz * vec2(0.383170009, -1.44269502);
    t0.x = log2(t0.x);
    t0.x = t0.x * 0.454545468;
    t0.x = exp2(t0.x);
    t11 = exp2(t0.y);
    t11 = (-t11) + 1.0;
    t2.z = (tb1.z) ? t0.x : t11;
    t0.xyz = t2.xyz * vec3(vec3(_global_alpha, _global_alpha, _global_alpha));
    SV_Target0.xyz = vec3(t33) * t0.xyz;
    SV_Target0.w = 1.0;
    return;
}

#endif
"
}
}
Program "fp" {
SubProgram "opengl " {
Keywords { "GODRAYS_OFF" }
"!!GLSL"
}
SubProgram "d3d9 " {
// Stats: 437 math, 17 textures, 2 branches
Keywords { "GODRAYS_OFF" }
Matrix 0 [_ViewProjInv]
Float 7 [HM]
Float 5 [HR]
Float 4 [M_PI]
Float 14 [RES_MU]
Float 15 [RES_MU_S]
Float 16 [RES_NU]
Float 13 [RES_R]
Float 11 [Rg]
Float 12 [Rt]
Vector 17 [SUN_DIR]
Float 18 [SUN_INTENSITY]
Float 10 [_Exposure]
Vector 22 [_camPos]
Float 19 [_experimentalAtmoScale]
Float 20 [_global_alpha]
Float 21 [_global_depth]
Float 23 [_openglThreshold]
Vector 8 [betaMEx]
Vector 6 [betaR]
Float 9 [mieG]
SetTexture 0 [_Inscatter] 2D 0
SetTexture 1 [_customDepthTexture] 2D 1
"ps_3_0
def c24, -1, 2, 0, 1
def c25, 4, 0.899999976, -9.99999997e-007, 1600
def c26, 2.31929994, 6.28310013, 0.197500005, -1.05655074
def c27, 0.5, 1.44269502, 1.51999998, 4
def c28, 5.34962368, 50, 0.0208350997, -0.0851330012
def c29, -2, 1.57079637, 0.909090877, 0.74000001
def c30, 0.180141002, -0.330299497, 0.999866009, -9.99999975e-005
def c31, 0.383170009, -1.44269502, 0, 0
def c32, 16, 4, -1.41299999, 0.454545468
def c33, -2, 3, 10000, 1.5
dcl_texcoord2 v0.xy
dcl_2d s0
dcl_2d s1
texld r0, v0, s1
add r0.y, r0.x, c24.x
mad r1.xyw, v0.xyzx, c24.yyzz, c24.xxzw
mov r1.z, r0.x
dp4 r2.x, c0, r1
dp4 r2.y, c1, r1
dp4 r2.z, c2, r1
dp4 r0.x, c3, r1
rcp r0.x, r0.x
mul r1.xyz, r0.x, r2
mad r0.xzw, r2.xyyz, r0.x, -c22.xyyz
dp3 r1.w, r0.xzww, r0.xzww
dp3 r2.x, r0.xzww, c22
add r2.y, r2.x, r2.x
dp3 r2.z, c22, c22
mul r2.w, c11.x, c11.x
mad r3.x, c11.x, -c11.x, r2.z
mul r3.x, r1.w, r3.x
mul r3.x, r3.x, c25.x
mad r2.y, r2.y, r2.y, -r3.x
rsq r3.x, r2.y
rcp r3.x, r3.x
mad r2.x, r2.x, -c24.y, -r3.x
add r3.x, r1.w, r1.w
rcp r3.x, r3.x
mul r2.x, r2.x, r3.x
cmp r2.x, r2.y, r2.x, c24.x
cmp r0.y, -r0_abs.y, c24.w, c24.z
cmp r0.y, -r2.x, r0.y, c24.z
cmp_pp oC0.w, -r0.y, c24.w, c24.z
if_ne r0.y, -r0.y
mov_pp oC0.xyz, c24.z
else
mul r3.xyz, r0.xzww, r2.x
mad r0.xyz, r2.x, r0.xzww, c22
dp3 r0.w, r3, r3
rsq r0.w, r0.w
rcp r0.w, r0.w
rsq r1.w, r1.w
rcp r1.w, r1.w
add r0.w, r0.w, -r1.w
cmp r0.w, r0.w, -c24.z, -c24.w
cmp r0.w, -r2.x, c24.z, r0.w
cmp r0.xyz, r0.w, r1, r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
rcp r1.x, r0.w
mov r2.x, c11.x
add r1.y, r2.x, c23.x
add r1.x, -r1.y, r1.x
mul r3.xyz, r0.w, r0
mul r1.yzw, r1.y, r3.xxyz
cmp r0.xyz, r1.x, r0, r1.yzww
add r1.xyz, r0, -c22
dp3 r1.w, r1, r1
rsq r1.w, r1.w
rcp r3.x, r1.w
mul r1.xyz, r1.w, r1
add r1.w, -r2.x, c12.x
mad r4.y, r1.w, c19.x, r2.x
rsq r1.w, r2.z
rcp r5.z, r1.w
mad r1.w, r2.x, -c25.y, r5.z
add r6.y, r2.x, c22.y
add r7.y, r0.y, c11.x
mov r6.xz, c22
dp3 r2.y, r6, r6
rsq r2.y, r2.y
rcp r7.z, r2.y
mov r5.x, c22.y
mov r5.y, r0.y
mov r7.x, r6.y
cmp r5.xyz, r1.w, r5, r7
mov r6.xz, c22
mov r6.y, r5.x
dp3 r0.y, r6, r1
rcp r1.w, r5.z
mul r3.z, r0.y, r1.w
min r1.w, r3.x, c24.w
mov r0.w, r5.y
mad r7.xyz, r1, -r1.w, r0.xwzw
mul r0.x, r5.z, r5.z
mad r0.x, r0.y, r0.y, -r0.x
mad r0.x, r4.y, r4.y, r0.x
rsq r0.z, r0.x
rcp r0.z, r0.z
cmp r0.x, r0.x, -r0.z, c25.z
add r0.x, r0.x, -r0.y
max r1.w, r0.x, c24.z
add r0.x, -r3.x, r1.w
mad r5.xyw, r1.w, r1.xyzz, r6.xyzz
add r0.y, r0.y, r1.w
rcp r0.z, r4.y
mul r4.z, r0.z, r0.y
add r4.x, -r1.w, r3.x
cmp r0.x, r0.x, -c24.z, -c24.w
cmp r0.x, -r1.w, c24.z, r0.x
cmp r0.yzw, r0.x, r6.xxyz, r5.xxyw
mov r3.y, r5.z
cmp r5.xyz, r0.x, r3, r4
dp3 r0.x, r1, c17
dp3 r0.y, r0.yzww, c17
rcp r0.z, r5.y
mul r0.w, r0.z, r0.y
add r1.w, r2.x, c25.w
add r2.x, -r1.w, r5.y
mul r1.w, r0.z, r1.w
mul r6.w, r1.w, r5.y
mul r6.xyz, r1.w, r7
mov r7.w, r5.y
cmp r6, r2.x, r7, r6
dp3 r1.w, r6, r6
rsq r1.w, r1.w
rcp r2.x, r1.w
dp3 r1.x, r6, r1
dp3 r1.y, r6, c17
mul r1.xz, r1.w, r1.xyyw
mov r4.x, c19.x
mul r2.y, r4.x, c5.x
rcp r2.z, r2.y
mul r3.y, r2.z, r6.w
mul r3.y, r3.y, c27.x
rsq r3.y, r3.y
rcp r3.y, r3.y
rcp r3.z, r6.w
mad r5.w, r5.x, r3.z, r5.z
mul r3.yz, r3.y, r5.xzww
cmp r4.zw, -r3.xyyz, c24.z, c24.w
cmp r6.xy, r3.yzzw, -c24.z, -c24.w
add r4.zw, r4, r6.xyxy
mul r6.xyz, r3.yyzw, r3.yyzw
add r3.w, -r4.w, r4.z
mul r5.y, r6.x, c27.y
exp r5.y, r5.y
cmp r3.w, r3.w, c24.z, r5.y
mad r6.xy, r6.yzzw, c27.z, c27.w
rsq r5.y, r6.x
rsq r6.x, r6.y
rcp r7.x, r5.y
rcp r7.y, r6.x
mad r3.yz, r3_abs, c26.x, r7.xxyw
rcp r6.x, r3.y
rcp r6.y, r3.z
mul r3.yz, r4.xzww, r6.xxyw
mul r4.z, r2.z, -r5.x
add r4.w, r6.w, r6.w
rcp r4.w, r4.w
mad r4.w, r5.x, r4.w, r5.z
mul r4.z, r4.w, r4.z
mul r4.z, r4.z, c27.y
exp r7.y, r4.z
mov r7.xz, c24.w
mul r3.yz, r3, r7.xxyw
mul r2.y, r2.y, r6.w
mul r2.y, r2.y, c26.y
rsq r2.y, r2.y
rcp r2.y, r2.y
add r4.z, -r6.w, c11.x
mul r2.z, r2.z, r4.z
mul r2.z, r2.z, c27.y
exp r2.z, r2.z
mul r2.y, r2.z, r2.y
dp2add r2.z, r3.yzzw, c24.wxzw, r3.w
mul r2.y, r2.z, r2.y
mul r2.z, r4.x, c7.x
rcp r3.y, r2.z
mul r3.z, r3.y, r6.w
mul r3.z, r3.z, c27.x
rsq r3.z, r3.z
rcp r3.z, r3.z
mul r3.zw, r5, r3.z
cmp r5.yw, -r3.xzzw, c24.z, c24.w
cmp r6.xy, r3.zwzw, -c24.z, -c24.w
add r5.yw, r5, r6.xxzy
mul r6.xyz, r3.zzww, r3.zzww
add r4.x, -r5.w, r5.y
mul r6.x, r6.x, c27.y
exp r6.x, r6.x
cmp r4.x, r4.x, c24.z, r6.x
mad r6.xy, r6.yzzw, c27.z, c27.w
rsq r6.x, r6.x
rsq r6.y, r6.y
rcp r7.x, r6.x
rcp r7.y, r6.y
mad r3.zw, r3_abs, c26.x, r7.xyxy
rcp r6.x, r3.z
rcp r6.y, r3.w
mul r3.zw, r5.xyyw, r6.xyxy
mul r5.x, r3.y, -r5.x
mul r4.w, r4.w, r5.x
mul r4.w, r4.w, c27.y
exp r7.w, r4.w
mul r3.zw, r3, r7
mul r2.z, r2.z, r6.w
mul r2.z, r2.z, c26.y
rsq r2.z, r2.z
rcp r2.z, r2.z
mul r3.y, r3.y, r4.z
mul r3.y, r3.y, c27.y
exp r3.y, r3.y
mul r2.z, r2.z, r3.y
dp2add r3.y, r3.zwzw, c24.wxzw, r4.x
mul r2.z, r2.z, r3.y
mul r3.yzw, r2.z, c8.xxyz
mad r3.yzw, -c6.xxyz, r2.y, -r3
mul r3.yzw, r3, c27.y
exp_sat r7.xw, r3.y
exp_sat r7.y, r3.z
exp_sat r7.z, r3.w
mad r2.y, r4.y, r4.y, -r2.w
rsq r2.y, r2.y
rcp r4.z, r2.y
mul r2.z, r6.w, r6.w
mad r3.y, r6.w, r6.w, -r2.w
rsq r3.y, r3.y
rcp r3.y, r3.y
mul r3.z, r5.z, r6.w
mad r2.z, r3.z, r3.z, -r2.z
mad r2.z, c11.x, c11.x, r2.z
rcp r3.w, c14.x
mad r5.w, r3.w, -c27.x, c27.x
mul r4.y, r4.z, r4.z
mad r4.w, r3.w, c27.x, c27.x
cmp r6.x, -r2.z, -c24.z, -c24.w
cmp r6.x, r3.z, c24.z, r6.x
mov r4.x, c24.x
mov r5.xyz, c24.wzzw
cmp r6, r6.x, r4, r5.xzzw
rcp r8.x, c13.x
mul r8.y, r2.y, r3.y
lrp r9.x, r8.x, c27.x, r8.y
add r2.z, r2.z, r6.y
rsq r2.z, r2.z
rcp r2.z, r2.z
mad r2.z, r3.z, r6.x, r2.z
add r3.y, r3.y, r6.z
rcp r3.y, r3.y
mul r2.z, r2.z, r3.y
add r3.y, -r3.w, c27.x
mad r2.z, r2.z, r3.y, r6.w
rcp r3.z, c15.x
mad r0.y, r0.y, r0.z, c26.z
mul r0.zw, r0.w, c28.xyyx
cmp r0.y, r0.y, r0.w, c26.w
mov_sat r0.w, r0_abs.y
add r3.w, r0_abs.y, c24.x
rcp r6.x, r0_abs.y
cmp r3.w, r3.w, r6.x, c24.w
mul r0.w, r0.w, r3.w
mul r3.w, r0.w, r0.w
mad r6.x, r3.w, c28.z, c28.w
mad r6.x, r3.w, r6.x, c30.x
mad r6.x, r3.w, r6.x, c30.y
mad r3.w, r3.w, r6.x, c30.z
mul r0.w, r0.w, r3.w
add r3.w, -r0_abs.y, c24.w
cmp r3.w, r3.w, c24.z, c24.w
mad r6.x, r0.w, c29.x, c29.y
mad r0.w, r6.x, r3.w, r0.w
min r3.w, r0.y, c24.w
cmp r0.y, r3.w, c24.z, c24.w
add r3.w, r0.w, r0.w
mad r0.y, r0.y, -r3.w, r0.w
mad r0.y, r0.y, c29.z, c29.w
mul r0.y, r0.y, c27.x
add r0.w, -r3.z, c24.w
lrp r6.x, r3.z, c27.x, r0.y
add r0.y, r0.x, c24.w
mul r0.y, r0.y, c27.x
mov r10.xyw, c24
add r3.w, r10.x, c16.x
mul r6.y, r0.y, r3.w
frc r6.z, r6.y
add r6.y, -r6.z, r6.y
mad r0.y, r0.y, r3.w, -r6.y
mul r3.w, r9.x, c13.x
mad r6.z, r9.x, c13.x, r10.x
frc r6.w, r3.w
add r6.z, -r6.w, r6.z
add r3.w, r3.w, -r6.w
add r6.x, r6.x, r6.y
rcp r8.y, c16.x
mul r9.y, r6.x, r8.y
mul r2.z, r8.x, r2.z
mad r9.z, r6.z, r8.x, r2.z
mov r9.w, c24.z
texldl r11, r9.yzww, s0
add r6.x, r6.x, c24.w
mul r9.x, r8.y, r6.x
texldl r12, r9.xzww, s0
lrp r13, r0.y, r12, r11
mad r11.y, r3.w, r8.x, r2.z
mov r11.xzw, r9.yyww
texldl r12, r11, s0
mov r11.xzw, r9.xyww
texldl r9, r11, s0
lrp r11, r0.y, r9, r12
lrp r9, r6.w, r11, r13
mul r2.z, r2.x, r2.x
mad r2.w, r2.x, r2.x, -r2.w
rsq r2.w, r2.w
rcp r2.w, r2.w
mul r1.x, r1.x, r2.x
mad r2.x, r1.x, r1.x, -r2.z
mad r2.x, c11.x, c11.x, r2.x
cmp r2.z, -r2.x, -c24.z, -c24.w
cmp r2.z, r1.x, c24.z, r2.z
cmp r4, r2.z, r4, r5
mul r2.y, r2.y, r2.w
lrp r3.w, r8.x, c27.x, r2.y
add r2.x, r2.x, r4.y
rsq r2.x, r2.x
rcp r2.x, r2.x
mad r1.x, r1.x, r4.x, r2.x
add r2.x, r2.w, r4.z
rcp r2.x, r2.x
mul r1.x, r1.x, r2.x
mad r1.x, r1.x, r3.y, r4.w
mad r1.y, r1.y, r1.w, c26.z
mul r1.z, r1.z, c28.x
cmp r1.y, r1.y, r1.z, c26.w
mov_sat r1.z, r1_abs.y
add r1.w, r1_abs.y, c24.x
rcp r2.x, r1_abs.y
cmp r1.w, r1.w, r2.x, c24.w
mul r1.z, r1.w, r1.z
mul r1.w, r1.z, r1.z
mad r2.x, r1.w, c28.z, c28.w
mad r2.x, r1.w, r2.x, c30.x
mad r2.x, r1.w, r2.x, c30.y
mad r1.w, r1.w, r2.x, c30.z
mul r1.z, r1.w, r1.z
add r1.w, -r1_abs.y, c24.w
cmp r1.w, r1.w, c24.z, c24.w
mad r2.x, r1.z, c29.x, c29.y
mad r1.z, r2.x, r1.w, r1.z
min r2.x, r1.y, c24.w
cmp r1.y, r2.x, c24.z, c24.w
add r1.w, r1.z, r1.z
mad r1.y, r1.y, -r1.w, r1.z
mad r1.y, r1.y, c29.z, c29.w
mul r0.w, r0.w, r1.y
mul r0.w, r0.w, c27.x
mad r0.w, r3.z, c27.x, r0.w
mul r1.y, r3.w, c13.x
mad r1.z, r3.w, c13.x, r10.x
frc r1.w, r1.y
add r1.yz, -r1.w, r1
add r0.w, r0.w, r6.y
mul r2.y, r8.y, r0.w
mul r1.x, r8.x, r1.x
mad r2.z, r1.z, r8.x, r1.x
mov r2.w, c24.z
texldl r4, r2.yzww, s0
add r0.w, r0.w, c24.w
mul r2.x, r8.y, r0.w
texldl r5, r2.xzww, s0
lrp r6, r0.y, r5, r4
mad r4.y, r1.y, r8.x, r1.x
mov r4.xzw, r2.yyww
texldl r5, r4, s0
mov r4.xzw, r2.xyww
texldl r2, r4, s0
lrp r4, r0.y, r2, r5
lrp r2, r1.w, r4, r6
mad r1, r2, -r7, r9
max r2, r1, c24.z
mov_sat r0.z, r0.z
mad r0.y, r0.z, c33.x, c33.y
mul r0.z, r0.z, r0.z
mul r0.y, r0.z, r0.y
mul r0.y, r0.y, r2.w
mul r0.yzw, r0.y, r2.xxyz
add r1.y, r1.x, c30.w
rcp r1.x, r1.x
cmp r1.x, r1.y, r1.x, c33.z
mul r0.yzw, r0, r1.x
rcp r1.x, c6.x
rcp r1.y, c6.y
rcp r1.z, c6.z
mul r1.xyz, r1, c6.x
mul r0.yzw, r0, r1.xxyz
mov r1.xyz, c32
mul r1.xy, r1, c4.x
rcp r1.x, r1.x
mul r1.x, r1.x, c33.y
mad r1.w, r0.x, r0.x, c24.w
mul r1.x, r1.w, r1.x
rcp r1.y, r1.y
mul r1.y, r1.y, c33.w
mad r2.w, c9.x, -c9.x, r10.w
mul r1.y, r1.y, r2.w
mad r3.yz, c9.x, c9.x, r10.xwyw
dp2add r0.x, r0.x, -c9.x, r3.y
pow r2.w, r0.x, -c33.w
mul r0.x, r1.y, r2.w
mul r0.x, r1.w, r0.x
rcp r1.y, r3.z
mul r0.x, r0.x, r1.y
mul r0.xyz, r0.x, r0.yzww
mad r0.xyz, r2, r1.x, r0
mul r0.xyz, r0, c18.x
add r0.w, -r3.x, c21.x
mul r1.x, r3.x, c25.x
rcp r1.y, c21.x
mul r1.x, r1.y, r1.x
mul r1.x, r1.x, -c27.y
exp r1.x, r1.x
add r1.x, -r1.x, c24.w
cmp r0.w, r0.w, r1.x, c24.w
mul r1.xyw, r0.xyzz, c10.x
mad r0.xyz, r0, c10.x, r1.z
mul r2, r1.xxyy, c31.xyxy
pow r1.x, r2.x, c32.w
exp r1.y, r2.y
add r1.y, -r1.y, c24.w
cmp r1.x, r0.x, r1.y, r1.x
pow r0.x, r2.z, c32.w
exp r2.x, r2.w
add r2.x, -r2.x, c24.w
cmp r1.y, r0.y, r2.x, r0.x
mul r0.xy, r1.w, c31
pow r1.w, r0.x, c32.w
exp r0.x, r0.y
add r0.x, -r0.x, c24.w
cmp r1.z, r0.z, r0.x, r1.w
mul r0.xyz, r1, c20.x
mul_pp oC0.xyz, r0.w, r0
endif

"
}
SubProgram "d3d11 " {
// Stats: 338 math, 1 textures, 2 branches
Keywords { "GODRAYS_OFF" }
SetTexture 0 [_customDepthTexture] 2D 1
SetTexture 1 [_Inscatter] 2D 0
ConstBuffer "$Globals" 480
Matrix 256 [_ViewProjInv]
Float 112 [M_PI]
Float 132 [HR]
Vector 144 [betaR] 3
Float 156 [HM]
Vector 176 [betaMEx] 3
Float 188 [mieG]
Float 192 [_Exposure]
Float 196 [Rg]
Float 200 [Rt]
Float 208 [RES_R]
Float 212 [RES_MU]
Float 216 [RES_MU_S]
Float 220 [RES_NU]
Vector 224 [SUN_DIR] 3
Float 236 [SUN_INTENSITY]
Float 240 [_experimentalAtmoScale]
Float 328 [_global_alpha]
Float 332 [_global_depth]
Vector 368 [_camPos] 3
Float 400 [_openglThreshold]
BindCB  "$Globals" 0
"ps_4_0
root12:acabacaa
eefiecedlojmkbifndoideclmcdgakbpomddehmgabaaaaaaeecpaaaaadaaaaaa
cmaaaaaaleaaaaaaoiaaaaaaejfdeheoiaaaaaaaaeaaaaaaaiaaaaaagiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaheaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaheaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
adaaaaaaheaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaamamaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcfecoaaaaeaaaaaaajfalaaaafjaaaaaeegiocaaa
aaaaaaaabkaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
gcbaaaadmcbabaaaacaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacalaaaaaa
efaaaaajpcaabaaaaaaaaaaaogbkbaaaacaaaaaaeghobaaaaaaaaaaaaagabaaa
abaaaaaabiaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiadp
dcaaaaapmcaabaaaaaaaaaaakgbobaaaacaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaeaaaaaaaeaaceaaaaaaaaaaaaaaaaaaaaaaaaaialpaaaaialpdiaaaaai
pcaabaaaabaaaaaapgapbaaaaaaaaaaaegiocaaaaaaaaaaabbaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaabaaaaaaakgakbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaabcaaaaaaagaabaaa
aaaaaaaaegaobaaaabaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaaaabaaaaaa
egiocaaaaaaaaaaabdaaaaaaaoaaaaahncaabaaaaaaaaaaaagajbaaaabaaaaaa
pgapbaaaabaaaaaaaaaaaaajhcaabaaaabaaaaaaigadbaaaaaaaaaaaegiccaia
ebaaaaaaaaaaaaaabhaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaabaaaaaaibcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaaa
aaaaaaaabhaaaaaaaaaaaaahccaabaaaacaaaaaaakaabaaaacaaaaaaakaabaaa
acaaaaaabaaaaaajecaabaaaacaaaaaaegiccaaaaaaaaaaabhaaaaaaegiccaaa
aaaaaaaabhaaaaaadiaaaaajicaabaaaacaaaaaabkiacaaaaaaaaaaaamaaaaaa
bkiacaaaaaaaaaaaamaaaaaadcaaaaambcaabaaaadaaaaaabkiacaiaebaaaaaa
aaaaaaaaamaaaaaabkiacaaaaaaaaaaaamaaaaaackaabaaaacaaaaaadiaaaaah
bcaabaaaadaaaaaadkaabaaaabaaaaaaakaabaaaadaaaaaadiaaaaahbcaabaaa
adaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaiaeadcaaaaakccaabaaaacaaaaaa
bkaabaaaacaaaaaabkaabaaaacaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaah
bcaabaaaadaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaaaaaelaaaaafccaabaaa
acaaaaaabkaabaaaacaaaaaadcaaaaalbcaabaaaacaaaaaaakaabaiaebaaaaaa
acaaaaaaabeaaaaaaaaaaaeabkaabaiaebaaaaaaacaaaaaaaaaaaaahccaabaaa
acaaaaaadkaabaaaabaaaaaadkaabaaaabaaaaaaaoaaaaahbcaabaaaacaaaaaa
akaabaaaacaaaaaabkaabaaaacaaaaaadhaaaaajbcaabaaaacaaaaaaakaabaaa
adaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaialpdbaaaaahccaabaaaacaaaaaa
abeaaaaaaaaaaaaaakaabaaaacaaaaaadlaaaaafbcaabaaaadaaaaaabkaabaaa
acaaaaaaabaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaadaaaaaa
bpaaaeadbkaabaaaaaaaaaaadgaaaaaipccabaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaadoaaaaabbfaaaaabdiaaaaahhcaabaaaadaaaaaa
egacbaaaabaaaaaaagaabaaaacaaaaaadcaaaaakhcaabaaaabaaaaaaagaabaaa
acaaaaaaegacbaaaabaaaaaaegiccaaaaaaaaaaabhaaaaaabaaaaaahccaabaaa
aaaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaafccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaelaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaah
ccaabaaaaaaaaaaabkaabaaaaaaaaaaadkaabaaaabaaaaaaabaaaaahccaabaaa
aaaaaaaabkaabaaaaaaaaaaabkaabaaaacaaaaaadhaaaaajhcaabaaaaaaaaaaa
fgafbaaaaaaaaaaaegacbaaaabaaaaaaigadbaaaaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaelaaaaafbcaabaaaabaaaaaa
dkaabaaaaaaaaaaaaaaaaaajccaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaa
akiacaaaaaaaaaaabjaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hcaabaaaadaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaahocaabaaa
abaaaaaafgafbaaaabaaaaaaagajbaaaadaaaaaadhaaaaajhcaabaaaaaaaaaaa
agaabaaaabaaaaaajgahbaaaabaaaaaaegacbaaaaaaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaaaaaaaaabhaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaelaaaaafbcaabaaa
adaaaaaadkaabaaaabaaaaaaaoaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaa
agaabaaaadaaaaaaaaaaaaakicaabaaaabaaaaaabkiacaiaebaaaaaaaaaaaaaa
amaaaaaackiacaaaaaaaaaaaamaaaaaadcaaaaalccaabaaaaeaaaaaadkaabaaa
abaaaaaaakiacaaaaaaaaaaaapaaaaaabkiacaaaaaaaaaaaamaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaa
abaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaabaaaaaa
egacbaaaabaaaaaaelaaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaai
icaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaaabeaaaaaggggggdpdbaaaaah
icaabaaaabaaaaaackaabaaaacaaaaaadkaabaaaabaaaaaaaaaaaaajccaabaaa
afaaaaaabkiacaaaaaaaaaaaamaaaaaabkiacaaaaaaaaaaabhaaaaaaaaaaaaai
ccaabaaaagaaaaaabkaabaaaaaaaaaaabkiacaaaaaaaaaaaamaaaaaadgaaaaag
fcaabaaaafaaaaaaagiccaaaaaaaaaaabhaaaaaabaaaaaahicaabaaaadaaaaaa
egacbaaaafaaaaaaegacbaaaafaaaaaaelaaaaafecaabaaaagaaaaaadkaabaaa
adaaaaaadgaaaaafbcaabaaaagaaaaaabkaabaaaafaaaaaadgaaaaagbcaabaaa
acaaaaaabkiacaaaaaaaaaaabhaaaaaadgaaaaafccaabaaaacaaaaaabkaabaaa
aaaaaaaadhaaaaajhcaabaaaacaaaaaapgapbaaaabaaaaaaegacbaaaagaaaaaa
egacbaaaacaaaaaadgaaaaagfcaabaaaafaaaaaaagiccaaaaaaaaaaabhaaaaaa
dgaaaaafccaabaaaafaaaaaaakaabaaaacaaaaaabaaaaaahccaabaaaaaaaaaaa
egacbaaaafaaaaaaegacbaaaabaaaaaaaoaaaaahecaabaaaadaaaaaabkaabaaa
aaaaaaaackaabaaaacaaaaaaddaaaaahicaabaaaabaaaaaaakaabaaaadaaaaaa
abeaaaaaaaaaiadpdgaaaaaficaabaaaaaaaaaaabkaabaaaacaaaaaadcaaaaak
hcaabaaaagaaaaaaegacbaiaebaaaaaaabaaaaaapgapbaaaabaaaaaamgacbaaa
aaaaaaaadiaaaaahbcaabaaaaaaaaaaackaabaaaacaaaaaackaabaaaacaaaaaa
dcaaaaakbcaabaaaaaaaaaaabkaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaia
ebaaaaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaabkaabaaaaeaaaaaabkaabaaa
aeaaaaaaakaabaaaaaaaaaaabnaaaaahecaabaaaaaaaaaaaakaabaaaaaaaaaaa
abeaaaaaaaaaaaaaelaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadhaaaaak
bcaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabeaaaaa
lndhiglfaaaaaaaibcaabaaaaaaaaaaaakaabaaaaaaaaaaabkaabaiaebaaaaaa
aaaaaaaadeaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaaaaa
dbaaaaahecaabaaaaaaaaaaaabeaaaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaaadaaaaaaabaaaaahecaabaaa
aaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajhcaabaaaahaaaaaa
agaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaaaaaaaaahccaabaaa
aaaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaaaoaaaaahecaabaaaaeaaaaaa
bkaabaaaaaaaaaaabkaabaaaaeaaaaaaaaaaaaaibcaabaaaaeaaaaaaakaabaia
ebaaaaaaaaaaaaaaakaabaaaadaaaaaadhaaaaajlcaabaaaaaaaaaaakgakbaaa
aaaaaaaaegaibaaaahaaaaaaegaibaaaafaaaaaadgaaaaafccaabaaaadaaaaaa
ckaabaaaacaaaaaadhaaaaajhcaabaaaafaaaaaakgakbaaaaaaaaaaaegacbaaa
aeaaaaaaegacbaaaadaaaaaabaaaaaaiecaabaaaaaaaaaaaegacbaaaabaaaaaa
egiccaaaaaaaaaaaaoaaaaaabaaaaaaibcaabaaaaaaaaaaaegadbaaaaaaaaaaa
egiccaaaaaaaaaaaaoaaaaaaaaaaaaaiccaabaaaaaaaaaaabkiacaaaaaaaaaaa
amaaaaaaabeaaaaaaaaamieedbaaaaahicaabaaaaaaaaaaabkaabaaaafaaaaaa
bkaabaaaaaaaaaaaaoaaaaahdcaabaaaaaaaaaaaegaabaaaaaaaaaaafgafbaaa
afaaaaaadiaaaaahhcaabaaaahaaaaaafgafbaaaaaaaaaaaegacbaaaagaaaaaa
aaaaaaaiicaabaaaahaaaaaabkiacaaaaaaaaaaaamaaaaaaabeaaaaaaaaamiee
dgaaaaaficaabaaaagaaaaaabkaabaaaafaaaaaadhaaaaajpcaabaaaagaaaaaa
pgapbaaaaaaaaaaaegaobaaaahaaaaaaegaobaaaagaaaaaabaaaaaahccaabaaa
aaaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaaelaaaaaficaabaaaaaaaaaaa
bkaabaaaaaaaaaaabaaaaaahbcaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaa
abaaaaaabaaaaaaiccaabaaaabaaaaaaegacbaaaagaaaaaaegiccaaaaaaaaaaa
aoaaaaaaaoaaaaahicaabaaaaaaaaaaabkaabaaaabaaaaaadkaabaaaaaaaaaaa
diaaaaajccaabaaaabaaaaaabkiacaaaaaaaaaaaaiaaaaaaakiacaaaaaaaaaaa
apaaaaaaaoaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaadpbkaabaaaabaaaaaa
diaaaaahecaabaaaabaaaaaadkaabaaaagaaaaaackaabaaaabaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaaoaaaaahicaabaaaabaaaaaaakaabaaa
afaaaaaadkaabaaaagaaaaaaaaaaaaahicaabaaaafaaaaaadkaabaaaabaaaaaa
ckaabaaaafaaaaaadiaaaaahmcaabaaaabaaaaaakgakbaaaabaaaaaakgaobaaa
afaaaaaadbaaaaakdcaabaaaacaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaogakbaaaabaaaaaadbaaaaakgcaabaaaadaaaaaakgalbaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaidcaabaaaacaaaaaa
egaabaiaebaaaaaaacaaaaaajgafbaaaadaaaaaaclaaaaafdcaabaaaacaaaaaa
egaabaaaacaaaaaadiaaaaahocaabaaaadaaaaaakgaobaaaabaaaaaakgaobaaa
abaaaaaadbaaaaahecaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaaacaaaaaa
diaaaaahccaabaaaadaaaaaabkaabaaaadaaaaaaabeaaaaadlkklidpbjaaaaaf
ccaabaaaadaaaaaabkaabaaaadaaaaaaabaaaaahecaabaaaacaaaaaackaabaaa
acaaaaaabkaabaaaadaaaaaadcaaaaapgcaabaaaadaaaaaakgalbaaaadaaaaaa
aceaaaaaaaaaaaaafmipmcdpfmipmcdpaaaaaaaaaceaaaaaaaaaaaaaaaaaiaea
aaaaiaeaaaaaaaaaelaaaaafgcaabaaaadaaaaaafgagbaaaadaaaaaadcaaaaan
mcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
gjgpbeeagjgpbeeafgajbaaaadaaaaaaaoaaaaahmcaabaaaabaaaaaaagaebaaa
acaaaaaakgaobaaaabaaaaaaaoaaaaaibcaabaaaacaaaaaaakaabaiaebaaaaaa
afaaaaaabkaabaaaabaaaaaaaaaaaaahccaabaaaacaaaaaadkaabaaaagaaaaaa
dkaabaaaagaaaaaaaoaaaaahccaabaaaacaaaaaaakaabaaaafaaaaaabkaabaaa
acaaaaaaaaaaaaahccaabaaaacaaaaaackaabaaaafaaaaaabkaabaaaacaaaaaa
diaaaaahbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaadiaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaadlkklidpbjaaaaafccaabaaa
ahaaaaaaakaabaaaacaaaaaadgaaaaaifcaabaaaahaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaadiaaaaahmcaabaaaabaaaaaakgaobaaaabaaaaaa
agaebaaaahaaaaaadiaaaaahbcaabaaaacaaaaaabkaabaaaabaaaaaadkaabaaa
agaaaaaadiaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaciapmjea
elaaaaafbcaabaaaacaaaaaaakaabaaaacaaaaaaaaaaaaajccaabaaaadaaaaaa
dkaabaiaebaaaaaaagaaaaaabkiacaaaaaaaaaaaamaaaaaaaoaaaaahccaabaaa
abaaaaaabkaabaaaadaaaaaabkaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaadlkklidpbjaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaacaaaaaa
apaaaaakecaabaaaabaaaaaaogakbaaaabaaaaaaaceaaaaaaaaaiadpaaaaialp
aaaaaaaaaaaaaaaaaaaaaaahecaabaaaabaaaaaackaabaaaabaaaaaackaabaaa
acaaaaaadiaaaaahccaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaa
diaaaaajecaabaaaabaaaaaadkiacaaaaaaaaaaaajaaaaaaakiacaaaaaaaaaaa
apaaaaaaaoaaaaahicaabaaaabaaaaaaabeaaaaaaaaaaadpckaabaaaabaaaaaa
diaaaaahicaabaaaabaaaaaadkaabaaaagaaaaaadkaabaaaabaaaaaaelaaaaaf
icaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahfcaabaaaacaaaaaakgalbaaa
afaaaaaapgapbaaaabaaaaaadbaaaaakmcaabaaaadaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaagaibaaaacaaaaaadbaaaaakfcaabaaaaeaaaaaa
agacbaaaacaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaai
mcaabaaaadaaaaaakgaobaiaebaaaaaaadaaaaaaagaibaaaaeaaaaaaclaaaaaf
mcaabaaaadaaaaaakgaobaaaadaaaaaadiaaaaahncaabaaaaeaaaaaaagaibaaa
acaaaaaaagaibaaaacaaaaaadbaaaaahicaabaaaabaaaaaackaabaaaadaaaaaa
dkaabaaaadaaaaaadiaaaaahbcaabaaaaeaaaaaaakaabaaaaeaaaaaaabeaaaaa
dlkklidpbjaaaaafbcaabaaaaeaaaaaaakaabaaaaeaaaaaaabaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaaakaabaaaaeaaaaaadcaaaaapfcaabaaaaeaaaaaa
kgalbaaaaeaaaaaaaceaaaaafmipmcdpaaaaaaaafmipmcdpaaaaaaaaaceaaaaa
aaaaiaeaaaaaaaaaaaaaiaeaaaaaaaaaelaaaaaffcaabaaaaeaaaaaaagacbaaa
aeaaaaaadcaaaaanfcaabaaaacaaaaaaagacbaiaibaaaaaaacaaaaaaaceaaaaa
gjgpbeeaaaaaaaaagjgpbeeaaaaaaaaaagacbaaaaeaaaaaaaoaaaaahfcaabaaa
acaaaaaakgalbaaaadaaaaaaagacbaaaacaaaaaaaoaaaaaiecaabaaaadaaaaaa
akaabaiaebaaaaaaafaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
bkaabaaaacaaaaaackaabaaaadaaaaaadiaaaaahccaabaaaacaaaaaabkaabaaa
acaaaaaaabeaaaaadlkklidpbjaaaaaficaabaaaahaaaaaabkaabaaaacaaaaaa
diaaaaahdcaabaaaacaaaaaaigaabaaaacaaaaaaogakbaaaahaaaaaadiaaaaah
ecaabaaaacaaaaaackaabaaaabaaaaaadkaabaaaagaaaaaadiaaaaahecaabaaa
acaaaaaackaabaaaacaaaaaaabeaaaaaciapmjeaelaaaaafecaabaaaacaaaaaa
ckaabaaaacaaaaaaaoaaaaahecaabaaaabaaaaaabkaabaaaadaaaaaackaabaaa
abaaaaaadiaaaaahecaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaadlkklidp
bjaaaaafecaabaaaabaaaaaackaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaa
ckaabaaaabaaaaaackaabaaaacaaaaaaapaaaaakbcaabaaaacaaaaaaegaabaaa
acaaaaaaaceaaaaaaaaaiadpaaaaialpaaaaaaaaaaaaaaaaaaaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaadiaaaaahecaabaaaabaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadiaaaaaipcaabaaaahaaaaaakgakbaaa
abaaaaaaegiccaaaaaaaaaaaalaaaaaadcaaaaampcaabaaaahaaaaaaegiccaia
ebaaaaaaaaaaaaaaajaaaaaafgafbaaaabaaaaaaegaobaiaebaaaaaaahaaaaaa
diaaaaakpcaabaaaahaaaaaaegaobaaaahaaaaaaaceaaaaadlkklidpdlkklidp
dlkklidpdlkklidpbjaaaaafpcaabaaaahaaaaaaegaobaaaahaaaaaaddaaaaak
pcaabaaaahaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpdcaaaaakccaabaaaabaaaaaabkaabaaaaeaaaaaabkaabaaaaeaaaaaa
dkaabaiaebaaaaaaacaaaaaaelaaaaafecaabaaaaeaaaaaabkaabaaaabaaaaaa
diaaaaahccaabaaaabaaaaaadkaabaaaagaaaaaadkaabaaaagaaaaaadcaaaaak
ecaabaaaabaaaaaadkaabaaaagaaaaaadkaabaaaagaaaaaadkaabaiaebaaaaaa
acaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaadiaaaaahicaabaaa
abaaaaaackaabaaaafaaaaaadkaabaaaagaaaaaadcaaaaakccaabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadcaaaaal
ccaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaabkiacaaaaaaaaaaaamaaaaaa
bkaabaaaabaaaaaadbaaaaahbcaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaabkaabaaaabaaaaaa
abaaaaahbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaaaoaaaaal
ocaabaaaacaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaadpfgiicaaa
aaaaaaaaanaaaaaaaaaaaaaiicaabaaaafaaaaaabkaabaiaebaaaaaaacaaaaaa
abeaaaaaaaaaaadpdiaaaaahccaabaaaaeaaaaaackaabaaaaeaaaaaackaabaaa
aeaaaaaaaaaaaaahicaabaaaaeaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaaadp
dgaaaaaihcaabaaaafaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaaaaaaaaaaaaa
dgaaaaafbcaabaaaaeaaaaaaabeaaaaaaaaaialpdhaaaaajpcaabaaaagaaaaaa
agaabaaaacaaaaaaigaobaaaafaaaaaaegaobaaaaeaaaaaaaoaaaaahbcaabaaa
acaaaaaackaabaaaabaaaaaackaabaaaaeaaaaaaaoaaaaalocaabaaaadaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpagijcaaaaaaaaaaaanaaaaaa
aaaaaaalocaabaaaadaaaaaafgaobaiaebaaaaaaadaaaaaaaceaaaaaaaaaaaaa
aaaaiadpaaaaaadpaaaaiadpdcaaaaajbcaabaaaacaaaaaaakaabaaaacaaaaaa
bkaabaaaadaaaaaackaabaaaacaaaaaaaaaaaaahgcaabaaaabaaaaaafgagbaaa
abaaaaaafgagbaaaagaaaaaaelaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaa
dcaaaaajccaabaaaabaaaaaadkaabaaaabaaaaaaakaabaaaagaaaaaabkaabaaa
abaaaaaaaoaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaa
dcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaadaaaaaadkaabaaa
agaaaaaadeaaaaahecaabaaaabaaaaaaakaabaaaaaaaaaaaabeaaaaahbdneklo
diaaaaahecaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaabodakleaddaaaaai
icaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaaaaaaiadpdeaaaaai
ccaabaaaacaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaaaaaaiadpaoaaaaak
ccaabaaaacaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpbkaabaaa
acaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaabkaabaaaacaaaaaa
diaaaaahccaabaaaacaaaaaadkaabaaaabaaaaaadkaabaaaabaaaaaadcaaaaaj
bcaabaaaagaaaaaabkaabaaaacaaaaaaabeaaaaafpkokkdmabeaaaaadgfkkoln
dcaaaaajbcaabaaaagaaaaaabkaabaaaacaaaaaaakaabaaaagaaaaaaabeaaaaa
ochgdidodcaaaaajbcaabaaaagaaaaaabkaabaaaacaaaaaaakaabaaaagaaaaaa
abeaaaaaaebnkjlodcaaaaajccaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaa
agaaaaaaabeaaaaadiphhpdpdiaaaaahbcaabaaaagaaaaaadkaabaaaabaaaaaa
bkaabaaaacaaaaaadbaaaaaiccaabaaaagaaaaaaabeaaaaaaaaaiadpckaabaia
ibaaaaaaabaaaaaadcaaaaajbcaabaaaagaaaaaaakaabaaaagaaaaaaabeaaaaa
aaaaaamaabeaaaaanlapmjdpabaaaaahbcaabaaaagaaaaaabkaabaaaagaaaaaa
akaabaaaagaaaaaadcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaabkaabaaa
acaaaaaaakaabaaaagaaaaaaddaaaaahecaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaaaaaiadpdbaaaaaiecaabaaaabaaaaaackaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaadhaaaaakecaabaaaabaaaaaackaabaaaabaaaaaadkaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaadcaaaaajecaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaacolkgidpabeaaaaakehadndpdiaaaaahecaabaaaabaaaaaa
ckaabaaaabaaaaaaabeaaaaaaaaaaadpdcaaaaajecaabaaaabaaaaaackaabaaa
abaaaaaadkaabaaaadaaaaaadkaabaaaacaaaaaaaaaaaaahicaabaaaabaaaaaa
ckaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiccaabaaaacaaaaaadkiacaaaaaaaaaaa
anaaaaaaabeaaaaaaaaaialpdiaaaaahbcaabaaaagaaaaaadkaabaaaabaaaaaa
bkaabaaaacaaaaaaebaaaaafbcaabaaaagaaaaaaakaabaaaagaaaaaadcaaaaak
icaabaaaabaaaaaadkaabaaaabaaaaaabkaabaaaacaaaaaaakaabaiaebaaaaaa
agaaaaaadiaaaaaiccaabaaaacaaaaaaakaabaaaacaaaaaaakiacaaaaaaaaaaa
anaaaaaadcaaaaakbcaabaaaacaaaaaaakaabaaaacaaaaaaakiacaaaaaaaaaaa
anaaaaaaabeaaaaaaaaaialpebaaaaafbcaabaaaacaaaaaaakaabaaaacaaaaaa
aoaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaaakiacaaaaaaaaaaaanaaaaaa
ebaaaaafccaabaaaagaaaaaabkaabaaaacaaaaaaaoaaaaaiccaabaaaagaaaaaa
bkaabaaaagaaaaaaakiacaaaaaaaaaaaanaaaaaabkaaaaafccaabaaaacaaaaaa
bkaabaaaacaaaaaaaaaaaaahecaabaaaabaaaaaackaabaaaabaaaaaaakaabaaa
agaaaaaaaoaaaaaiccaabaaaaiaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaa
anaaaaaaaoaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
anaaaaaaaaaaaaahecaabaaaaiaaaaaaakaabaaaacaaaaaabkaabaaaabaaaaaa
eiaaaaalpcaabaaaajaaaaaajgafbaaaaiaaaaaaeghobaaaabaaaaaaaagabaaa
aaaaaaaaabeaaaaaaaaaaaaaaaaaaaaibcaabaaaacaaaaaadkaabaiaebaaaaaa
abaaaaaaabeaaaaaaaaaiadpaaaaaaahecaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaaaaaiadpaoaaaaaibcaabaaaaiaaaaaackaabaaaabaaaaaadkiacaaa
aaaaaaaaanaaaaaaeiaaaaalpcaabaaaakaaaaaaigaabaaaaiaaaaaaeghobaaa
abaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaadiaaaaahpcaabaaaakaaaaaa
pgapbaaaabaaaaaaegaobaaaakaaaaaadcaaaaajpcaabaaaajaaaaaaegaobaaa
ajaaaaaaagaabaaaacaaaaaaegaobaaaakaaaaaaaaaaaaahicaabaaaaiaaaaaa
bkaabaaaagaaaaaabkaabaaaabaaaaaaeiaaaaalpcaabaaaakaaaaaangafbaaa
aiaaaaaaeghobaaaabaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaaeiaaaaal
pcaabaaaaiaaaaaamgaabaaaaiaaaaaaeghobaaaabaaaaaaaagabaaaaaaaaaaa
abeaaaaaaaaaaaaadiaaaaahpcaabaaaaiaaaaaapgapbaaaabaaaaaaegaobaaa
aiaaaaaadcaaaaajpcaabaaaaiaaaaaaegaobaaaakaaaaaaagaabaaaacaaaaaa
egaobaaaaiaaaaaaaaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaaacaaaaaa
abeaaaaaaaaaiadpdiaaaaahpcaabaaaaiaaaaaafgafbaaaacaaaaaaegaobaaa
aiaaaaaadcaaaaajpcaabaaaaiaaaaaaegaobaaaajaaaaaafgafbaaaabaaaaaa
egaobaaaaiaaaaaadcaaaaamccaabaaaabaaaaaabkiacaiaebaaaaaaaaaaaaaa
amaaaaaabkiacaaaaaaaaaaaamaaaaaabkaabaaaaaaaaaaaelaaaaafccaabaaa
abaaaaaabkaabaaaabaaaaaadcaaaaakccaabaaaaaaaaaaaakaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaiaebaaaaaaaaaaaaaadcaaaaalccaabaaaaaaaaaaa
bkiacaaaaaaaaaaaamaaaaaabkiacaaaaaaaaaaaamaaaaaabkaabaaaaaaaaaaa
dbaaaaahecaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaadbaaaaah
ccaabaaaacaaaaaaabeaaaaaaaaaaaaabkaabaaaaaaaaaaaabaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaacaaaaaadhaaaaajpcaabaaaafaaaaaa
kgakbaaaabaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaaoaaaaahecaabaaa
abaaaaaabkaabaaaabaaaaaackaabaaaaeaaaaaadcaaaaajecaabaaaabaaaaaa
ckaabaaaabaaaaaabkaabaaaadaaaaaackaabaaaacaaaaaaaaaaaaahccaabaaa
aaaaaaaabkaabaaaaaaaaaaabkaabaaaafaaaaaaelaaaaafccaabaaaaaaaaaaa
bkaabaaaaaaaaaaadcaaaaajccaabaaaaaaaaaaaakaabaaaabaaaaaaakaabaaa
afaaaaaabkaabaaaaaaaaaaaaaaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaa
ckaabaaaafaaaaaaaoaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaa
abaaaaaadcaaaaajccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaaaadaaaaaa
dkaabaaaafaaaaaadeaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaa
hbdneklodiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaabodaklea
ddaaaaaibcaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaaaaaaiadp
deaaaaaiccaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaaaaaaiadp
aoaaaaakccaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
bkaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajccaabaaaacaaaaaabkaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaa
dgfkkolndcaaaaajccaabaaaacaaaaaabkaabaaaabaaaaaabkaabaaaacaaaaaa
abeaaaaaochgdidodcaaaaajccaabaaaacaaaaaabkaabaaaabaaaaaabkaabaaa
acaaaaaaabeaaaaaaebnkjlodcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaa
bkaabaaaacaaaaaaabeaaaaadiphhpdpdiaaaaahccaabaaaacaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadbaaaaaiecaabaaaacaaaaaaabeaaaaaaaaaiadp
dkaabaiaibaaaaaaaaaaaaaadcaaaaajccaabaaaacaaaaaabkaabaaaacaaaaaa
abeaaaaaaaaaaamaabeaaaaanlapmjdpabaaaaahccaabaaaacaaaaaackaabaaa
acaaaaaabkaabaaaacaaaaaadcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaabaaaaaabkaabaaaacaaaaaaddaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaaiadpdbaaaaaiicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaiaebaaaaaaaaaaaaaadhaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaiaebaaaaaaabaaaaaaakaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaacolkgidpabeaaaaakehadndpdiaaaaahicaabaaa
aaaaaaaadkaabaaaadaaaaaadkaabaaaaaaaaaaadcaaaaajicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaadpdkaabaaaacaaaaaadiaaaaaibcaabaaa
abaaaaaackaabaaaabaaaaaaakiacaaaaaaaaaaaanaaaaaadcaaaaakccaabaaa
abaaaaaackaabaaaabaaaaaaakiacaaaaaaaaaaaanaaaaaaabeaaaaaaaaaialp
ebaaaaafgcaabaaaabaaaaaafgaebaaaabaaaaaaaoaaaaaigcaabaaaabaaaaaa
fgagbaaaabaaaaaaagiacaaaaaaaaaaaanaaaaaabkaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaaaaaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
agaaaaaaaoaaaaaiccaabaaaaeaaaaaadkaabaaaaaaaaaaadkiacaaaaaaaaaaa
anaaaaaaaoaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaaaaaaaaaa
anaaaaaaaaaaaaahmcaabaaaaeaaaaaafgajbaaaabaaaaaafgafbaaaaaaaaaaa
eiaaaaalpcaabaaaafaaaaaajgafbaaaaeaaaaaaeghobaaaabaaaaaaaagabaaa
aaaaaaaaabeaaaaaaaaaaaaaaaaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaiadpaoaaaaaibcaabaaaaeaaaaaadkaabaaaaaaaaaaadkiacaaa
aaaaaaaaanaaaaaaeiaaaaalpcaabaaaagaaaaaaigaabaaaaeaaaaaaeghobaaa
abaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaadiaaaaahpcaabaaaagaaaaaa
pgapbaaaabaaaaaaegaobaaaagaaaaaadcaaaaajpcaabaaaafaaaaaaegaobaaa
afaaaaaaagaabaaaacaaaaaaegaobaaaagaaaaaaeiaaaaalpcaabaaaagaaaaaa
ngafbaaaaeaaaaaaeghobaaaabaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaa
eiaaaaalpcaabaaaaeaaaaaamgaabaaaaeaaaaaaeghobaaaabaaaaaaaagabaaa
aaaaaaaaabeaaaaaaaaaaaaadiaaaaahpcaabaaaaeaaaaaapgapbaaaabaaaaaa
egaobaaaaeaaaaaadcaaaaajpcaabaaaacaaaaaaegaobaaaagaaaaaaagaabaaa
acaaaaaaegaobaaaaeaaaaaaaaaaaaaiccaabaaaaaaaaaaaakaabaiaebaaaaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahpcaabaaaabaaaaaaagaabaaaabaaaaaa
egaobaaaacaaaaaadcaaaaajpcaabaaaabaaaaaaegaobaaaafaaaaaafgafbaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegaobaiaebaaaaaa
abaaaaaaegaobaaaahaaaaaaegaobaaaaiaaaaaadeaaaaakpcaabaaaacaaaaaa
egaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadicaaaah
bcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaeiecdcaaaaajccaabaaa
aaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaaamaabeaaaaaaaaaeaeadiaaaaah
bcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahbcaabaaa
aaaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaadiaaaaahbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadkaabaaaacaaaaaadiaaaaahlcaabaaaaaaaaaaaagaabaaa
aaaaaaaaegaibaaaacaaaaaadeaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaabhlhnbdiaoaaaaahlcaabaaaaaaaaaaaegambaaaaaaaaaaaagaabaaa
abaaaaaaaoaaaaajhcaabaaaabaaaaaaagiacaaaaaaaaaaaajaaaaaaegiccaaa
aaaaaaaaajaaaaaadiaaaaahlcaabaaaaaaaaaaaegambaaaaaaaaaaaegaibaaa
abaaaaaadiaaaaaldcaabaaaabaaaaaaagiacaaaaaaaaaaaahaaaaaaaceaaaaa
aaaaiaebaaaaiaeaaaaaaaaaaaaaaaaaaoaaaaakdcaabaaaabaaaaaaaceaaaaa
aaaaeaeaaaaamadpaaaaaaaaaaaaaaaaegaabaaaabaaaaaadcaaaaajecaabaaa
abaaaaaackaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaam
icaabaaaabaaaaaadkiacaiaebaaaaaaaaaaaaaaalaaaaaadkiacaaaaaaaaaaa
alaaaaaaabeaaaaaaaaaiadpdiaaaaahdcaabaaaabaaaaaaogakbaaaabaaaaaa
egaabaaaabaaaaaadcaaaaaogcaabaaaadaaaaaapgipcaaaaaaaaaaaalaaaaaa
pgipcaaaaaaaaaaaalaaaaaaaceaaaaaaaaaaaaaaaaaiadpaaaaaaeaaaaaaaaa
apaaaaaiecaabaaaaaaaaaaakgakbaaaaaaaaaaapgipcaaaaaaaaaaaalaaaaaa
aaaaaaaiecaabaaaaaaaaaaackaabaiaebaaaaaaaaaaaaaabkaabaaaadaaaaaa
cpaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaa
ckaabaaaaaaaaaaaabeaaaaaaaaamalpbjaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaabkaabaaaabaaaaaa
diaaaaahecaabaaaaaaaaaaackaabaaaabaaaaaackaabaaaaaaaaaaaaoaaaaah
ecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaaadaaaaaadiaaaaahhcaabaaa
aaaaaaaakgakbaaaaaaaaaaaegadbaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaa
egacbaaaacaaaaaaagaabaaaabaaaaaaegacbaaaaaaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaapgipcaaaaaaaaaaaaoaaaaaabnaaaaaiicaabaaa
aaaaaaaadkiacaaaaaaaaaaabeaaaaaaakaabaaaadaaaaaadiaaaaahbcaabaaa
abaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaiaeaaoaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaadkiacaaaaaaaaaaabeaaaaaadiaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaadlkklilpbjaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaaabeaaaaa
aaaaiadpdhaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiadpdiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaagiacaaa
aaaaaaaaamaaaaaadbaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
cpnnledpcpnnledpcpnnledpaaaaaaaadiaaaaakpcaabaaaacaaaaaaagafbaaa
aaaaaaaaaceaaaaanmcomedodlkklilpnmcomedodlkklilpcpaaaaafdcaabaaa
aaaaaaaaigaabaaaacaaaaaadiaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaa
aceaaaaacplkoidocplkoidoaaaaaaaaaaaaaaaabjaaaaafdcaabaaaaaaaaaaa
egaabaaaaaaaaaaabjaaaaafdcaabaaaacaaaaaangafbaaaacaaaaaaaaaaaaal
dcaabaaaacaaaaaaegaabaiaebaaaaaaacaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadhaaaaajdcaabaaaacaaaaaaegaabaaaabaaaaaaegaabaaa
aaaaaaaaegaabaaaacaaaaaadiaaaaakdcaabaaaaaaaaaaakgakbaaaaaaaaaaa
aceaaaaanmcomedodlkklilpaaaaaaaaaaaaaaaacpaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaa
cplkoidobjaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaabjaaaaafccaabaaa
aaaaaaaabkaabaaaaaaaaaaaaaaaaaaiccaabaaaaaaaaaaabkaabaiaebaaaaaa
aaaaaaaaabeaaaaaaaaaiadpdhaaaaajecaabaaaacaaaaaackaabaaaabaaaaaa
akaabaaaaaaaaaaabkaabaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
acaaaaaakgikcaaaaaaaaaaabeaaaaaadiaaaaahhccabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadgaaaaaficcabaaaaaaaaaaaabeaaaaaaaaaiadp
doaaaaab"
}
SubProgram "gles " {
Keywords { "GODRAYS_OFF" }
"!!GLES"
}
SubProgram "gles3 " {
Keywords { "GODRAYS_OFF" }
"!!GLES3"
}
SubProgram "glcore " {
Keywords { "GODRAYS_OFF" }
"!!GL3x"
}
SubProgram "opengl " {
Keywords { "GODRAYS_ON" }
"!!GLSL"
}
SubProgram "d3d9 " {
// Stats: 460 math, 18 textures, 2 branches
Keywords { "GODRAYS_ON" }
Matrix 0 [_ViewProjInv]
Float 7 [HM]
Float 5 [HR]
Float 4 [M_PI]
Float 14 [RES_MU]
Float 15 [RES_MU_S]
Float 16 [RES_NU]
Float 13 [RES_R]
Float 11 [Rg]
Float 12 [Rt]
Vector 17 [SUN_DIR]
Float 18 [SUN_INTENSITY]
Float 10 [_Exposure]
Vector 22 [_camPos]
Float 19 [_experimentalAtmoScale]
Float 20 [_global_alpha]
Float 21 [_global_depth]
Float 23 [_openglThreshold]
Vector 8 [betaMEx]
Vector 6 [betaR]
Float 9 [mieG]
SetTexture 0 [_Inscatter] 2D 0
SetTexture 1 [_customDepthTexture] 2D 1
SetTexture 2 [_godrayDepthTexture] 2D 2
"ps_3_0
def c24, 4, 0.899999976, -9.99999997e-007, 1600
def c25, 2.31929994, 6.28310013, 0.197500005, -1.05655074
def c26, 0.5, 1.44269502, 1.51999998, 4
def c27, 5.34962368, 50, 0.0208350997, -0.0851330012
def c28, -2, 1.57079637, 0.909090877, 0.74000001
def c29, 0.180141002, -0.330299497, 0.999866009, -9.99999975e-005
def c30, 0.383170009, -1.44269502, 0, 0
def c31, 16, 4, -1.41299999, 0.454545468
def c32, -1, 2, 0, 1
def c33, -2, 3, 10000, 1.5
dcl_texcoord2 v0.xy
dcl_2d s0
dcl_2d s1
dcl_2d s2
texld r0, v0, s1
add r0.y, r0.x, c32.x
mul r1.xyz, c32.yyzw, v0.xyxw
add r2.xyw, r1.xyzz, c32.xxzw
mov r2.z, r0.x
dp4 r3.x, c0, r2
dp4 r3.y, c1, r2
dp4 r3.z, c2, r2
dp4 r0.z, c3, r2
rcp r0.z, r0.z
mad r2.xyz, r3, r0.z, -c22
nrm r3.xyz, r2
mov r2.xyz, c22
mul r4.xyz, r2.zxyw, c17.yzxw
mad r2.xzw, r2.yyzx, c17.zyxy, -r4.xyyz
nrm r4.xyz, r2.xzww
dp3 r0.z, r4, r3
add r0.z, -r0_abs.z, c32.w
texld r3, v0, s2
add r0.w, -r0.x, r3.x
mad r0.z, r0.z, r0.w, r0.x
cmp r1.w, r0.y, -c32.z, -c32.w
cmp r0.w, r0.w, c32.z, r1.w
cmp r0.w, -r3.x, c32.z, r0.w
cmp r3.z, r0.w, r0.x, r0.z
add r3.xyw, r1.xyzz, c32.xxzw
dp4 r1.x, c0, r3
dp4 r1.y, c1, r3
dp4 r1.z, c2, r3
dp4 r0.x, c3, r3
rcp r0.x, r0.x
mul r2.xzw, r0.x, r1.xyyz
mad r0.xzw, r1.xyyz, r0.x, -c22.xyyz
dp3 r1.x, r0.xzww, r0.xzww
dp3 r1.y, r0.xzww, c22
add r1.z, r1.y, r1.y
dp3 r1.w, c22, c22
mul r3.x, c11.x, c11.x
mad r3.y, c11.x, -c11.x, r1.w
mul r3.y, r1.x, r3.y
mul r3.y, r3.y, c24.x
mad r1.z, r1.z, r1.z, -r3.y
rsq r3.y, r1.z
rcp r3.y, r3.y
mad r1.y, r1.y, -c32.y, -r3.y
add r3.y, r1.x, r1.x
rcp r3.y, r3.y
mul r1.y, r1.y, r3.y
cmp r1.y, r1.z, r1.y, c32.x
cmp r0.y, -r0_abs.y, c32.w, c32.z
cmp r0.y, -r1.y, r0.y, c32.z
cmp_pp oC0.w, -r0.y, c32.w, c32.z
if_ne r0.y, -r0.y
mov_pp oC0.xyz, c32.z
else
mul r3.yzw, r0.xxzw, r1.y
mad r0.xyz, r1.y, r0.xzww, c22
dp3 r0.w, r3.yzww, r3.yzww
rsq r0.w, r0.w
rcp r0.w, r0.w
rsq r1.x, r1.x
rcp r1.x, r1.x
add r0.w, r0.w, -r1.x
cmp r0.w, r0.w, -c32.z, -c32.w
cmp r0.w, -r1.y, c32.z, r0.w
cmp r0.xyz, r0.w, r2.xzww, r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
rcp r1.x, r0.w
mov r2.x, c11.x
add r1.y, r2.x, c23.x
add r1.x, -r1.y, r1.x
mul r3.yzw, r0.w, r0.xxyz
mul r3.yzw, r1.y, r3
cmp r0.xyz, r1.x, r0, r3.yzww
add r1.xyz, r0, -c22
dp3 r2.z, r1, r1
rsq r2.z, r2.z
rcp r4.x, r2.z
mul r1.xyz, r1, r2.z
add r2.z, -r2.x, c12.x
mad r5.y, r2.z, c19.x, r2.x
rsq r1.w, r1.w
rcp r6.z, r1.w
mad r1.w, r2.x, -c24.y, r6.z
add r7.y, r2.y, c11.x
add r8.y, r0.y, c11.x
mov r7.xz, c22
dp3 r2.y, r7, r7
rsq r2.y, r2.y
rcp r8.z, r2.y
mov r6.x, c22.y
mov r6.y, r0.y
mov r8.x, r7.y
cmp r2.yzw, r1.w, r6.xxyz, r8.xxyz
mov r6.xz, c22
mov r6.y, r2.y
dp3 r0.y, r6, r1
rcp r1.w, r2.w
mul r4.z, r0.y, r1.w
min r1.w, r4.x, c32.w
mov r0.w, r2.z
mad r7.xyz, r1, -r1.w, r0.xwzw
mul r0.x, r2.w, r2.w
mad r0.x, r0.y, r0.y, -r0.x
mad r0.x, r5.y, r5.y, r0.x
rsq r0.z, r0.x
rcp r0.z, r0.z
cmp r0.x, r0.x, -r0.z, c24.z
add r0.x, r0.x, -r0.y
max r1.w, r0.x, c32.z
add r0.x, -r4.x, r1.w
mad r3.yzw, r1.w, r1.xxyz, r6.xxyz
add r0.y, r0.y, r1.w
rcp r0.z, r5.y
mul r5.z, r0.z, r0.y
add r5.x, -r1.w, r4.x
cmp r0.x, r0.x, -c32.z, -c32.w
cmp r0.x, -r1.w, c32.z, r0.x
cmp r0.yzw, r0.x, r6.xxyz, r3
mov r4.y, r2.w
cmp r6.xyz, r0.x, r4, r5
dp3 r0.x, r1, c17
dp3 r0.y, r0.yzww, c17
rcp r0.z, r6.y
mul r0.w, r0.z, r0.y
add r1.w, r2.x, c24.w
add r2.x, -r1.w, r6.y
mul r1.w, r0.z, r1.w
mul r8.w, r1.w, r6.y
mul r8.xyz, r1.w, r7
mov r7.w, r6.y
cmp r2, r2.x, r7, r8
dp3 r1.w, r2, r2
rsq r1.w, r1.w
rcp r3.y, r1.w
dp3 r1.x, r2, r1
dp3 r1.y, r2, c17
mul r1.xz, r1.w, r1.xyyw
mov r2.x, c19.x
mul r2.y, r2.x, c5.x
rcp r2.z, r2.y
mul r3.z, r2.z, r2.w
mul r3.z, r3.z, c26.x
rsq r3.z, r3.z
rcp r3.z, r3.z
rcp r3.w, r2.w
mad r6.w, r6.x, r3.w, r6.z
mul r3.zw, r3.z, r6
cmp r4.yz, -r3.xzww, c32.z, c32.w
cmp r5.xz, r3.zyww, -c32.z, -c32.w
add r4.yz, r4, r5.xxzw
mul r5.xzw, r3.zyzw, r3.zyzw
add r4.w, -r4.z, r4.y
mul r5.x, r5.x, c26.y
exp r5.x, r5.x
cmp r4.w, r4.w, c32.z, r5.x
mad r5.xz, r5.zyww, c26.z, c26.w
rsq r5.x, r5.x
rsq r5.z, r5.z
rcp r7.x, r5.x
rcp r7.y, r5.z
mad r3.zw, r3_abs, c25.x, r7.xyxy
rcp r7.x, r3.z
rcp r7.y, r3.w
mul r3.zw, r4.xyyz, r7.xyxy
mul r4.y, r2.z, -r6.x
add r4.z, r2.w, r2.w
rcp r4.z, r4.z
mad r4.z, r6.x, r4.z, r6.z
mul r4.y, r4.z, r4.y
mul r4.y, r4.y, c26.y
exp r7.y, r4.y
mov r7.xz, c32.w
mul r3.zw, r3, r7.xyxy
mul r2.y, r2.y, r2.w
mul r2.y, r2.y, c25.y
rsq r2.y, r2.y
rcp r2.y, r2.y
add r4.y, -r2.w, c11.x
mul r2.z, r2.z, r4.y
mul r2.z, r2.z, c26.y
exp r2.z, r2.z
mul r2.y, r2.z, r2.y
dp2add r2.z, r3.zwzw, c32.wxzw, r4.w
mul r2.y, r2.z, r2.y
mul r2.x, r2.x, c7.x
rcp r2.z, r2.x
mul r3.z, r2.z, r2.w
mul r3.z, r3.z, c26.x
rsq r3.z, r3.z
rcp r3.z, r3.z
mul r3.zw, r6, r3.z
cmp r5.xz, -r3.zyww, c32.z, c32.w
cmp r6.yw, r3.xzzw, -c32.z, -c32.w
add r5.xz, r5, r6.yyww
mul r8.xyz, r3.zzww, r3.zzww
add r4.w, -r5.z, r5.x
mul r5.w, r8.x, c26.y
exp r5.w, r5.w
cmp r4.w, r4.w, c32.z, r5.w
mad r6.yw, r8.xyzz, c26.z, c26.w
rsq r5.w, r6.y
rsq r6.y, r6.w
rcp r7.x, r5.w
rcp r7.y, r6.y
mad r3.zw, r3_abs, c25.x, r7.xyxy
rcp r7.x, r3.z
rcp r7.y, r3.w
mul r3.zw, r5.xyxz, r7.xyxy
mul r5.x, r2.z, -r6.x
mul r4.z, r4.z, r5.x
mul r4.z, r4.z, c26.y
exp r7.w, r4.z
mul r3.zw, r3, r7
mul r2.x, r2.x, r2.w
mul r2.x, r2.x, c25.y
rsq r2.x, r2.x
rcp r2.x, r2.x
mul r2.z, r2.z, r4.y
mul r2.z, r2.z, c26.y
exp r2.z, r2.z
mul r2.x, r2.z, r2.x
dp2add r2.z, r3.zwzw, c32.wxzw, r4.w
mul r2.x, r2.z, r2.x
mul r4.yzw, r2.x, c8.xxyz
mad r2.xyz, -c6, r2.y, -r4.yzww
mul r2.xyz, r2, c26.y
exp_sat r7.xw, r2.x
exp_sat r7.y, r2.y
exp_sat r7.z, r2.z
mad r2.x, r5.y, r5.y, -r3.x
rsq r2.x, r2.x
rcp r5.z, r2.x
mul r2.y, r2.w, r2.w
mad r2.z, r2.w, r2.w, -r3.x
rsq r2.z, r2.z
rcp r2.z, r2.z
mul r2.w, r6.z, r2.w
mad r2.y, r2.w, r2.w, -r2.y
mad r2.y, c11.x, c11.x, r2.y
rcp r3.z, c14.x
mad r6.w, r3.z, -c26.x, c26.x
mul r5.y, r5.z, r5.z
mad r5.w, r3.z, c26.x, c26.x
cmp r3.w, -r2.y, -c32.z, -c32.w
cmp r3.w, r2.w, c32.z, r3.w
mov r5.x, c32.x
mov r6.xyz, c32.wzzw
cmp r8, r3.w, r5, r6.xzzw
rcp r3.w, c13.x
mul r4.y, r2.x, r2.z
lrp r9.x, r3.w, c26.x, r4.y
add r2.yz, r2, r8
rsq r2.y, r2.y
rcp r2.y, r2.y
mad r2.y, r2.w, r8.x, r2.y
rcp r2.z, r2.z
mul r2.y, r2.z, r2.y
add r2.z, -r3.z, c26.x
mad r2.y, r2.y, r2.z, r8.w
rcp r2.w, c15.x
mad r0.y, r0.y, r0.z, c25.z
mul r0.zw, r0.w, c27.xyyx
cmp r0.y, r0.y, r0.w, c25.w
mov_sat r0.w, r0_abs.y
add r3.z, r0_abs.y, c32.x
rcp r4.y, r0_abs.y
cmp r3.z, r3.z, r4.y, c32.w
mul r0.w, r0.w, r3.z
mul r3.z, r0.w, r0.w
mad r4.y, r3.z, c27.z, c27.w
mad r4.y, r3.z, r4.y, c29.x
mad r4.y, r3.z, r4.y, c29.y
mad r3.z, r3.z, r4.y, c29.z
mul r0.w, r0.w, r3.z
add r3.z, -r0_abs.y, c32.w
cmp r3.z, r3.z, c32.z, c32.w
mad r4.y, r0.w, c28.x, c28.y
mad r0.w, r4.y, r3.z, r0.w
min r3.z, r0.y, c32.w
cmp r0.y, r3.z, c32.z, c32.w
add r3.z, r0.w, r0.w
mad r0.y, r0.y, -r3.z, r0.w
mad r0.y, r0.y, c28.z, c28.w
mul r0.y, r0.y, c26.x
add r0.w, -r2.w, c32.w
lrp r3.z, r2.w, c26.x, r0.y
add r0.y, r0.x, c32.w
mul r0.y, r0.y, c26.x
mov r8.xyw, c32
add r4.y, r8.x, c16.x
mul r4.z, r0.y, r4.y
frc r4.w, r4.z
add r4.z, -r4.w, r4.z
mad r0.y, r0.y, r4.y, -r4.z
mul r4.y, r9.x, c13.x
mad r4.w, r9.x, c13.x, r8.x
frc r8.z, r4.y
add r4.yw, r4, -r8.z
add r3.z, r3.z, r4.z
rcp r9.x, c16.x
mul r10.y, r3.z, r9.x
mul r2.y, r3.w, r2.y
mad r10.z, r4.w, r3.w, r2.y
mov_pp r10.w, c32.z
texldl r11, r10.yzww, s0
add r3.z, r3.z, c32.w
mul r10.x, r9.x, r3.z
texldl r12, r10.xzww, s0
lrp r13, r0.y, r12, r11
mad r11.y, r4.y, r3.w, r2.y
mov r11.xzw, r10.yyww
texldl r12, r11, s0
mov r11.xzw, r10.xyww
texldl r10, r11, s0
lrp r11, r0.y, r10, r12
lrp r10, r8.z, r11, r13
mul r2.y, r3.y, r3.y
mad r3.x, r3.y, r3.y, -r3.x
rsq r3.x, r3.x
rcp r3.x, r3.x
mul r1.x, r1.x, r3.y
mad r2.y, r1.x, r1.x, -r2.y
mad r2.y, c11.x, c11.x, r2.y
cmp r3.y, -r2.y, -c32.z, -c32.w
cmp r3.y, r1.x, c32.z, r3.y
cmp r5, r3.y, r5, r6
mul r2.x, r2.x, r3.x
lrp r4.y, r3.w, c26.x, r2.x
add r2.x, r2.y, r5.y
rsq r2.x, r2.x
rcp r2.x, r2.x
mad r1.x, r1.x, r5.x, r2.x
add r2.x, r3.x, r5.z
rcp r2.x, r2.x
mul r1.x, r1.x, r2.x
mad r1.x, r1.x, r2.z, r5.w
mad r1.y, r1.y, r1.w, c25.z
mul r1.z, r1.z, c27.x
cmp r1.y, r1.y, r1.z, c25.w
mov_sat r1.z, r1_abs.y
add r1.w, r1_abs.y, c32.x
rcp r2.x, r1_abs.y
cmp r1.w, r1.w, r2.x, c32.w
mul r1.z, r1.w, r1.z
mul r1.w, r1.z, r1.z
mad r2.x, r1.w, c27.z, c27.w
mad r2.x, r1.w, r2.x, c29.x
mad r2.x, r1.w, r2.x, c29.y
mad r1.w, r1.w, r2.x, c29.z
mul r1.z, r1.w, r1.z
add r1.w, -r1_abs.y, c32.w
cmp r1.w, r1.w, c32.z, c32.w
mad r2.x, r1.z, c28.x, c28.y
mad r1.z, r2.x, r1.w, r1.z
min r2.x, r1.y, c32.w
cmp r1.y, r2.x, c32.z, c32.w
add r1.w, r1.z, r1.z
mad r1.y, r1.y, -r1.w, r1.z
mad r1.y, r1.y, c28.z, c28.w
mul r0.w, r0.w, r1.y
mul r0.w, r0.w, c26.x
mad r0.w, r2.w, c26.x, r0.w
mul r1.y, r4.y, c13.x
mad r1.z, r4.y, c13.x, r8.x
frc r1.w, r1.y
add r1.yz, -r1.w, r1
add r0.w, r0.w, r4.z
mul r2.y, r9.x, r0.w
mul r1.x, r3.w, r1.x
mad r2.z, r1.z, r3.w, r1.x
mov_pp r2.w, c32.z
texldl r5, r2.yzww, s0
add r0.w, r0.w, c32.w
mul r2.x, r9.x, r0.w
texldl r6, r2.xzww, s0
lrp r9, r0.y, r6, r5
mad r3.y, r1.y, r3.w, r1.x
mov r3.xzw, r2.yyww
texldl r5, r3, s0
mov r3.xzw, r2.xyww
texldl r2, r3, s0
lrp r3, r0.y, r2, r5
lrp r2, r1.w, r3, r9
mad r1, r2, -r7, r10
max r2, r1, c32.z
mov_sat r0.z, r0.z
mad r0.y, r0.z, c33.x, c33.y
mul r0.z, r0.z, r0.z
mul r0.y, r0.z, r0.y
mul r0.y, r0.y, r2.w
mul r0.yzw, r0.y, r2.xxyz
add r1.y, r1.x, c29.w
rcp r1.x, r1.x
cmp r1.x, r1.y, r1.x, c33.z
mul r0.yzw, r0, r1.x
rcp r1.x, c6.x
rcp r1.y, c6.y
rcp r1.z, c6.z
mul r1.xyz, r1, c6.x
mul r0.yzw, r0, r1.xxyz
mov r1.xyz, c31
mul r1.xy, r1, c4.x
rcp r1.x, r1.x
mul r1.x, r1.x, c33.y
mad r1.w, r0.x, r0.x, c32.w
mul r1.x, r1.w, r1.x
rcp r1.y, r1.y
mul r1.y, r1.y, c33.w
mad r2.w, c9.x, -c9.x, r8.w
mul r1.y, r1.y, r2.w
mad r3.xy, c9.x, c9.x, r8.wyzw
dp2add r0.x, r0.x, -c9.x, r3.x
pow r2.w, r0.x, -c33.w
mul r0.x, r1.y, r2.w
mul r0.x, r1.w, r0.x
rcp r1.y, r3.y
mul r0.x, r0.x, r1.y
mul r0.xyz, r0.x, r0.yzww
mad r0.xyz, r2, r1.x, r0
mul r0.xyz, r0, c18.x
add r0.w, -r4.x, c21.x
mul r1.x, r4.x, c24.x
rcp r1.y, c21.x
mul r1.x, r1.y, r1.x
mul r1.x, r1.x, -c26.y
exp r1.x, r1.x
add r1.x, -r1.x, c32.w
cmp r0.w, r0.w, r1.x, c32.w
mul r1.xyw, r0.xyzz, c10.x
mad r0.xyz, r0, c10.x, r1.z
mul r2, r1.xxyy, c30.xyxy
pow r1.x, r2.x, c31.w
exp r1.y, r2.y
add r1.y, -r1.y, c32.w
cmp r1.x, r0.x, r1.y, r1.x
pow r0.x, r2.z, c31.w
exp r2.x, r2.w
add r2.x, -r2.x, c32.w
cmp r1.y, r0.y, r2.x, r0.x
mul r0.xy, r1.w, c30
pow r1.w, r0.x, c31.w
exp r0.x, r0.y
add r0.x, -r0.x, c32.w
cmp r1.z, r0.z, r0.x, r1.w
mul r0.xyz, r1, c20.x
mul_pp oC0.xyz, r0.w, r0
endif

"
}
SubProgram "d3d11 " {
// Stats: 359 math, 2 textures, 2 branches
Keywords { "GODRAYS_ON" }
SetTexture 0 [_customDepthTexture] 2D 1
SetTexture 1 [_godrayDepthTexture] 2D 2
SetTexture 2 [_Inscatter] 2D 0
ConstBuffer "$Globals" 480
Matrix 256 [_ViewProjInv]
Float 112 [M_PI]
Float 132 [HR]
Vector 144 [betaR] 3
Float 156 [HM]
Vector 176 [betaMEx] 3
Float 188 [mieG]
Float 192 [_Exposure]
Float 196 [Rg]
Float 200 [Rt]
Float 208 [RES_R]
Float 212 [RES_MU]
Float 216 [RES_MU_S]
Float 220 [RES_NU]
Vector 224 [SUN_DIR] 3
Float 236 [SUN_INTENSITY]
Float 240 [_experimentalAtmoScale]
Float 328 [_global_alpha]
Float 332 [_global_depth]
Vector 368 [_camPos] 3
Float 400 [_openglThreshold]
BindCB  "$Globals" 0
"ps_4_0
root12:adabadaa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"
}
SubProgram "gles " {
Keywords { "GODRAYS_ON" }
"!!GLES"
}
SubProgram "gles3 " {
Keywords { "GODRAYS_ON" }
"!!GLES3"
}
SubProgram "glcore " {
Keywords { "GODRAYS_ON" }
"!!GL3x"
}
}
 }
}
}